package compose.icons.evaicons.outline

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.evaicons.OutlineGroup

public val OutlineGroup.Github: ImageVector
    get() {
        if (_github != null) {
            return _github!!
        }
        _github = Builder(name = "Github", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, fillAlpha = 0.0f, strokeAlpha
                    = 0.0f, strokeLineWidth = 0.0f, strokeLineCap = Butt, strokeLineJoin = Miter,
                    strokeLineMiter = 4.0f, pathFillType = NonZero) {
                moveTo(0.0f, 0.0f)
                horizontalLineToRelative(24.0f)
                verticalLineToRelative(24.0f)
                horizontalLineToRelative(-24.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.24f, 22.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -1.0f, -1.0f)
                verticalLineTo(18.4f)
                arcToRelative(2.15f, 2.15f, 0.0f, false, false, -0.54f, -1.66f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 0.61f, -1.67f)
                curveTo(17.75f, 14.78f, 20.0f, 14.0f, 20.0f, 9.77f)
                arcToRelative(4.0f, 4.0f, 0.0f, false, false, -0.67f, -2.22f)
                arcToRelative(2.75f, 2.75f, 0.0f, false, true, -0.41f, -2.06f)
                arcToRelative(3.71f, 3.71f, 0.0f, false, false, 0.0f, -1.41f)
                arcToRelative(7.65f, 7.65f, 0.0f, false, false, -2.09f, 1.09f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -0.84f, 0.15f)
                arcToRelative(10.15f, 10.15f, 0.0f, false, false, -5.52f, 0.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -0.84f, -0.15f)
                arcTo(7.4f, 7.4f, 0.0f, false, false, 7.52f, 4.08f)
                arcToRelative(3.52f, 3.52f, 0.0f, false, false, 0.0f, 1.41f)
                arcToRelative(2.84f, 2.84f, 0.0f, false, true, -0.43f, 2.08f)
                arcTo(4.07f, 4.07f, 0.0f, false, false, 6.42f, 9.8f)
                curveToRelative(0.0f, 3.89f, 1.88f, 4.93f, 4.7f, 5.29f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 0.82f, 0.66f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -0.21f, 1.0f)
                arcToRelative(2.06f, 2.06f, 0.0f, false, false, -0.55f, 1.56f)
                verticalLineTo(21.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -2.0f, 0.0f)
                verticalLineToRelative(-0.57f)
                arcToRelative(6.0f, 6.0f, 0.0f, false, true, -5.27f, -2.09f)
                arcToRelative(3.9f, 3.9f, 0.0f, false, false, -1.16f, -0.88f)
                arcToRelative(1.0f, 1.0f, 0.0f, true, true, 0.5f, -1.94f)
                arcToRelative(4.93f, 4.93f, 0.0f, false, true, 2.0f, 1.36f)
                curveToRelative(1.0f, 1.0f, 2.0f, 1.88f, 3.9f, 1.52f)
                horizontalLineToRelative(0.0f)
                arcToRelative(3.89f, 3.89f, 0.0f, false, true, 0.23f, -1.58f)
                curveToRelative(-2.06f, -0.52f, -5.0f, -2.0f, -5.0f, -7.0f)
                arcToRelative(6.0f, 6.0f, 0.0f, false, true, 1.0f, -3.33f)
                arcToRelative(0.85f, 0.85f, 0.0f, false, false, 0.13f, -0.62f)
                arcToRelative(5.69f, 5.69f, 0.0f, false, true, 0.33f, -3.21f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 0.63f, -0.57f)
                curveToRelative(0.34f, -0.1f, 1.56f, -0.3f, 3.87f, 1.2f)
                arcToRelative(12.16f, 12.16f, 0.0f, false, true, 5.69f, 0.0f)
                curveToRelative(2.31f, -1.5f, 3.53f, -1.31f, 3.86f, -1.2f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 0.63f, 0.57f)
                arcToRelative(5.71f, 5.71f, 0.0f, false, true, 0.33f, 3.22f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.11f, 0.57f)
                arcToRelative(6.0f, 6.0f, 0.0f, false, true, 1.0f, 3.34f)
                curveToRelative(0.0f, 5.07f, -2.92f, 6.54f, -5.0f, 7.0f)
                arcToRelative(4.28f, 4.28f, 0.0f, false, true, 0.22f, 1.67f)
                verticalLineTo(21.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 16.24f, 22.0f)
                close()
            }
        }
        .build()
        return _github!!
    }

private var _github: ImageVector? = null
