package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Cpanel: ImageVector
    get() {
        if (_cpanel != null) {
            return _cpanel!!
        }
        _cpanel = Builder(name = "Cpanel", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(210.3f, 220.2f)
                curveToRelative(-5.6f, -24.8f, -26.9f, -41.2f, -51.0f, -41.2f)
                horizontalLineToRelative(-37.0f)
                curveToRelative(-7.1f, 0.0f, -12.5f, 4.5f, -14.3f, 10.9f)
                lineTo(73.1f, 320.0f)
                lineToRelative(24.7f, -0.1f)
                curveToRelative(6.8f, 0.0f, 12.3f, -4.5f, 14.2f, -10.7f)
                lineToRelative(25.8f, -95.7f)
                horizontalLineToRelative(19.8f)
                curveToRelative(8.4f, 0.0f, 16.2f, 5.6f, 18.3f, 14.8f)
                curveToRelative(2.5f, 10.9f, -5.9f, 22.6f, -18.3f, 22.6f)
                horizontalLineToRelative(-10.3f)
                curveToRelative(-7.0f, 0.0f, -12.5f, 4.6f, -14.3f, 10.8f)
                lineToRelative(-6.4f, 23.8f)
                horizontalLineToRelative(32.0f)
                curveToRelative(37.2f, 0.0f, 58.3f, -36.2f, 51.7f, -65.3f)
                close()
                moveTo(53.8f, 248.2f)
                horizontalLineToRelative(18.6f)
                curveToRelative(6.9f, 0.0f, 12.4f, -4.4f, 14.3f, -10.9f)
                lineToRelative(6.2f, -23.6f)
                horizontalLineToRelative(-40.0f)
                curveTo(30.0f, 213.7f, 9.0f, 227.8f, 1.7f, 254.8f)
                curveTo(-7.0f, 288.6f, 18.5f, 320.0f, 52.0f, 320.0f)
                horizontalLineToRelative(12.4f)
                lineToRelative(7.1f, -26.1f)
                curveToRelative(1.2f, -4.4f, -2.2f, -8.3f, -6.4f, -8.3f)
                lineTo(53.8f, 285.6f)
                curveToRelative(-24.7f, 0.0f, -24.9f, -37.4f, 0.0f, -37.4f)
                close()
                moveTo(301.3f, 213.4f)
                horizontalLineToRelative(-77.9f)
                lineToRelative(-3.5f, 13.4f)
                curveToRelative(-2.4f, 9.6f, 4.5f, 18.5f, 14.2f, 18.5f)
                horizontalLineToRelative(57.5f)
                curveToRelative(4.0f, 0.0f, 2.4f, 4.3f, 2.1f, 5.3f)
                lineToRelative(-8.6f, 31.8f)
                curveToRelative(-0.4f, 1.4f, -0.9f, 5.3f, -5.5f, 5.3f)
                horizontalLineToRelative(-34.9f)
                curveToRelative(-5.3f, 0.0f, -5.3f, -7.9f, 0.0f, -7.9f)
                horizontalLineToRelative(21.6f)
                curveToRelative(6.8f, 0.0f, 12.3f, -4.6f, 14.2f, -10.8f)
                lineToRelative(3.5f, -13.2f)
                horizontalLineToRelative(-48.4f)
                curveToRelative(-39.2f, 0.0f, -43.6f, 63.8f, -0.7f, 63.8f)
                lineToRelative(57.5f, 0.2f)
                curveToRelative(11.2f, 0.0f, 20.6f, -7.2f, 23.4f, -17.8f)
                lineToRelative(14.0f, -51.8f)
                curveToRelative(4.8f, -19.2f, -9.7f, -36.8f, -28.5f, -36.8f)
                close()
                moveTo(633.1f, 179.0f)
                horizontalLineToRelative(-18.9f)
                curveToRelative(-4.9f, 0.0f, -9.2f, 3.2f, -10.4f, 7.9f)
                lineTo(568.2f, 320.0f)
                curveToRelative(20.7f, 0.0f, 39.8f, -13.8f, 44.9f, -34.5f)
                lineToRelative(26.5f, -98.2f)
                curveToRelative(1.2f, -4.3f, -2.0f, -8.3f, -6.5f, -8.3f)
                close()
                moveTo(396.8f, 213.7f)
                verticalLineToRelative(0.1f)
                horizontalLineToRelative(-48.3f)
                lineToRelative(-26.2f, 98.0f)
                curveToRelative(-1.2f, 4.4f, 2.2f, 8.3f, 6.4f, 8.3f)
                horizontalLineToRelative(18.9f)
                curveToRelative(4.8f, 0.0f, 9.2f, -3.0f, 10.4f, -7.8f)
                lineToRelative(17.2f, -64.0f)
                lineTo(395.0f, 248.3f)
                curveToRelative(12.5f, 0.0f, 21.4f, 11.8f, 18.1f, 23.4f)
                lineToRelative(-10.6f, 40.0f)
                curveToRelative(-1.2f, 4.3f, 1.9f, 8.3f, 6.4f, 8.3f)
                lineTo(428.0f, 320.0f)
                curveToRelative(4.6f, 0.0f, 9.1f, -2.9f, 10.3f, -7.8f)
                lineToRelative(8.8f, -33.1f)
                curveToRelative(9.0f, -33.1f, -15.9f, -65.4f, -50.3f, -65.4f)
                close()
                moveTo(495.1f, 288.3f)
                curveToRelative(-3.6f, 0.0f, -6.0f, -3.4f, -5.1f, -6.7f)
                lineToRelative(8.0f, -30.0f)
                curveToRelative(0.9f, -3.9f, 3.7f, -6.0f, 7.8f, -6.0f)
                horizontalLineToRelative(32.9f)
                curveToRelative(2.6f, 0.0f, 4.6f, 2.4f, 3.9f, 5.1f)
                lineToRelative(-0.7f, 2.6f)
                curveToRelative(-0.6f, 2.0f, -1.9f, 3.0f, -3.9f, 3.0f)
                horizontalLineToRelative(-21.6f)
                curveToRelative(-7.0f, 0.0f, -12.6f, 4.6f, -14.2f, 10.8f)
                lineToRelative(-3.5f, 13.0f)
                horizontalLineToRelative(53.4f)
                curveToRelative(10.5f, 0.0f, 20.3f, -6.6f, 23.2f, -17.6f)
                lineToRelative(3.2f, -12.0f)
                curveToRelative(4.9f, -19.1f, -9.3f, -36.8f, -28.3f, -36.8f)
                horizontalLineToRelative(-47.3f)
                curveToRelative(-17.9f, 0.0f, -33.8f, 12.0f, -38.6f, 29.6f)
                lineToRelative(-10.8f, 40.0f)
                curveToRelative(-5.0f, 17.7f, 8.3f, 36.7f, 28.3f, 36.7f)
                horizontalLineToRelative(66.7f)
                curveToRelative(6.8f, 0.0f, 12.3f, -4.5f, 14.2f, -10.7f)
                lineToRelative(5.7f, -21.0f)
                close()
            }
        }
        .build()
        return _cpanel!!
    }

private var _cpanel: ImageVector? = null
