package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Dhl: ImageVector
    get() {
        if (_dhl != null) {
            return _dhl!!
        }
        _dhl = Builder(name = "Dhl", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(238.0f, 301.2f)
                horizontalLineToRelative(58.7f)
                lineTo(319.0f, 271.0f)
                horizontalLineToRelative(-58.7f)
                lineTo(238.0f, 301.2f)
                close()
                moveTo(0.0f, 282.9f)
                verticalLineToRelative(6.4f)
                horizontalLineToRelative(81.8f)
                lineToRelative(4.7f, -6.4f)
                lineTo(0.0f, 282.9f)
                close()
                moveTo(172.9f, 271.0f)
                curveToRelative(-8.7f, 0.0f, -6.0f, -3.6f, -4.6f, -5.5f)
                curveToRelative(2.8f, -3.8f, 7.6f, -10.4f, 10.4f, -14.1f)
                curveToRelative(2.8f, -3.7f, 2.8f, -5.9f, -2.8f, -5.9f)
                horizontalLineToRelative(-51.0f)
                lineToRelative(-41.1f, 55.8f)
                horizontalLineToRelative(100.1f)
                curveToRelative(33.1f, 0.0f, 51.5f, -22.5f, 57.2f, -30.3f)
                horizontalLineToRelative(-68.2f)
                close()
                moveTo(490.4f, 264.1f)
                lineToRelative(39.3f, -53.4f)
                horizontalLineToRelative(-62.2f)
                lineToRelative(-39.3f, 53.4f)
                horizontalLineToRelative(62.2f)
                close()
                moveTo(95.3f, 271.0f)
                lineTo(0.0f, 271.0f)
                verticalLineToRelative(6.4f)
                horizontalLineToRelative(90.6f)
                lineToRelative(4.7f, -6.4f)
                close()
                moveTo(206.3f, 244.4f)
                curveToRelative(-2.8f, 3.8f, -7.5f, 10.4f, -10.3f, 14.2f)
                curveToRelative(-1.4f, 2.0f, -4.1f, 5.5f, 4.6f, 5.5f)
                horizontalLineToRelative(45.6f)
                reflectiveCurveToRelative(7.3f, -10.0f, 13.5f, -18.4f)
                curveToRelative(8.4f, -11.4f, 0.7f, -35.0f, -29.2f, -35.0f)
                lineTo(112.6f, 210.7f)
                lineToRelative(-20.4f, 27.8f)
                horizontalLineToRelative(111.4f)
                curveToRelative(5.6f, 0.0f, 5.5f, 2.2f, 2.7f, 5.9f)
                close()
                moveTo(0.0f, 301.2f)
                horizontalLineToRelative(73.1f)
                lineToRelative(4.7f, -6.4f)
                lineTo(0.0f, 294.8f)
                verticalLineToRelative(6.4f)
                close()
                moveTo(323.0f, 301.2f)
                horizontalLineToRelative(58.7f)
                lineTo(404.0f, 271.0f)
                horizontalLineToRelative(-58.7f)
                curveToRelative(-0.1f, 0.0f, -22.3f, 30.2f, -22.3f, 30.2f)
                close()
                moveTo(545.0f, 301.3f)
                horizontalLineToRelative(95.0f)
                verticalLineToRelative(-6.4f)
                horizontalLineToRelative(-90.3f)
                lineToRelative(-4.7f, 6.4f)
                close()
                moveTo(567.3f, 271.0f)
                lineToRelative(-4.7f, 6.4f)
                lineTo(640.0f, 277.4f)
                lineTo(640.0f, 271.0f)
                horizontalLineToRelative(-72.7f)
                close()
                moveTo(553.8f, 289.3f)
                lineTo(640.0f, 289.3f)
                verticalLineToRelative(-6.4f)
                horizontalLineToRelative(-81.5f)
                lineToRelative(-4.7f, 6.4f)
                close()
                moveTo(389.6f, 210.7f)
                lineToRelative(-22.5f, 30.6f)
                horizontalLineToRelative(-26.2f)
                lineToRelative(22.5f, -30.6f)
                horizontalLineToRelative(-58.7f)
                lineToRelative(-39.3f, 53.4f)
                lineTo(409.0f, 264.1f)
                lineToRelative(39.3f, -53.4f)
                horizontalLineToRelative(-58.7f)
                close()
                moveTo(423.1f, 271.0f)
                reflectiveCurveToRelative(-4.3f, 5.9f, -6.4f, 8.7f)
                curveToRelative(-7.4f, 10.0f, -0.9f, 21.6f, 23.2f, 21.6f)
                horizontalLineToRelative(94.3f)
                lineToRelative(22.3f, -30.3f)
                lineTo(423.1f, 271.0f)
                close()
            }
        }
        .build()
        return _dhl!!
    }

private var _dhl: ImageVector? = null
