package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Phabricator: ImageVector
    get() {
        if (_phabricator != null) {
            return _phabricator!!
        }
        _phabricator = Builder(name = "Phabricator", defaultWidth = 496.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(323.0f, 262.1f)
                lineToRelative(-0.1f, -13.0f)
                reflectiveCurveToRelative(21.7f, -19.8f, 21.1f, -21.2f)
                lineToRelative(-9.5f, -20.0f)
                curveToRelative(-0.6f, -1.4f, -29.5f, -0.5f, -29.5f, -0.5f)
                lineToRelative(-9.4f, -9.3f)
                reflectiveCurveToRelative(0.2f, -28.5f, -1.2f, -29.1f)
                lineToRelative(-20.1f, -9.2f)
                curveToRelative(-1.4f, -0.6f, -20.7f, 21.0f, -20.7f, 21.0f)
                lineToRelative(-13.1f, -0.2f)
                reflectiveCurveToRelative(-20.5f, -21.4f, -21.9f, -20.8f)
                lineToRelative(-20.0f, 8.3f)
                curveToRelative(-1.4f, 0.5f, 0.2f, 28.9f, 0.2f, 28.9f)
                lineToRelative(-9.1f, 9.1f)
                reflectiveCurveToRelative(-29.2f, -0.9f, -29.7f, 0.4f)
                lineToRelative(-8.1f, 19.8f)
                curveToRelative(-0.6f, 1.4f, 21.0f, 21.0f, 21.0f, 21.0f)
                lineToRelative(0.1f, 12.9f)
                reflectiveCurveToRelative(-21.7f, 19.8f, -21.1f, 21.2f)
                lineToRelative(9.5f, 20.0f)
                curveToRelative(0.6f, 1.4f, 29.5f, 0.5f, 29.5f, 0.5f)
                lineToRelative(9.4f, 9.3f)
                reflectiveCurveToRelative(-0.2f, 31.8f, 1.2f, 32.3f)
                lineToRelative(20.1f, 8.3f)
                curveToRelative(1.4f, 0.6f, 20.7f, -23.5f, 20.7f, -23.5f)
                lineToRelative(13.1f, 0.2f)
                reflectiveCurveToRelative(20.5f, 23.8f, 21.8f, 23.3f)
                lineToRelative(20.0f, -7.5f)
                curveToRelative(1.4f, -0.6f, -0.2f, -32.1f, -0.2f, -32.1f)
                lineToRelative(9.1f, -9.1f)
                reflectiveCurveToRelative(29.2f, 0.9f, 29.7f, -0.5f)
                lineToRelative(8.1f, -19.8f)
                curveToRelative(0.7f, -1.1f, -20.9f, -20.7f, -20.9f, -20.7f)
                close()
                moveTo(278.1f, 253.4f)
                curveToRelative(0.7f, 17.1f, -12.8f, 31.6f, -30.1f, 32.4f)
                curveToRelative(-17.3f, 0.8f, -32.1f, -12.5f, -32.8f, -29.6f)
                curveToRelative(-0.7f, -17.1f, 12.8f, -31.6f, 30.1f, -32.3f)
                curveToRelative(17.3f, -0.8f, 32.1f, 12.5f, 32.8f, 29.5f)
                close()
                moveTo(479.3f, 215.5f)
                lineToRelative(-97.0f, -97.0f)
                lineToRelative(-0.1f, 0.1f)
                curveToRelative(-75.1f, -73.3f, -195.4f, -72.8f, -269.8f, 1.6f)
                curveToRelative(-50.9f, 51.0f, -27.8f, 27.9f, -95.7f, 95.3f)
                curveToRelative(-22.3f, 22.3f, -22.3f, 58.7f, 0.0f, 81.0f)
                curveToRelative(69.9f, 69.4f, 46.4f, 46.0f, 97.4f, 97.0f)
                lineToRelative(0.1f, -0.1f)
                curveToRelative(75.1f, 73.3f, 195.4f, 72.9f, 269.8f, -1.6f)
                curveToRelative(51.0f, -50.9f, 27.9f, -27.9f, 95.3f, -95.3f)
                curveToRelative(22.3f, -22.3f, 22.3f, -58.7f, 0.0f, -81.0f)
                close()
                moveTo(140.4f, 363.8f)
                curveToRelative(-59.6f, -59.5f, -59.6f, -156.0f, 0.0f, -215.5f)
                curveToRelative(59.5f, -59.6f, 156.0f, -59.5f, 215.6f, 0.0f)
                curveToRelative(59.5f, 59.5f, 59.6f, 156.0f, 0.0f, 215.6f)
                curveToRelative(-59.6f, 59.5f, -156.0f, 59.4f, -215.6f, -0.1f)
                close()
            }
        }
        .build()
        return _phabricator!!
    }

private var _phabricator: ImageVector? = null
