package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.PhoenixSquadron: ImageVector
    get() {
        if (_phoenixSquadron != null) {
            return _phoenixSquadron!!
        }
        _phoenixSquadron = Builder(name = "PhoenixSquadron", defaultWidth = 512.0.dp, defaultHeight
                = 512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(96.0f, 63.38f)
                curveTo(142.49f, 27.25f, 201.55f, 7.31f, 260.51f, 8.81f)
                curveToRelative(29.58f, -0.38f, 59.11f, 5.37f, 86.91f, 15.33f)
                curveToRelative(-24.13f, -4.63f, -49.0f, -6.34f, -73.38f, -2.45f)
                curveTo(231.17f, 27.0f, 191.0f, 48.84f, 162.21f, 80.87f)
                curveToRelative(5.67f, -1.0f, 10.78f, -3.67f, 16.0f, -5.86f)
                curveToRelative(18.14f, -7.87f, 37.49f, -13.26f, 57.23f, -14.83f)
                curveToRelative(19.74f, -2.13f, 39.64f, -0.43f, 59.28f, 1.92f)
                curveToRelative(-14.42f, 2.79f, -29.12f, 4.57f, -43.0f, 9.59f)
                curveToRelative(-34.43f, 11.07f, -65.27f, 33.16f, -86.3f, 62.63f)
                curveToRelative(-13.8f, 19.71f, -23.63f, 42.86f, -24.67f, 67.13f)
                curveToRelative(-0.35f, 16.49f, 5.22f, 34.81f, 19.83f, 44.0f)
                arcToRelative(53.27f, 53.27f, 0.0f, false, false, 37.52f, 6.74f)
                curveToRelative(15.45f, -2.46f, 30.07f, -8.64f, 43.6f, -16.33f)
                curveToRelative(11.52f, -6.82f, 22.67f, -14.55f, 32.0f, -24.25f)
                curveToRelative(3.79f, -3.22f, 2.53f, -8.45f, 2.62f, -12.79f)
                curveToRelative(-2.12f, -0.34f, -4.38f, -1.11f, -6.3f, 0.3f)
                arcToRelative(203.0f, 203.0f, 0.0f, false, true, -35.82f, 15.37f)
                curveToRelative(-20.0f, 6.17f, -42.16f, 8.46f, -62.1f, 0.78f)
                curveToRelative(12.79f, 1.73f, 26.06f, 0.31f, 37.74f, -5.44f)
                curveToRelative(20.23f, -9.72f, 36.81f, -25.2f, 54.44f, -38.77f)
                arcToRelative(526.57f, 526.57f, 0.0f, false, true, 88.9f, -55.31f)
                curveToRelative(25.71f, -12.0f, 52.94f, -22.78f, 81.57f, -24.12f)
                curveToRelative(-15.63f, 13.72f, -32.15f, 26.52f, -46.78f, 41.38f)
                curveToRelative(-14.51f, 14.0f, -27.46f, 29.5f, -40.11f, 45.18f)
                curveToRelative(-3.52f, 4.6f, -8.95f, 6.94f, -13.58f, 10.16f)
                arcToRelative(150.7f, 150.7f, 0.0f, false, false, -51.89f, 60.1f)
                curveToRelative(-9.33f, 19.68f, -14.5f, 41.85f, -11.77f, 63.65f)
                curveToRelative(1.94f, 13.69f, 8.71f, 27.59f, 20.9f, 34.91f)
                curveToRelative(12.9f, 8.0f, 29.05f, 8.07f, 43.48f, 5.1f)
                curveToRelative(32.8f, -7.45f, 61.43f, -28.89f, 81.0f, -55.84f)
                curveToRelative(20.44f, -27.52f, 30.52f, -62.2f, 29.16f, -96.35f)
                curveToRelative(-0.52f, -7.5f, -1.57f, -15.0f, -1.66f, -22.49f)
                curveToRelative(8.0f, 19.48f, 14.82f, 39.71f, 16.65f, 60.83f)
                curveToRelative(2.0f, 14.28f, 0.75f, 28.76f, -1.62f, 42.9f)
                curveToRelative(-1.91f, 11.0f, -5.67f, 21.51f, -7.78f, 32.43f)
                arcToRelative(165.0f, 165.0f, 0.0f, false, false, 39.34f, -81.07f)
                arcToRelative(183.64f, 183.64f, 0.0f, false, false, -14.21f, -104.64f)
                curveToRelative(20.78f, 32.0f, 32.34f, 69.58f, 35.71f, 107.48f)
                curveToRelative(0.49f, 12.73f, 0.49f, 25.51f, 0.0f, 38.23f)
                arcTo(243.21f, 243.21f, 0.0f, false, true, 482.0f, 371.34f)
                curveToRelative(-26.12f, 47.34f, -68.0f, 85.63f, -117.19f, 108.0f)
                curveToRelative(-78.29f, 36.23f, -174.68f, 31.32f, -248.0f, -14.68f)
                arcTo(248.34f, 248.34f, 0.0f, false, true, 25.36f, 366.0f)
                arcTo(238.34f, 238.34f, 0.0f, false, true, 0.0f, 273.08f)
                verticalLineToRelative(-31.34f)
                curveTo(3.93f, 172.0f, 40.87f, 105.82f, 96.0f, 63.38f)
                moveToRelative(222.0f, 80.33f)
                arcToRelative(79.13f, 79.13f, 0.0f, false, false, 16.0f, -4.48f)
                curveToRelative(5.0f, -1.77f, 9.24f, -5.94f, 10.32f, -11.22f)
                curveToRelative(-8.96f, 4.99f, -17.98f, 9.92f, -26.32f, 15.7f)
                close()
            }
        }
        .build()
        return _phoenixSquadron!!
    }

private var _phoenixSquadron: ImageVector? = null
