package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Shopify: ImageVector
    get() {
        if (_shopify != null) {
            return _shopify!!
        }
        _shopify = Builder(name = "Shopify", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(388.32f, 104.1f)
                arcToRelative(4.66f, 4.66f, 0.0f, false, false, -4.4f, -4.0f)
                curveToRelative(-2.0f, 0.0f, -37.23f, -0.8f, -37.23f, -0.8f)
                reflectiveCurveToRelative(-21.61f, -20.82f, -29.62f, -28.83f)
                verticalLineTo(503.2f)
                lineTo(442.76f, 472.0f)
                reflectiveCurveTo(388.72f, 106.5f, 388.32f, 104.1f)
                close()
                moveTo(288.65f, 70.47f)
                arcToRelative(116.67f, 116.67f, 0.0f, false, false, -7.21f, -17.61f)
                curveTo(271.0f, 32.85f, 255.42f, 22.0f, 237.0f, 22.0f)
                arcToRelative(15.0f, 15.0f, 0.0f, false, false, -4.0f, 0.4f)
                curveToRelative(-0.4f, -0.8f, -1.2f, -1.2f, -1.6f, -2.0f)
                curveTo(223.4f, 11.63f, 213.0f, 7.63f, 200.58f, 8.0f)
                curveToRelative(-24.0f, 0.8f, -48.0f, 18.0f, -67.25f, 48.83f)
                curveToRelative(-13.61f, 21.62f, -24.0f, 48.84f, -26.82f, 70.06f)
                curveToRelative(-27.62f, 8.4f, -46.83f, 14.41f, -47.23f, 14.81f)
                curveToRelative(-14.0f, 4.4f, -14.41f, 4.8f, -16.0f, 18.0f)
                curveToRelative(-1.2f, 10.0f, -38.0f, 291.82f, -38.0f, 291.82f)
                lineTo(307.86f, 504.0f)
                verticalLineTo(65.67f)
                arcToRelative(41.66f, 41.66f, 0.0f, false, false, -4.4f, 0.4f)
                reflectiveCurveTo(297.86f, 67.67f, 288.65f, 70.47f)
                close()
                moveTo(233.41f, 87.69f)
                curveToRelative(-16.0f, 4.8f, -33.63f, 10.4f, -50.84f, 15.61f)
                curveToRelative(4.8f, -18.82f, 14.41f, -37.63f, 25.62f, -50.0f)
                curveToRelative(4.4f, -4.4f, 10.41f, -9.61f, 17.21f, -12.81f)
                curveTo(232.21f, 54.86f, 233.81f, 74.48f, 233.41f, 87.69f)
                close()
                moveTo(200.58f, 24.44f)
                arcTo(27.49f, 27.49f, 0.0f, false, true, 215.0f, 28.0f)
                curveToRelative(-6.4f, 3.2f, -12.81f, 8.41f, -18.81f, 14.41f)
                curveToRelative(-15.21f, 16.42f, -26.82f, 42.0f, -31.62f, 66.45f)
                curveToRelative(-14.42f, 4.41f, -28.83f, 8.81f, -42.0f, 12.81f)
                curveTo(131.33f, 83.28f, 163.75f, 25.24f, 200.58f, 24.44f)
                close()
                moveTo(154.15f, 244.61f)
                curveToRelative(1.6f, 25.61f, 69.25f, 31.22f, 73.25f, 91.66f)
                curveToRelative(2.8f, 47.64f, -25.22f, 80.06f, -65.65f, 82.47f)
                curveToRelative(-48.83f, 3.2f, -75.65f, -25.62f, -75.65f, -25.62f)
                lineToRelative(10.4f, -44.0f)
                reflectiveCurveToRelative(26.82f, 20.42f, 48.44f, 18.82f)
                curveToRelative(14.0f, -0.8f, 19.22f, -12.41f, 18.81f, -20.42f)
                curveToRelative(-2.0f, -33.62f, -57.24f, -31.62f, -60.84f, -86.86f)
                curveToRelative(-3.2f, -46.44f, 27.22f, -93.27f, 94.47f, -97.68f)
                curveToRelative(26.0f, -1.6f, 39.23f, 4.81f, 39.23f, 4.81f)
                lineTo(221.4f, 225.39f)
                reflectiveCurveToRelative(-17.21f, -8.0f, -37.63f, -6.4f)
                curveTo(154.15f, 221.0f, 153.75f, 239.8f, 154.15f, 244.61f)
                close()
                moveTo(249.42f, 82.88f)
                curveToRelative(0.0f, -12.0f, -1.6f, -29.22f, -7.21f, -43.63f)
                curveToRelative(18.42f, 3.6f, 27.22f, 24.0f, 31.23f, 36.43f)
                quadTo(262.63f, 78.68f, 249.42f, 82.88f)
                close()
            }
        }
        .build()
        return _shopify!!
    }

private var _shopify: ImageVector? = null
