package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.TradeFederation: ImageVector
    get() {
        if (_tradeFederation != null) {
            return _tradeFederation!!
        }
        _tradeFederation = Builder(name = "TradeFederation", defaultWidth = 496.0.dp, defaultHeight
                = 512.0.dp, viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(248.0f, 8.8f)
                curveToRelative(-137.0f, 0.0f, -248.0f, 111.0f, -248.0f, 248.0f)
                reflectiveCurveToRelative(111.0f, 248.0f, 248.0f, 248.0f)
                reflectiveCurveToRelative(248.0f, -111.0f, 248.0f, -248.0f)
                reflectiveCurveToRelative(-111.0f, -248.0f, -248.0f, -248.0f)
                close()
                moveTo(248.0f, 491.6f)
                curveToRelative(-129.7f, 0.0f, -234.8f, -105.1f, -234.8f, -234.8f)
                reflectiveCurveTo(118.3f, 22.0f, 248.0f, 22.0f)
                reflectiveCurveToRelative(234.8f, 105.1f, 234.8f, 234.8f)
                reflectiveCurveTo(377.7f, 491.6f, 248.0f, 491.6f)
                close()
                moveTo(403.1f, 163.1f)
                verticalLineToRelative(-46.8f)
                lineTo(209.3f, 116.3f)
                lineTo(209.3f, 198.0f)
                lineTo(54.2f, 198.0f)
                lineToRelative(36.7f, 46.0f)
                horizontalLineToRelative(117.7f)
                verticalLineToRelative(196.8f)
                horizontalLineToRelative(48.8f)
                lineTo(257.4f, 245.0f)
                horizontalLineToRelative(83.3f)
                verticalLineToRelative(-47.0f)
                horizontalLineToRelative(-83.3f)
                verticalLineToRelative(-34.8f)
                horizontalLineToRelative(145.7f)
                close()
                moveTo(329.8f, 208.2f)
                verticalLineToRelative(23.9f)
                horizontalLineToRelative(-82.9f)
                verticalLineToRelative(197.4f)
                horizontalLineToRelative(-26.8f)
                lineTo(220.1f, 232.1f)
                lineTo(96.3f, 232.1f)
                lineToRelative(-20.1f, -23.9f)
                horizontalLineToRelative(143.9f)
                verticalLineToRelative(-80.6f)
                horizontalLineToRelative(171.8f)
                lineTo(391.9f, 152.0f)
                horizontalLineToRelative(-145.0f)
                verticalLineToRelative(56.2f)
                close()
                moveTo(168.5f, 139.2f)
                lineToRelative(-12.4f, -20.7f)
                lineToRelative(2.1f, 23.8f)
                lineToRelative(-23.5f, 5.4f)
                lineToRelative(23.3f, 5.4f)
                lineToRelative(-2.1f, 24.0f)
                lineToRelative(12.3f, -20.5f)
                lineToRelative(22.2f, 9.5f)
                lineToRelative(-15.7f, -18.1f)
                lineToRelative(15.8f, -18.1f)
                close()
                moveTo(138.9f, 119.5f)
                lineToRelative(9.3f, -11.5f)
                lineToRelative(-12.7f, 5.9f)
                lineToRelative(-8.0f, -12.4f)
                lineToRelative(1.7f, 13.9f)
                lineToRelative(-14.3f, 3.8f)
                lineToRelative(13.7f, 2.7f)
                lineToRelative(-0.8f, 14.7f)
                lineToRelative(6.8f, -12.2f)
                lineToRelative(13.8f, 5.3f)
                close()
                moveTo(304.3f, 264.7f)
                lineToRelative(-13.1f, 5.6f)
                lineToRelative(-7.3f, -12.2f)
                lineToRelative(1.3f, 14.2f)
                lineToRelative(-13.9f, 3.2f)
                lineToRelative(13.9f, 3.2f)
                lineToRelative(-1.2f, 14.2f)
                lineToRelative(7.3f, -12.2f)
                lineToRelative(13.1f, 5.5f)
                lineToRelative(-9.4f, -10.7f)
                close()
                moveTo(411.2f, 187.5f)
                lineToRelative(-20.9f, 9.1f)
                lineToRelative(-12.0f, -19.6f)
                lineToRelative(2.2f, 22.7f)
                lineToRelative(-22.3f, 5.4f)
                lineToRelative(22.2f, 4.9f)
                lineToRelative(-1.8f, 22.9f)
                lineToRelative(11.5f, -19.6f)
                lineToRelative(21.2f, 8.8f)
                lineToRelative(-15.1f, -17.0f)
                close()
                moveTo(248.0f, 29.9f)
                curveToRelative(-125.3f, 0.0f, -226.9f, 101.6f, -226.9f, 226.9f)
                reflectiveCurveTo(122.7f, 483.7f, 248.0f, 483.7f)
                reflectiveCurveToRelative(226.9f, -101.6f, 226.9f, -226.9f)
                reflectiveCurveTo(373.3f, 29.9f, 248.0f, 29.9f)
                close()
                moveTo(342.6f, 196.0f)
                verticalLineToRelative(51.0f)
                horizontalLineToRelative(-83.3f)
                verticalLineToRelative(195.7f)
                horizontalLineToRelative(-52.7f)
                lineTo(206.6f, 245.9f)
                lineTo(89.9f, 245.9f)
                lineToRelative(-40.0f, -49.9f)
                horizontalLineToRelative(157.4f)
                verticalLineToRelative(-81.6f)
                horizontalLineToRelative(197.8f)
                verticalLineToRelative(50.7f)
                lineTo(259.4f, 165.1f)
                lineTo(259.4f, 196.0f)
                close()
                moveTo(248.0f, 43.2f)
                curveToRelative(60.3f, 0.0f, 114.8f, 25.0f, 153.6f, 65.2f)
                lineTo(202.5f, 108.4f)
                lineTo(202.5f, 190.0f)
                lineTo(45.1f, 190.0f)
                curveTo(73.1f, 104.8f, 153.4f, 43.2f, 248.0f, 43.2f)
                close()
                moveTo(248.0f, 470.3f)
                curveToRelative(-117.9f, 0.0f, -213.6f, -95.6f, -213.6f, -213.5f)
                curveToRelative(0.0f, -21.2f, 3.1f, -41.8f, 8.9f, -61.1f)
                lineTo(87.1f, 252.0f)
                horizontalLineToRelative(114.7f)
                verticalLineToRelative(196.8f)
                horizontalLineToRelative(64.6f)
                lineTo(266.4f, 253.0f)
                horizontalLineToRelative(83.3f)
                verticalLineToRelative(-62.7f)
                horizontalLineToRelative(-83.2f)
                verticalLineToRelative(-19.2f)
                horizontalLineToRelative(145.6f)
                verticalLineToRelative(-50.8f)
                curveToRelative(30.8f, 37.0f, 49.3f, 84.6f, 49.3f, 136.5f)
                curveToRelative(0.1f, 117.9f, -95.5f, 213.5f, -213.4f, 213.5f)
                close()
                moveTo(178.8f, 275.0f)
                lineToRelative(-11.0f, -21.4f)
                lineToRelative(1.7f, 24.5f)
                lineToRelative(-23.7f, 3.9f)
                lineToRelative(23.8f, 5.9f)
                lineToRelative(-3.7f, 23.8f)
                lineToRelative(13.0f, -20.9f)
                lineToRelative(21.5f, 10.8f)
                lineToRelative(-15.8f, -18.8f)
                lineToRelative(16.9f, -17.1f)
                close()
            }
        }
        .build()
        return _tradeFederation!!
    }

private var _tradeFederation: ImageVector? = null
