package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Uncharted: ImageVector
    get() {
        if (_uncharted != null) {
            return _uncharted!!
        }
        _uncharted = Builder(name = "Uncharted", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(171.73f, 232.813f)
                arcTo(5.381f, 5.381f, 0.0f, false, false, 176.7f, 229.5f)
                arcTo(48.081f, 48.081f, 0.0f, false, true, 191.6f, 204.244f)
                curveToRelative(1.243f, -0.828f, 1.657f, -2.484f, 1.657f, -4.141f)
                arcToRelative(4.22f, 4.22f, 0.0f, false, false, -2.071f, -3.312f)
                lineTo(74.429f, 128.473f)
                lineTo(148.958f, 85.0f)
                arcToRelative(9.941f, 9.941f, 0.0f, false, false, 4.968f, -8.281f)
                arcToRelative(9.108f, 9.108f, 0.0f, false, false, -4.968f, -8.281f)
                lineTo(126.6f, 55.6f)
                arcToRelative(9.748f, 9.748f, 0.0f, false, false, -9.523f, 0.0f)
                lineToRelative(-100.2f, 57.966f)
                arcToRelative(9.943f, 9.943f, 0.0f, false, false, -4.969f, 8.281f)
                lineTo(11.908f, 236.954f)
                arcToRelative(9.109f, 9.109f, 0.0f, false, false, 4.969f, 8.281f)
                lineTo(39.235f, 258.07f)
                arcToRelative(8.829f, 8.829f, 0.0f, false, false, 4.968f, 1.242f)
                arcToRelative(9.4f, 9.4f, 0.0f, false, false, 6.625f, -2.484f)
                arcToRelative(10.8f, 10.8f, 0.0f, false, false, 2.9f, -7.039f)
                lineTo(53.728f, 164.5f)
                lineTo(169.66f, 232.4f)
                arcTo(4.5f, 4.5f, 0.0f, false, false, 171.73f, 232.813f)
                close()
                moveTo(323.272f, 377.73f)
                arcToRelative(12.478f, 12.478f, 0.0f, false, false, -4.969f, 1.242f)
                lineToRelative(-74.528f, 43.062f)
                lineTo(243.775f, 287.882f)
                curveToRelative(0.0f, -2.9f, -2.9f, -5.8f, -6.211f, -4.555f)
                arcToRelative(53.036f, 53.036f, 0.0f, false, true, -28.984f, 0.414f)
                arcToRelative(4.86f, 4.86f, 0.0f, false, false, -6.21f, 4.555f)
                lineTo(202.37f, 421.619f)
                lineToRelative(-74.529f, -43.061f)
                arcToRelative(8.83f, 8.83f, 0.0f, false, false, -4.969f, -1.242f)
                arcToRelative(9.631f, 9.631f, 0.0f, false, false, -9.523f, 9.523f)
                verticalLineToRelative(26.085f)
                arcToRelative(9.107f, 9.107f, 0.0f, false, false, 4.969f, 8.281f)
                lineToRelative(100.2f, 57.553f)
                arcTo(8.829f, 8.829f, 0.0f, false, false, 223.486f, 480.0f)
                arcToRelative(11.027f, 11.027f, 0.0f, false, false, 4.969f, -1.242f)
                lineToRelative(100.2f, -57.553f)
                arcToRelative(9.941f, 9.941f, 0.0f, false, false, 4.968f, -8.281f)
                lineTo(333.623f, 386.839f)
                curveTo(332.8f, 382.285f, 328.24f, 377.73f, 323.272f, 377.73f)
                close()
                moveTo(286.007f, 78.0f)
                arcToRelative(23.0f, 23.0f, 0.0f, true, false, -23.0f, -23.0f)
                arcTo(23.0f, 23.0f, 0.0f, false, false, 286.007f, 78.0f)
                close()
                moveTo(349.634f, 67.914f)
                arcToRelative(23.0f, 23.0f, 0.0f, true, false, 23.0f, 23.0f)
                arcTo(23.0f, 23.0f, 0.0f, false, false, 349.634f, 67.914f)
                close()
                moveTo(412.816f, 151.6f)
                arcToRelative(23.0f, 23.0f, 0.0f, true, false, -23.0f, -23.0f)
                arcTo(23.0f, 23.0f, 0.0f, false, false, 412.816f, 151.6f)
                close()
                moveTo(349.634f, 142.4f)
                arcToRelative(23.0f, 23.0f, 0.0f, true, false, 23.0f, 23.0f)
                arcTo(23.0f, 23.0f, 0.0f, false, false, 349.634f, 142.4f)
                close()
                moveTo(286.007f, 225.644f)
                arcToRelative(23.0f, 23.0f, 0.0f, true, false, -23.0f, -23.0f)
                arcTo(23.0f, 23.0f, 0.0f, false, false, 286.007f, 225.648f)
                close()
                moveTo(223.933f, 262.002f)
                arcToRelative(23.0f, 23.0f, 0.0f, true, false, -23.0f, -23.0f)
                arcTo(23.0f, 23.0f, 0.0f, false, false, 223.933f, 262.006f)
                close()
                moveTo(412.816f, 179.644f)
                arcToRelative(23.0f, 23.0f, 0.0f, true, false, 23.0f, 23.0f)
                arcTo(23.0f, 23.0f, 0.0f, false, false, 412.816f, 179.648f)
                close()
                moveTo(412.816f, 251.916f)
                arcToRelative(23.0f, 23.0f, 0.0f, true, false, 23.0f, 23.0f)
                arcTo(23.0f, 23.0f, 0.0f, false, false, 412.816f, 251.92f)
                close()
            }
        }
        .build()
        return _uncharted!!
    }

private var _uncharted: ImageVector? = null
