package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Bacteria: ImageVector
    get() {
        if (_bacteria != null) {
            return _bacteria!!
        }
        _bacteria = Builder(name = "Bacteria", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(272.35f, 226.4f)
                arcTo(17.71f, 17.71f, 0.0f, false, false, 281.46f, 203.0f)
                lineToRelative(-4.0f, -9.08f)
                arcToRelative(121.29f, 121.29f, 0.0f, false, true, 12.36f, -3.08f)
                arcTo(83.34f, 83.34f, 0.0f, false, false, 323.57f, 177.0f)
                lineToRelative(10.0f, 9.0f)
                arcToRelative(17.76f, 17.76f, 0.0f, true, false, 23.92f, -26.27f)
                lineToRelative(-9.72f, -8.76f)
                arcToRelative(83.12f, 83.12f, 0.0f, false, false, 11.65f, -48.18f)
                lineToRelative(11.85f, -3.51f)
                arcToRelative(17.73f, 17.73f, 0.0f, true, false, -10.15f, -34.0f)
                lineToRelative(-11.34f, 3.36f)
                arcToRelative(84.0f, 84.0f, 0.0f, false, false, -36.38f, -35.57f)
                lineToRelative(2.84f, -10.85f)
                arcToRelative(17.8f, 17.8f, 0.0f, false, false, -34.47f, -8.93f)
                lineToRelative(-2.82f, 10.78f)
                arcToRelative(83.25f, 83.25f, 0.0f, false, false, -16.74f, 1.1f)
                curveTo(250.83f, 27.0f, 240.0f, 30.22f, 229.1f, 33.39f)
                lineToRelative(-3.38f, -9.46f)
                arcToRelative(17.8f, 17.8f, 0.0f, false, false, -33.56f, 11.89f)
                lineToRelative(3.49f, 9.8f)
                arcToRelative(286.74f, 286.74f, 0.0f, false, false, -43.94f, 23.57f)
                lineToRelative(-6.32f, -8.43f)
                arcToRelative(17.9f, 17.9f, 0.0f, false, false, -24.94f, -3.6f)
                arcTo(17.69f, 17.69f, 0.0f, false, false, 116.84f, 82.0f)
                lineToRelative(6.45f, 8.61f)
                arcToRelative(286.59f, 286.59f, 0.0f, false, false, -34.95f, 35.33f)
                lineToRelative(-8.82f, -6.42f)
                arcToRelative(17.84f, 17.84f, 0.0f, false, false, -24.89f, 3.86f)
                arcToRelative(17.66f, 17.66f, 0.0f, false, false, 3.88f, 24.77f)
                lineToRelative(8.88f, 6.47f)
                arcToRelative(286.6f, 286.6f, 0.0f, false, false, -23.0f, 43.91f)
                lineToRelative(-10.48f, -3.59f)
                arcToRelative(17.73f, 17.73f, 0.0f, true, false, -11.59f, 33.52f)
                lineTo(32.67f, 232.0f)
                curveToRelative(-2.79f, 10.0f, -5.79f, 19.84f, -7.52f, 30.22f)
                arcToRelative(83.16f, 83.16f, 0.0f, false, false, -0.82f, 19.0f)
                lineToRelative(-11.58f, 3.43f)
                arcToRelative(17.73f, 17.73f, 0.0f, true, false, 10.13f, 34.0f)
                lineToRelative(11.27f, -3.33f)
                arcToRelative(83.51f, 83.51f, 0.0f, false, false, 36.39f, 35.43f)
                lineToRelative(-2.88f, 11.06f)
                arcToRelative(17.81f, 17.81f, 0.0f, false, false, 34.48f, 8.92f)
                lineToRelative(2.87f, -11.0f)
                curveToRelative(1.0f, 0.0f, 2.07f, 0.26f, 3.1f, 0.26f)
                arcToRelative(83.39f, 83.39f, 0.0f, false, false, 45.65f, -13.88f)
                lineToRelative(8.59f, 8.8f)
                arcToRelative(17.77f, 17.77f, 0.0f, false, false, 25.56f, -24.7f)
                lineToRelative(-9.14f, -9.37f)
                arcToRelative(83.41f, 83.41f, 0.0f, false, false, 12.08f, -31.05f)
                arcToRelative(119.08f, 119.08f, 0.0f, false, true, 3.87f, -15.53f)
                lineToRelative(9.0f, 4.22f)
                arcToRelative(17.74f, 17.74f, 0.0f, true, false, 15.15f, -32.09f)
                lineToRelative(-8.8f, -4.11f)
                curveToRelative(0.67f, -1.0f, 1.2f, -2.08f, 1.9f, -3.05f)
                arcToRelative(119.89f, 119.89f, 0.0f, false, true, 7.87f, -9.41f)
                arcToRelative(121.73f, 121.73f, 0.0f, false, true, 11.65f, -11.4f)
                arcToRelative(119.49f, 119.49f, 0.0f, false, true, 9.94f, -7.82f)
                curveToRelative(1.12f, -0.77f, 2.32f, -1.42f, 3.47f, -2.15f)
                lineToRelative(3.92f, 8.85f)
                arcToRelative(17.86f, 17.86f, 0.0f, false, false, 16.32f, 10.58f)
                arcTo(18.14f, 18.14f, 0.0f, false, false, 272.35f, 226.4f)
                close()
                moveTo(128.0f, 256.0f)
                arcToRelative(32.0f, 32.0f, 0.0f, true, true, 32.0f, -32.0f)
                arcTo(32.0f, 32.0f, 0.0f, false, true, 128.0f, 256.0f)
                close()
                moveTo(208.0f, 160.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, true, 16.0f, -16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, true, 208.0f, 160.0f)
                close()
                moveTo(639.26f, 205.3f)
                arcToRelative(17.79f, 17.79f, 0.0f, false, false, -17.06f, -12.69f)
                arcToRelative(17.55f, 17.55f, 0.0f, false, false, -5.08f, 0.74f)
                lineToRelative(-11.27f, 3.33f)
                arcToRelative(83.61f, 83.61f, 0.0f, false, false, -36.39f, -35.43f)
                lineToRelative(2.88f, -11.06f)
                arcToRelative(17.81f, 17.81f, 0.0f, false, false, -34.48f, -8.91f)
                lineToRelative(-2.87f, 11.0f)
                curveToRelative(-1.0f, 0.0f, -2.07f, -0.26f, -3.1f, -0.26f)
                arcToRelative(83.32f, 83.32f, 0.0f, false, false, -45.65f, 13.89f)
                lineToRelative(-8.59f, -8.81f)
                arcToRelative(17.77f, 17.77f, 0.0f, false, false, -25.56f, 24.7f)
                lineToRelative(9.14f, 9.37f)
                arcToRelative(83.28f, 83.28f, 0.0f, false, false, -12.08f, 31.06f)
                arcToRelative(119.34f, 119.34f, 0.0f, false, true, -3.87f, 15.52f)
                lineToRelative(-9.0f, -4.22f)
                arcToRelative(17.74f, 17.74f, 0.0f, true, false, -15.15f, 32.09f)
                lineToRelative(8.8f, 4.11f)
                curveToRelative(-0.67f, 1.0f, -1.2f, 2.08f, -1.89f, 3.05f)
                arcToRelative(117.71f, 117.71f, 0.0f, false, true, -7.94f, 9.47f)
                arcToRelative(119.0f, 119.0f, 0.0f, false, true, -11.57f, 11.33f)
                arcToRelative(121.59f, 121.59f, 0.0f, false, true, -10.0f, 7.83f)
                curveToRelative(-1.12f, 0.77f, -2.32f, 1.42f, -3.47f, 2.15f)
                lineToRelative(-3.92f, -8.85f)
                arcToRelative(17.86f, 17.86f, 0.0f, false, false, -16.32f, -10.58f)
                arcToRelative(18.14f, 18.14f, 0.0f, false, false, -7.18f, 1.5f)
                arcTo(17.71f, 17.71f, 0.0f, false, false, 358.54f, 309.0f)
                lineToRelative(4.0f, 9.08f)
                arcToRelative(118.71f, 118.71f, 0.0f, false, true, -12.36f, 3.08f)
                arcToRelative(83.34f, 83.34f, 0.0f, false, false, -33.77f, 13.9f)
                lineToRelative(-10.0f, -9.0f)
                arcToRelative(17.77f, 17.77f, 0.0f, true, false, -23.92f, 26.28f)
                lineToRelative(9.72f, 8.75f)
                arcToRelative(83.12f, 83.12f, 0.0f, false, false, -11.65f, 48.18f)
                lineToRelative(-11.86f, 3.51f)
                arcToRelative(17.73f, 17.73f, 0.0f, true, false, 10.16f, 34.0f)
                lineToRelative(11.34f, -3.36f)
                arcTo(84.0f, 84.0f, 0.0f, false, false, 326.61f, 479.0f)
                lineToRelative(-2.84f, 10.85f)
                arcToRelative(17.8f, 17.8f, 0.0f, false, false, 34.47f, 8.93f)
                lineTo(361.06f, 488.0f)
                arcToRelative(83.3f, 83.3f, 0.0f, false, false, 16.74f, -1.1f)
                curveToRelative(11.37f, -1.89f, 22.24f, -5.07f, 33.1f, -8.24f)
                lineToRelative(3.38f, 9.46f)
                arcToRelative(17.8f, 17.8f, 0.0f, false, false, 33.56f, -11.89f)
                lineToRelative(-3.49f, -9.79f)
                arcToRelative(287.66f, 287.66f, 0.0f, false, false, 43.94f, -23.58f)
                lineToRelative(6.32f, 8.43f)
                arcToRelative(17.88f, 17.88f, 0.0f, false, false, 24.93f, 3.6f)
                arcTo(17.67f, 17.67f, 0.0f, false, false, 523.16f, 430.0f)
                lineToRelative(-6.45f, -8.61f)
                arcToRelative(287.37f, 287.37f, 0.0f, false, false, 34.95f, -35.34f)
                lineToRelative(8.82f, 6.42f)
                arcToRelative(17.76f, 17.76f, 0.0f, true, false, 21.0f, -28.63f)
                lineToRelative(-8.88f, -6.46f)
                arcToRelative(287.17f, 287.17f, 0.0f, false, false, 23.0f, -43.92f)
                lineToRelative(10.48f, 3.59f)
                arcToRelative(17.73f, 17.73f, 0.0f, true, false, 11.59f, -33.52f)
                lineTo(607.33f, 280.0f)
                curveToRelative(2.79f, -10.0f, 5.79f, -19.84f, 7.52f, -30.21f)
                arcToRelative(83.27f, 83.27f, 0.0f, false, false, 0.82f, -19.05f)
                lineToRelative(11.58f, -3.43f)
                arcTo(17.7f, 17.7f, 0.0f, false, false, 639.26f, 205.3f)
                close()
                moveTo(416.0f, 416.0f)
                arcToRelative(32.0f, 32.0f, 0.0f, true, true, 32.0f, -32.0f)
                arcTo(32.0f, 32.0f, 0.0f, false, true, 416.0f, 416.0f)
                close()
            }
        }
        .build()
        return _bacteria!!
    }

private var _bacteria: ImageVector? = null
