package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Bacterium: ImageVector
    get() {
        if (_bacterium != null) {
            return _bacterium!!
        }
        _bacterium = Builder(name = "Bacterium", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(511.0f, 102.93f)
                arcTo(23.76f, 23.76f, 0.0f, false, false, 481.47f, 87.0f)
                lineToRelative(-15.12f, 4.48f)
                arcToRelative(111.85f, 111.85f, 0.0f, false, false, -48.5f, -47.42f)
                lineToRelative(3.79f, -14.47f)
                arcToRelative(23.74f, 23.74f, 0.0f, false, false, -46.0f, -11.91f)
                lineToRelative(-3.76f, 14.37f)
                arcToRelative(111.94f, 111.94f, 0.0f, false, false, -22.33f, 1.47f)
                arcToRelative(386.74f, 386.74f, 0.0f, false, false, -44.33f, 10.41f)
                lineToRelative(-4.3f, -12.0f)
                arcToRelative(23.74f, 23.74f, 0.0f, false, false, -44.75f, 15.85f)
                lineToRelative(4.3f, 12.05f)
                arcToRelative(383.4f, 383.4f, 0.0f, false, false, -58.69f, 31.83f)
                lineToRelative(-8.0f, -10.63f)
                arcToRelative(23.85f, 23.85f, 0.0f, false, false, -33.24f, -4.8f)
                arcToRelative(23.57f, 23.57f, 0.0f, false, false, -4.83f, 33.09f)
                lineToRelative(8.0f, 10.63f)
                arcToRelative(386.14f, 386.14f, 0.0f, false, false, -46.7f, 47.44f)
                lineToRelative(-11.0f, -8.0f)
                arcToRelative(23.68f, 23.68f, 0.0f, true, false, -28.0f, 38.17f)
                lineToRelative(11.09f, 8.06f)
                arcToRelative(383.45f, 383.45f, 0.0f, false, false, -30.92f, 58.75f)
                lineToRelative(-12.93f, -4.43f)
                arcToRelative(23.65f, 23.65f, 0.0f, true, false, -15.47f, 44.69f)
                lineToRelative(13.0f, 4.48f)
                arcToRelative(385.81f, 385.81f, 0.0f, false, false, -9.3f, 40.53f)
                arcTo(111.58f, 111.58f, 0.0f, false, false, 32.44f, 375.0f)
                lineTo(17.0f, 379.56f)
                arcToRelative(23.64f, 23.64f, 0.0f, false, false, 13.51f, 45.31f)
                lineToRelative(15.0f, -4.44f)
                arcToRelative(111.49f, 111.49f, 0.0f, false, false, 48.53f, 47.24f)
                lineToRelative(-3.85f, 14.75f)
                arcToRelative(23.66f, 23.66f, 0.0f, false, false, 17.0f, 28.83f)
                arcToRelative(24.7f, 24.7f, 0.0f, false, false, 6.0f, 0.75f)
                arcToRelative(23.73f, 23.73f, 0.0f, false, false, 23.0f, -17.7f)
                lineTo(140.0f, 479.67f)
                curveToRelative(1.37f, 0.05f, 2.77f, 0.35f, 4.13f, 0.35f)
                arcTo(111.22f, 111.22f, 0.0f, false, false, 205.0f, 461.5f)
                lineToRelative(11.45f, 11.74f)
                arcToRelative(23.7f, 23.7f, 0.0f, false, false, 34.08f, -32.93f)
                lineToRelative(-12.19f, -12.5f)
                arcToRelative(111.0f, 111.0f, 0.0f, false, false, 16.11f, -41.4f)
                arcToRelative(158.69f, 158.69f, 0.0f, false, true, 5.16f, -20.71f)
                lineToRelative(12.0f, 5.64f)
                arcToRelative(23.66f, 23.66f, 0.0f, true, false, 20.19f, -42.79f)
                lineToRelative(-11.72f, -5.49f)
                curveToRelative(0.89f, -1.32f, 1.59f, -2.77f, 2.52f, -4.06f)
                arcToRelative(157.86f, 157.86f, 0.0f, false, true, 10.46f, -12.49f)
                arcToRelative(159.5f, 159.5f, 0.0f, false, true, 15.59f, -15.28f)
                arcToRelative(162.18f, 162.18f, 0.0f, false, true, 13.23f, -10.4f)
                curveToRelative(1.5f, -1.0f, 3.1f, -1.89f, 4.63f, -2.87f)
                lineToRelative(5.23f, 11.8f)
                arcToRelative(23.74f, 23.74f, 0.0f, false, false, 43.48f, -19.08f)
                lineToRelative(-5.36f, -12.11f)
                arcToRelative(158.87f, 158.87f, 0.0f, false, true, 16.49f, -4.1f)
                arcToRelative(111.0f, 111.0f, 0.0f, false, false, 45.0f, -18.54f)
                lineToRelative(13.33f, 12.0f)
                arcToRelative(23.69f, 23.69f, 0.0f, true, false, 31.88f, -35.0f)
                lineToRelative(-12.94f, -11.67f)
                arcTo(110.83f, 110.83f, 0.0f, false, false, 479.21f, 137.0f)
                lineTo(495.0f, 132.32f)
                arcTo(23.61f, 23.61f, 0.0f, false, false, 511.0f, 102.93f)
                close()
                moveTo(160.0f, 368.0f)
                arcToRelative(48.0f, 48.0f, 0.0f, true, true, 48.0f, -48.0f)
                arcTo(48.0f, 48.0f, 0.0f, false, true, 160.0f, 368.0f)
                close()
                moveTo(240.0f, 232.0f)
                arcToRelative(24.0f, 24.0f, 0.0f, true, true, 24.0f, -24.0f)
                arcTo(24.0f, 24.0f, 0.0f, false, true, 240.0f, 232.0f)
                close()
            }
        }
        .build()
        return _bacterium!!
    }

private var _bacterium: ImageVector? = null
