package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.FileArchive: ImageVector
    get() {
        if (_fileArchive != null) {
            return _fileArchive!!
        }
        _fileArchive = Builder(name = "FileArchive", defaultWidth = 384.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 384.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(377.0f, 105.0f)
                lineTo(279.1f, 7.0f)
                curveToRelative(-4.5f, -4.5f, -10.6f, -7.0f, -17.0f, -7.0f)
                lineTo(256.0f, 0.0f)
                verticalLineToRelative(128.0f)
                horizontalLineToRelative(128.0f)
                verticalLineToRelative(-6.1f)
                curveToRelative(0.0f, -6.3f, -2.5f, -12.4f, -7.0f, -16.9f)
                close()
                moveTo(128.4f, 336.0f)
                curveToRelative(-17.9f, 0.0f, -32.4f, 12.1f, -32.4f, 27.0f)
                curveToRelative(0.0f, 15.0f, 14.6f, 27.0f, 32.5f, 27.0f)
                reflectiveCurveToRelative(32.4f, -12.1f, 32.4f, -27.0f)
                reflectiveCurveToRelative(-14.6f, -27.0f, -32.5f, -27.0f)
                close()
                moveTo(224.0f, 136.0f)
                lineTo(224.0f, 0.0f)
                horizontalLineToRelative(-63.6f)
                verticalLineToRelative(32.0f)
                horizontalLineToRelative(-32.0f)
                lineTo(128.4f, 0.0f)
                lineTo(24.0f, 0.0f)
                curveTo(10.7f, 0.0f, 0.0f, 10.7f, 0.0f, 24.0f)
                verticalLineToRelative(464.0f)
                curveToRelative(0.0f, 13.3f, 10.7f, 24.0f, 24.0f, 24.0f)
                horizontalLineToRelative(336.0f)
                curveToRelative(13.3f, 0.0f, 24.0f, -10.7f, 24.0f, -24.0f)
                lineTo(384.0f, 160.0f)
                lineTo(248.0f, 160.0f)
                curveToRelative(-13.2f, 0.0f, -24.0f, -10.8f, -24.0f, -24.0f)
                close()
                moveTo(95.9f, 32.0f)
                horizontalLineToRelative(32.0f)
                verticalLineToRelative(32.0f)
                horizontalLineToRelative(-32.0f)
                close()
                moveTo(128.2f, 416.0f)
                curveToRelative(-33.2f, 0.0f, -58.0f, -30.4f, -51.4f, -62.9f)
                lineTo(96.4f, 256.0f)
                verticalLineToRelative(-32.0f)
                horizontalLineToRelative(32.0f)
                verticalLineToRelative(-32.0f)
                horizontalLineToRelative(-32.0f)
                verticalLineToRelative(-32.0f)
                horizontalLineToRelative(32.0f)
                verticalLineToRelative(-32.0f)
                horizontalLineToRelative(-32.0f)
                lineTo(96.4f, 96.0f)
                horizontalLineToRelative(32.0f)
                lineTo(128.4f, 64.0f)
                horizontalLineToRelative(32.0f)
                verticalLineToRelative(32.0f)
                horizontalLineToRelative(-32.0f)
                verticalLineToRelative(32.0f)
                horizontalLineToRelative(32.0f)
                verticalLineToRelative(32.0f)
                horizontalLineToRelative(-32.0f)
                verticalLineToRelative(32.0f)
                horizontalLineToRelative(32.0f)
                verticalLineToRelative(32.0f)
                horizontalLineToRelative(-32.0f)
                verticalLineToRelative(32.0f)
                horizontalLineToRelative(22.1f)
                curveToRelative(5.7f, 0.0f, 10.7f, 4.1f, 11.8f, 9.7f)
                lineToRelative(17.3f, 87.7f)
                curveToRelative(6.4f, 32.4f, -18.4f, 62.6f, -51.4f, 62.6f)
                close()
            }
        }
        .build()
        return _fileArchive!!
    }

private var _fileArchive: ImageVector? = null
