package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.FileCsv: ImageVector
    get() {
        if (_fileCsv != null) {
            return _fileCsv!!
        }
        _fileCsv = Builder(name = "FileCsv", defaultWidth = 384.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 384.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(224.0f, 136.0f)
                lineTo(224.0f, 0.0f)
                lineTo(24.0f, 0.0f)
                curveTo(10.7f, 0.0f, 0.0f, 10.7f, 0.0f, 24.0f)
                verticalLineToRelative(464.0f)
                curveToRelative(0.0f, 13.3f, 10.7f, 24.0f, 24.0f, 24.0f)
                horizontalLineToRelative(336.0f)
                curveToRelative(13.3f, 0.0f, 24.0f, -10.7f, 24.0f, -24.0f)
                lineTo(384.0f, 160.0f)
                lineTo(248.0f, 160.0f)
                curveToRelative(-13.2f, 0.0f, -24.0f, -10.8f, -24.0f, -24.0f)
                close()
                moveTo(128.0f, 280.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-8.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(8.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-8.0f)
                curveToRelative(-26.51f, 0.0f, -48.0f, -21.49f, -48.0f, -48.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -26.51f, 21.49f, -48.0f, 48.0f, -48.0f)
                horizontalLineToRelative(8.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(16.0f)
                close()
                moveTo(172.27f, 384.0f)
                lineTo(160.0f, 384.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(12.27f)
                curveToRelative(5.95f, 0.0f, 10.41f, -3.5f, 10.41f, -6.62f)
                curveToRelative(0.0f, -1.3f, -0.75f, -2.66f, -2.12f, -3.84f)
                lineToRelative(-21.89f, -18.77f)
                curveToRelative(-8.47f, -7.22f, -13.33f, -17.48f, -13.33f, -28.14f)
                curveToRelative(0.0f, -21.3f, 19.02f, -38.62f, 42.41f, -38.62f)
                lineTo(200.0f, 256.01f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-12.27f)
                curveToRelative(-5.95f, 0.0f, -10.41f, 3.5f, -10.41f, 6.62f)
                curveToRelative(0.0f, 1.3f, 0.75f, 2.66f, 2.12f, 3.84f)
                lineToRelative(21.89f, 18.77f)
                curveToRelative(8.47f, 7.22f, 13.33f, 17.48f, 13.33f, 28.14f)
                curveToRelative(0.01f, 21.29f, -19.0f, 38.62f, -42.39f, 38.62f)
                close()
                moveTo(256.0f, 264.0f)
                verticalLineToRelative(20.8f)
                curveToRelative(0.0f, 20.27f, 5.7f, 40.17f, 16.0f, 56.88f)
                curveToRelative(10.3f, -16.7f, 16.0f, -36.61f, 16.0f, -56.88f)
                lineTo(288.0f, 264.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(20.8f)
                curveToRelative(0.0f, 35.48f, -12.88f, 68.89f, -36.28f, 94.09f)
                curveToRelative(-3.02f, 3.25f, -7.27f, 5.11f, -11.72f, 5.11f)
                reflectiveCurveToRelative(-8.7f, -1.86f, -11.72f, -5.11f)
                curveToRelative(-23.4f, -25.2f, -36.28f, -58.61f, -36.28f, -94.09f)
                lineTo(224.0f, 264.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                close()
                moveTo(377.0f, 105.0f)
                lineTo(279.1f, 7.0f)
                curveToRelative(-4.5f, -4.5f, -10.6f, -7.0f, -17.0f, -7.0f)
                lineTo(256.0f, 0.0f)
                verticalLineToRelative(128.0f)
                horizontalLineToRelative(128.0f)
                verticalLineToRelative(-6.1f)
                curveToRelative(0.0f, -6.3f, -2.5f, -12.4f, -7.0f, -16.9f)
                close()
            }
        }
        .build()
        return _fileCsv!!
    }

private var _fileCsv: ImageVector? = null
