package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.FileInvoiceDollar: ImageVector
    get() {
        if (_fileInvoiceDollar != null) {
            return _fileInvoiceDollar!!
        }
        _fileInvoiceDollar = Builder(name = "FileInvoiceDollar", defaultWidth = 384.0.dp,
                defaultHeight = 512.0.dp, viewportWidth = 384.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(377.0f, 105.0f)
                lineTo(279.1f, 7.0f)
                curveToRelative(-4.5f, -4.5f, -10.6f, -7.0f, -17.0f, -7.0f)
                lineTo(256.0f, 0.0f)
                verticalLineToRelative(128.0f)
                horizontalLineToRelative(128.0f)
                verticalLineToRelative(-6.1f)
                curveToRelative(0.0f, -6.3f, -2.5f, -12.4f, -7.0f, -16.9f)
                close()
                moveTo(224.0f, 136.0f)
                lineTo(224.0f, 0.0f)
                lineTo(24.0f, 0.0f)
                curveTo(10.7f, 0.0f, 0.0f, 10.7f, 0.0f, 24.0f)
                verticalLineToRelative(464.0f)
                curveToRelative(0.0f, 13.3f, 10.7f, 24.0f, 24.0f, 24.0f)
                horizontalLineToRelative(336.0f)
                curveToRelative(13.3f, 0.0f, 24.0f, -10.7f, 24.0f, -24.0f)
                lineTo(384.0f, 160.0f)
                lineTo(248.0f, 160.0f)
                curveToRelative(-13.2f, 0.0f, -24.0f, -10.8f, -24.0f, -24.0f)
                close()
                moveTo(64.0f, 72.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(80.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                lineTo(72.0f, 96.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                lineTo(64.0f, 72.0f)
                close()
                moveTo(64.0f, 152.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(80.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                lineTo(72.0f, 160.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                close()
                moveTo(208.0f, 415.88f)
                lineTo(208.0f, 440.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                verticalLineToRelative(-24.29f)
                curveToRelative(-11.29f, -0.58f, -22.27f, -4.52f, -31.37f, -11.35f)
                curveToRelative(-3.9f, -2.93f, -4.1f, -8.77f, -0.57f, -12.14f)
                lineToRelative(11.75f, -11.21f)
                curveToRelative(2.77f, -2.64f, 6.89f, -2.76f, 10.13f, -0.73f)
                curveToRelative(3.87f, 2.42f, 8.26f, 3.72f, 12.82f, 3.72f)
                horizontalLineToRelative(28.11f)
                curveToRelative(6.5f, 0.0f, 11.8f, -5.92f, 11.8f, -13.19f)
                curveToRelative(0.0f, -5.95f, -3.61f, -11.19f, -8.77f, -12.73f)
                lineToRelative(-45.0f, -13.5f)
                curveToRelative(-18.59f, -5.58f, -31.58f, -23.42f, -31.58f, -43.39f)
                curveToRelative(0.0f, -24.52f, 19.05f, -44.44f, 42.67f, -45.07f)
                lineTo(175.99f, 232.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(24.29f)
                curveToRelative(11.29f, 0.58f, 22.27f, 4.51f, 31.37f, 11.35f)
                curveToRelative(3.9f, 2.93f, 4.1f, 8.77f, 0.57f, 12.14f)
                lineToRelative(-11.75f, 11.21f)
                curveToRelative(-2.77f, 2.64f, -6.89f, 2.76f, -10.13f, 0.73f)
                curveToRelative(-3.87f, -2.43f, -8.26f, -3.72f, -12.82f, -3.72f)
                horizontalLineToRelative(-28.11f)
                curveToRelative(-6.5f, 0.0f, -11.8f, 5.92f, -11.8f, 13.19f)
                curveToRelative(0.0f, 5.95f, 3.61f, 11.19f, 8.77f, 12.73f)
                lineToRelative(45.0f, 13.5f)
                curveToRelative(18.59f, 5.58f, 31.58f, 23.42f, 31.58f, 43.39f)
                curveToRelative(0.0f, 24.53f, -19.05f, 44.44f, -42.67f, 45.07f)
                close()
            }
        }
        .build()
        return _fileInvoiceDollar!!
    }

private var _fileInvoiceDollar: ImageVector? = null
