package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Shower: ImageVector
    get() {
        if (_shower != null) {
            return _shower!!
        }
        _shower = Builder(name = "Shower", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(304.0f, 320.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 304.0f, 320.0f)
                close()
                moveTo(336.0f, 224.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 336.0f, 224.0f)
                close()
                moveTo(368.0f, 288.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, -16.0f, -16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 368.0f, 288.0f)
                close()
                moveTo(336.0f, 320.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, -16.0f, -16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 336.0f, 320.0f)
                close()
                moveTo(304.0f, 256.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 304.0f, 256.0f)
                close()
                moveTo(432.0f, 224.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, -16.0f, -16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 432.0f, 224.0f)
                close()
                moveTo(384.0f, 240.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, -16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 384.0f, 240.0f)
                close()
                moveTo(368.0f, 192.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 368.0f, 192.0f)
                close()
                moveTo(464.0f, 224.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 464.0f, 224.0f)
                close()
                moveTo(496.0f, 192.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 496.0f, 192.0f)
                close()
                moveTo(432.0f, 256.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 432.0f, 256.0f)
                close()
                moveTo(400.0f, 288.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 400.0f, 288.0f)
                close()
                moveTo(336.0f, 352.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 336.0f, 352.0f)
                close()
                moveTo(304.0f, 384.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 304.0f, 384.0f)
                close()
                moveTo(368.0f, 320.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 16.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 368.0f, 320.0f)
                close()
                moveTo(389.65f, 101.65f)
                lineTo(378.35f, 90.34f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -22.63f, 0.0f)
                lineTo(350.05f, 96.0f)
                arcTo(111.19f, 111.19f, 0.0f, false, false, 272.0f, 64.0f)
                curveToRelative(-19.24f, 0.0f, -37.08f, 5.3f, -52.9f, 13.85f)
                lineToRelative(-10.0f, -10.0f)
                arcTo(121.72f, 121.72f, 0.0f, false, false, 123.44f, 32.0f)
                curveTo(55.49f, 31.5f, 0.0f, 92.91f, 0.0f, 160.85f)
                lineTo(0.0f, 464.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 16.0f, 16.0f)
                lineTo(48.0f, 480.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 16.0f, -16.0f)
                lineTo(64.0f, 158.4f)
                curveToRelative(0.0f, -30.15f, 21.0f, -58.2f, 51.0f, -61.93f)
                arcToRelative(58.38f, 58.38f, 0.0f, false, true, 48.93f, 16.67f)
                lineToRelative(10.0f, 10.0f)
                curveTo(165.3f, 138.92f, 160.0f, 156.76f, 160.0f, 176.0f)
                arcToRelative(111.23f, 111.23f, 0.0f, false, false, 32.0f, 78.05f)
                lineToRelative(-5.66f, 5.67f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 0.0f, 22.62f)
                lineToRelative(11.3f, 11.31f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 22.63f, 0.0f)
                lineTo(389.65f, 124.28f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 389.65f, 101.65f)
                close()
            }
        }
        .build()
        return _shower!!
    }

private var _shower: ImageVector? = null
