package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.SignLanguage: ImageVector
    get() {
        if (_signLanguage != null) {
            return _signLanguage!!
        }
        _signLanguage = Builder(name = "SignLanguage", defaultWidth = 448.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(91.434f, 483.987f)
                curveToRelative(-0.307f, -16.018f, 13.109f, -29.129f, 29.13f, -29.129f)
                horizontalLineToRelative(62.293f)
                verticalLineToRelative(-5.714f)
                lineTo(56.993f, 449.144f)
                curveToRelative(-16.021f, 0.0f, -29.437f, -13.111f, -29.13f, -29.129f)
                curveTo(28.16f, 404.491f, 40.835f, 392.0f, 56.428f, 392.0f)
                horizontalLineToRelative(126.429f)
                verticalLineToRelative(-5.714f)
                lineTo(29.136f, 386.286f)
                curveToRelative(-16.021f, 0.0f, -29.437f, -13.111f, -29.13f, -29.129f)
                curveToRelative(0.297f, -15.522f, 12.973f, -28.013f, 28.566f, -28.013f)
                horizontalLineToRelative(154.286f)
                verticalLineToRelative(-5.714f)
                lineTo(57.707f, 323.43f)
                curveToRelative(-16.021f, 0.0f, -29.437f, -13.111f, -29.13f, -29.129f)
                curveToRelative(0.297f, -15.522f, 12.973f, -28.013f, 28.566f, -28.013f)
                horizontalLineToRelative(168.566f)
                lineToRelative(-31.085f, -22.606f)
                curveToRelative(-12.762f, -9.281f, -15.583f, -27.149f, -6.302f, -39.912f)
                curveToRelative(9.281f, -12.761f, 27.15f, -15.582f, 39.912f, -6.302f)
                lineToRelative(123.361f, 89.715f)
                arcToRelative(34.287f, 34.287f, 0.0f, false, true, 14.12f, 27.728f)
                verticalLineToRelative(141.136f)
                curveToRelative(0.0f, 15.91f, -10.946f, 29.73f, -26.433f, 33.374f)
                lineToRelative(-80.471f, 18.934f)
                arcToRelative(137.16f, 137.16f, 0.0f, false, true, -31.411f, 3.646f)
                lineTo(120.0f, 512.001f)
                curveToRelative(-15.593f, -0.001f, -28.269f, -12.492f, -28.566f, -28.014f)
                close()
                moveTo(164.683f, 258.286f)
                horizontalLineToRelative(36.423f)
                lineToRelative(-11.187f, -8.136f)
                curveToRelative(-18.579f, -13.511f, -20.313f, -40.887f, -3.17f, -56.536f)
                lineToRelative(-13.004f, -16.7f)
                curveToRelative(-9.843f, -12.641f, -28.43f, -15.171f, -40.88f, -5.088f)
                curveToRelative(-12.065f, 9.771f, -14.133f, 27.447f, -4.553f, 39.75f)
                lineToRelative(36.371f, 46.71f)
                close()
                moveTo(447.981f, 256.183f)
                lineToRelative(-5.003f, -152.452f)
                curveToRelative(-0.518f, -15.771f, -13.722f, -28.136f, -29.493f, -27.619f)
                curveToRelative(-15.773f, 0.518f, -28.137f, 13.722f, -27.619f, 29.493f)
                lineToRelative(1.262f, 38.415f)
                lineTo(283.565f, 11.019f)
                curveToRelative(-9.58f, -12.303f, -27.223f, -14.63f, -39.653f, -5.328f)
                curveToRelative(-12.827f, 9.599f, -14.929f, 28.24f, -5.086f, 40.881f)
                lineToRelative(76.889f, 98.745f)
                lineToRelative(-4.509f, 3.511f)
                lineToRelative(-94.79f, -121.734f)
                curveToRelative(-9.58f, -12.303f, -27.223f, -14.63f, -39.653f, -5.328f)
                curveToRelative(-12.827f, 9.599f, -14.929f, 28.24f, -5.086f, 40.881f)
                lineToRelative(94.443f, 121.288f)
                lineToRelative(-4.509f, 3.511f)
                lineToRelative(-77.675f, -99.754f)
                curveToRelative(-9.58f, -12.303f, -27.223f, -14.63f, -39.653f, -5.328f)
                curveToRelative(-12.827f, 9.599f, -14.929f, 28.24f, -5.086f, 40.881f)
                lineToRelative(52.053f, 66.849f)
                curveToRelative(12.497f, -8.257f, 29.055f, -8.285f, 41.69f, 0.904f)
                lineToRelative(123.36f, 89.714f)
                curveToRelative(10.904f, 7.93f, 17.415f, 20.715f, 17.415f, 34.198f)
                verticalLineToRelative(16.999f)
                lineToRelative(61.064f, -47.549f)
                arcToRelative(34.285f, 34.285f, 0.0f, false, false, 13.202f, -28.177f)
                close()
            }
        }
        .build()
        return _signLanguage!!
    }

private var _signLanguage: ImageVector? = null
