package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Sms: ImageVector
    get() {
        if (_sms != null) {
            return _sms!!
        }
        _sms = Builder(name = "Sms", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(256.0f, 32.0f)
                curveTo(114.6f, 32.0f, 0.0f, 125.1f, 0.0f, 240.0f)
                curveToRelative(0.0f, 49.6f, 21.4f, 95.0f, 57.0f, 130.7f)
                curveTo(44.5f, 421.1f, 2.7f, 466.0f, 2.2f, 466.5f)
                curveToRelative(-2.2f, 2.3f, -2.8f, 5.7f, -1.5f, 8.7f)
                curveToRelative(1.3f, 3.0f, 4.1f, 4.8f, 7.3f, 4.8f)
                curveToRelative(66.3f, 0.0f, 116.0f, -31.8f, 140.6f, -51.4f)
                curveToRelative(32.7f, 12.3f, 69.0f, 19.4f, 107.4f, 19.4f)
                curveToRelative(141.4f, 0.0f, 256.0f, -93.1f, 256.0f, -208.0f)
                reflectiveCurveTo(397.4f, 32.0f, 256.0f, 32.0f)
                close()
                moveTo(128.2f, 304.0f)
                lineTo(116.0f, 304.0f)
                curveToRelative(-4.4f, 0.0f, -8.0f, -3.6f, -8.0f, -8.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -4.4f, 3.6f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(12.3f)
                curveToRelative(6.0f, 0.0f, 10.4f, -3.5f, 10.4f, -6.6f)
                curveToRelative(0.0f, -1.3f, -0.8f, -2.7f, -2.1f, -3.8f)
                lineToRelative(-21.9f, -18.8f)
                curveToRelative(-8.5f, -7.2f, -13.3f, -17.5f, -13.3f, -28.1f)
                curveToRelative(0.0f, -21.3f, 19.0f, -38.6f, 42.4f, -38.6f)
                lineTo(156.0f, 176.1f)
                curveToRelative(4.4f, 0.0f, 8.0f, 3.6f, 8.0f, 8.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 4.4f, -3.6f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-12.3f)
                curveToRelative(-6.0f, 0.0f, -10.4f, 3.5f, -10.4f, 6.6f)
                curveToRelative(0.0f, 1.3f, 0.8f, 2.7f, 2.1f, 3.8f)
                lineToRelative(21.9f, 18.8f)
                curveToRelative(8.5f, 7.2f, 13.3f, 17.5f, 13.3f, 28.1f)
                curveToRelative(0.1f, 21.3f, -19.0f, 38.6f, -42.4f, 38.6f)
                close()
                moveTo(320.0f, 296.0f)
                curveToRelative(0.0f, 4.4f, -3.6f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.4f, 0.0f, -8.0f, -3.6f, -8.0f, -8.0f)
                verticalLineToRelative(-68.2f)
                lineToRelative(-24.8f, 55.8f)
                curveToRelative(-2.9f, 5.9f, -11.4f, 5.9f, -14.3f, 0.0f)
                lineTo(224.0f, 227.8f)
                lineTo(224.0f, 296.0f)
                curveToRelative(0.0f, 4.4f, -3.6f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.4f, 0.0f, -8.0f, -3.6f, -8.0f, -8.0f)
                lineTo(192.0f, 192.0f)
                curveToRelative(0.0f, -8.8f, 7.2f, -16.0f, 16.0f, -16.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(6.1f, 0.0f, 11.6f, 3.4f, 14.3f, 8.8f)
                lineToRelative(17.7f, 35.4f)
                lineToRelative(17.7f, -35.4f)
                curveToRelative(2.7f, -5.4f, 8.3f, -8.8f, 14.3f, -8.8f)
                horizontalLineToRelative(16.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, 7.2f, 16.0f, 16.0f)
                verticalLineToRelative(104.0f)
                close()
                moveTo(368.3f, 304.0f)
                lineTo(356.0f, 304.0f)
                curveToRelative(-4.4f, 0.0f, -8.0f, -3.6f, -8.0f, -8.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -4.4f, 3.6f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(12.3f)
                curveToRelative(6.0f, 0.0f, 10.4f, -3.5f, 10.4f, -6.6f)
                curveToRelative(0.0f, -1.3f, -0.8f, -2.7f, -2.1f, -3.8f)
                lineToRelative(-21.9f, -18.8f)
                curveToRelative(-8.5f, -7.2f, -13.3f, -17.5f, -13.3f, -28.1f)
                curveToRelative(0.0f, -21.3f, 19.0f, -38.6f, 42.4f, -38.6f)
                lineTo(396.0f, 176.1f)
                curveToRelative(4.4f, 0.0f, 8.0f, 3.6f, 8.0f, 8.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 4.4f, -3.6f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-12.3f)
                curveToRelative(-6.0f, 0.0f, -10.4f, 3.5f, -10.4f, 6.6f)
                curveToRelative(0.0f, 1.3f, 0.8f, 2.7f, 2.1f, 3.8f)
                lineToRelative(21.9f, 18.8f)
                curveToRelative(8.5f, 7.2f, 13.3f, 17.5f, 13.3f, 28.1f)
                curveToRelative(0.1f, 21.3f, -18.9f, 38.6f, -42.3f, 38.6f)
                close()
            }
        }
        .build()
        return _sms!!
    }

private var _sms: ImageVector? = null
