package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Snowman: ImageVector
    get() {
        if (_snowman != null) {
            return _snowman!!
        }
        _snowman = Builder(name = "Snowman", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(510.9f, 152.3f)
                lineToRelative(-5.9f, -14.5f)
                curveToRelative(-3.3f, -8.0f, -12.6f, -11.9f, -20.8f, -8.7f)
                lineTo(456.0f, 140.6f)
                verticalLineToRelative(-29.0f)
                curveToRelative(0.0f, -8.6f, -7.2f, -15.6f, -16.0f, -15.6f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, 7.0f, -16.0f, 15.6f)
                verticalLineToRelative(46.9f)
                curveToRelative(0.0f, 0.5f, 0.3f, 1.0f, 0.3f, 1.5f)
                lineToRelative(-56.4f, 23.0f)
                curveToRelative(-5.9f, -10.0f, -13.3f, -18.9f, -22.0f, -26.6f)
                curveToRelative(13.6f, -16.6f, 22.0f, -37.4f, 22.0f, -60.5f)
                curveToRelative(0.0f, -53.0f, -43.0f, -96.0f, -96.0f, -96.0f)
                reflectiveCurveToRelative(-96.0f, 43.0f, -96.0f, 96.0f)
                curveToRelative(0.0f, 23.1f, 8.5f, 43.9f, 22.0f, 60.5f)
                curveToRelative(-8.7f, 7.7f, -16.0f, 16.6f, -22.0f, 26.6f)
                lineToRelative(-56.4f, -23.0f)
                curveToRelative(0.1f, -0.5f, 0.3f, -1.0f, 0.3f, -1.5f)
                verticalLineToRelative(-46.9f)
                curveTo(104.0f, 103.0f, 96.8f, 96.0f, 88.0f, 96.0f)
                lineTo(72.0f, 96.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, 7.0f, -16.0f, 15.6f)
                verticalLineToRelative(29.0f)
                lineToRelative(-28.1f, -11.5f)
                curveToRelative(-8.2f, -3.2f, -17.5f, 0.7f, -20.8f, 8.7f)
                lineToRelative(-5.9f, 14.5f)
                curveToRelative(-3.3f, 8.0f, 0.7f, 17.1f, 8.9f, 20.3f)
                lineToRelative(135.2f, 55.2f)
                curveToRelative(-0.4f, 4.0f, -1.2f, 8.0f, -1.2f, 12.2f)
                curveToRelative(0.0f, 10.1f, 1.7f, 19.6f, 4.2f, 28.9f)
                curveTo(120.9f, 296.4f, 104.0f, 334.2f, 104.0f, 376.0f)
                curveToRelative(0.0f, 54.0f, 28.4f, 100.9f, 70.8f, 127.8f)
                curveToRelative(9.3f, 5.9f, 20.3f, 8.2f, 31.3f, 8.2f)
                horizontalLineToRelative(99.2f)
                curveToRelative(13.3f, 0.0f, 26.3f, -4.1f, 37.2f, -11.7f)
                curveToRelative(46.5f, -32.3f, 74.4f, -89.4f, 62.9f, -152.6f)
                curveToRelative(-5.5f, -30.2f, -20.5f, -57.6f, -41.6f, -79.0f)
                curveToRelative(2.5f, -9.2f, 4.2f, -18.7f, 4.2f, -28.7f)
                curveToRelative(0.0f, -4.2f, -0.8f, -8.1f, -1.2f, -12.2f)
                lineTo(502.0f, 172.6f)
                curveToRelative(8.1f, -3.1f, 12.1f, -12.2f, 8.9f, -20.3f)
                close()
                moveTo(224.0f, 96.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(256.0f, 368.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(256.0f, 304.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(256.0f, 240.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(256.0f, 152.0f)
                reflectiveCurveToRelative(-16.0f, -23.2f, -16.0f, -32.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-16.0f, 32.0f, -16.0f, 32.0f)
                close()
                moveTo(288.0f, 96.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                reflectiveCurveToRelative(7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.2f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
            }
        }
        .build()
        return _snowman!!
    }

private var _snowman: ImageVector? = null
