package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Aeromexico: ImageVector
    get() {
        if (_aeromexico != null) {
            return _aeromexico!!
        }
        _aeromexico = Builder(name = "Aeromexico", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(22.354f, 12.222f)
                curveToRelative(0.044f, 0.156f, 0.0f, 0.422f, -0.267f, 0.489f)
                arcToRelative(3.74f, 3.74f, 0.0f, false, true, -0.666f, 0.11f)
                curveToRelative(-0.377f, 0.045f, -0.355f, 0.356f, -0.355f, 0.534f)
                verticalLineToRelative(2.264f)
                curveToRelative(0.0f, 0.31f, -0.244f, 1.354f, -1.443f, 1.354f)
                lineTo(16.87f, 16.973f)
                curveToRelative(-1.043f, 0.0f, -1.864f, -0.866f, -1.864f, -1.798f)
                lineTo(15.006f, 9.803f)
                curveToRelative(-0.022f, -0.932f, 0.821f, -1.554f, 1.576f, -1.532f)
                curveToRelative(0.377f, 0.0f, 0.644f, 0.111f, 0.843f, 0.222f)
                curveToRelative(0.444f, 0.2f, 0.933f, 0.444f, 1.577f, 0.755f)
                curveToRelative(0.0f, 0.0f, 1.02f, -0.733f, 1.087f, -0.777f)
                curveToRelative(0.355f, -0.244f, 0.688f, -0.067f, 0.8f, 0.155f)
                curveToRelative(0.377f, 0.733f, 1.087f, 2.22f, 1.465f, 3.596f)
                close()
                moveTo(23.996f, 8.204f)
                arcToRelative(3.283f, 3.283f, 0.0f, false, false, -3.219f, -3.33f)
                curveToRelative(-1.709f, -0.044f, -2.663f, 0.578f, -3.019f, 0.755f)
                curveToRelative(-0.022f, 0.023f, -0.066f, 0.0f, -0.11f, -0.044f)
                curveToRelative(-0.311f, -0.31f, -1.0f, -0.777f, -1.754f, -0.999f)
                curveToRelative(-0.111f, -0.022f, -0.133f, -0.2f, 0.0f, -0.2f)
                arcToRelative(13.3f, 13.3f, 0.0f, false, true, 3.64f, 0.111f)
                curveToRelative(0.134f, 0.023f, 0.245f, -0.066f, 0.178f, -0.177f)
                curveToRelative(-0.044f, -0.089f, -0.067f, -0.133f, -0.133f, -0.289f)
                curveToRelative(-0.156f, -0.31f, -0.533f, -0.644f, -1.021f, -0.777f)
                curveToRelative(-1.266f, -0.355f, -3.441f, -0.666f, -5.394f, -0.666f)
                curveToRelative(-2.176f, -0.022f, -4.484f, 0.422f, -5.062f, 0.555f)
                curveToRelative(-0.133f, 0.023f, -0.333f, 0.09f, -0.377f, 0.09f)
                curveToRelative(-0.111f, 0.0f, -0.155f, 0.155f, -0.089f, 0.221f)
                lineToRelative(0.222f, 0.222f)
                curveToRelative(0.067f, 0.089f, 0.111f, 0.222f, -0.022f, 0.355f)
                lineTo(3.796f, 7.65f)
                lineTo(6.57f, 7.65f)
                curveToRelative(0.177f, 0.0f, 0.355f, 0.155f, 0.355f, 0.355f)
                curveToRelative(0.0f, 0.177f, -0.156f, 0.355f, -0.333f, 0.355f)
                lineTo(2.997f, 8.36f)
                lineToRelative(-1.088f, 0.999f)
                horizontalLineToRelative(4.706f)
                curveToRelative(0.178f, 0.0f, 0.333f, 0.2f, 0.333f, 0.355f)
                curveToRelative(0.0f, 0.155f, -0.133f, 0.355f, -0.333f, 0.355f)
                lineTo(1.11f, 10.069f)
                lineTo(0.0f, 11.09f)
                horizontalLineToRelative(9.501f)
                curveToRelative(0.177f, 0.0f, 0.333f, 0.2f, 0.333f, 0.355f)
                curveToRelative(0.0f, 0.2f, -0.133f, 0.378f, -0.333f, 0.378f)
                lineTo(0.0f, 11.823f)
                verticalLineToRelative(0.999f)
                horizontalLineToRelative(9.479f)
                curveToRelative(0.222f, 0.0f, 0.333f, 0.2f, 0.333f, 0.377f)
                curveToRelative(0.0f, 0.156f, -0.156f, 0.333f, -0.356f, 0.333f)
                lineTo(0.0f, 13.532f)
                verticalLineToRelative(1.0f)
                horizontalLineToRelative(12.386f)
                curveToRelative(0.2f, 0.0f, 0.334f, 0.177f, 0.334f, 0.377f)
                curveToRelative(0.0f, 0.177f, -0.156f, 0.355f, -0.334f, 0.355f)
                lineTo(3.33f, 15.264f)
                verticalLineToRelative(0.999f)
                horizontalLineToRelative(9.079f)
                curveToRelative(0.177f, 0.0f, 0.31f, 0.2f, 0.31f, 0.377f)
                reflectiveCurveToRelative(-0.155f, 0.355f, -0.31f, 0.355f)
                lineToRelative(-0.178f, -0.022f)
                lineTo(3.33f, 16.973f)
                verticalLineToRelative(0.999f)
                horizontalLineToRelative(10.455f)
                reflectiveCurveToRelative(0.377f, -0.866f, 0.377f, -1.843f)
                lineTo(14.162f, 9.403f)
                curveToRelative(0.0f, -0.532f, 0.222f, -1.42f, 1.31f, -1.664f)
                curveToRelative(0.022f, 0.0f, 0.067f, -0.023f, 0.089f, -0.023f)
                curveToRelative(3.085f, -0.732f, 6.26f, -0.066f, 8.058f, 0.71f)
                curveToRelative(0.333f, 0.156f, 0.4f, -0.11f, 0.377f, -0.222f)
                close()
                moveTo(6.66f, 21.413f)
                horizontalLineToRelative(2.11f)
                curveToRelative(1.886f, -0.022f, 3.107f, -1.02f, 3.107f, -1.02f)
                lineTo(6.659f, 20.393f)
                verticalLineToRelative(1.02f)
                close()
                moveTo(6.66f, 19.682f)
                horizontalLineToRelative(6.06f)
                curveToRelative(0.29f, -0.289f, 0.644f, -0.8f, 0.733f, -0.999f)
                lineTo(6.659f, 18.683f)
                verticalLineToRelative(0.999f)
                close()
            }
        }
        .build()
        return _aeromexico!!
    }

private var _aeromexico: ImageVector? = null
