package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Applemusic: ImageVector
    get() {
        if (_applemusic != null) {
            return _applemusic!!
        }
        _applemusic = Builder(name = "Applemusic", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.994f, 6.124f)
                arcToRelative(9.23f, 9.23f, 0.0f, false, false, -0.24f, -2.19f)
                curveToRelative(-0.317f, -1.31f, -1.062f, -2.31f, -2.18f, -3.043f)
                arcToRelative(5.022f, 5.022f, 0.0f, false, false, -1.877f, -0.726f)
                arcToRelative(10.496f, 10.496f, 0.0f, false, false, -1.564f, -0.15f)
                curveToRelative(-0.04f, -0.003f, -0.083f, -0.01f, -0.124f, -0.013f)
                lineTo(5.986f, 0.002f)
                curveToRelative(-0.152f, 0.01f, -0.303f, 0.017f, -0.455f, 0.026f)
                curveToRelative(-0.747f, 0.043f, -1.49f, 0.123f, -2.193f, 0.4f)
                curveToRelative(-1.336f, 0.53f, -2.3f, 1.452f, -2.865f, 2.78f)
                curveToRelative(-0.192f, 0.448f, -0.292f, 0.925f, -0.363f, 1.408f)
                curveToRelative(-0.056f, 0.392f, -0.088f, 0.785f, -0.1f, 1.18f)
                curveToRelative(0.0f, 0.032f, -0.007f, 0.062f, -0.01f, 0.093f)
                verticalLineToRelative(12.223f)
                curveToRelative(0.01f, 0.14f, 0.017f, 0.283f, 0.027f, 0.424f)
                curveToRelative(0.05f, 0.815f, 0.154f, 1.624f, 0.497f, 2.373f)
                curveToRelative(0.65f, 1.42f, 1.738f, 2.353f, 3.234f, 2.801f)
                curveToRelative(0.42f, 0.127f, 0.856f, 0.187f, 1.293f, 0.228f)
                curveToRelative(0.555f, 0.053f, 1.11f, 0.06f, 1.667f, 0.06f)
                horizontalLineToRelative(11.03f)
                arcToRelative(12.5f, 12.5f, 0.0f, false, false, 1.57f, -0.1f)
                curveToRelative(0.822f, -0.106f, 1.596f, -0.35f, 2.295f, -0.81f)
                arcToRelative(5.046f, 5.046f, 0.0f, false, false, 1.88f, -2.207f)
                curveToRelative(0.186f, -0.42f, 0.293f, -0.87f, 0.37f, -1.324f)
                curveToRelative(0.113f, -0.675f, 0.138f, -1.358f, 0.137f, -2.04f)
                curveToRelative(-0.002f, -3.8f, 0.0f, -7.595f, -0.003f, -11.393f)
                close()
                moveTo(17.571f, 10.114f)
                verticalLineToRelative(5.712f)
                curveToRelative(0.0f, 0.417f, -0.058f, 0.827f, -0.244f, 1.206f)
                curveToRelative(-0.29f, 0.59f, -0.76f, 0.962f, -1.388f, 1.14f)
                curveToRelative(-0.35f, 0.1f, -0.706f, 0.157f, -1.07f, 0.173f)
                curveToRelative(-0.95f, 0.045f, -1.773f, -0.6f, -1.943f, -1.536f)
                arcToRelative(1.88f, 1.88f, 0.0f, false, true, 1.038f, -2.022f)
                curveToRelative(0.323f, -0.16f, 0.67f, -0.25f, 1.018f, -0.324f)
                curveToRelative(0.378f, -0.082f, 0.758f, -0.153f, 1.134f, -0.24f)
                curveToRelative(0.274f, -0.063f, 0.457f, -0.23f, 0.51f, -0.516f)
                arcToRelative(0.904f, 0.904f, 0.0f, false, false, 0.02f, -0.193f)
                curveToRelative(0.0f, -1.815f, 0.0f, -3.63f, -0.002f, -5.443f)
                arcToRelative(0.725f, 0.725f, 0.0f, false, false, -0.026f, -0.185f)
                curveToRelative(-0.04f, -0.15f, -0.15f, -0.243f, -0.304f, -0.234f)
                curveToRelative(-0.16f, 0.01f, -0.318f, 0.035f, -0.475f, 0.066f)
                curveToRelative(-0.76f, 0.15f, -1.52f, 0.303f, -2.28f, 0.456f)
                lineToRelative(-2.325f, 0.47f)
                lineToRelative(-1.374f, 0.278f)
                curveToRelative(-0.016f, 0.003f, -0.032f, 0.01f, -0.048f, 0.013f)
                curveToRelative(-0.277f, 0.077f, -0.377f, 0.203f, -0.39f, 0.49f)
                curveToRelative(-0.002f, 0.042f, 0.0f, 0.086f, 0.0f, 0.13f)
                curveToRelative(-0.002f, 2.602f, 0.0f, 5.204f, -0.003f, 7.805f)
                curveToRelative(0.0f, 0.42f, -0.047f, 0.836f, -0.215f, 1.227f)
                curveToRelative(-0.278f, 0.64f, -0.77f, 1.04f, -1.434f, 1.233f)
                curveToRelative(-0.35f, 0.1f, -0.71f, 0.16f, -1.075f, 0.172f)
                curveToRelative(-0.96f, 0.036f, -1.755f, -0.6f, -1.92f, -1.544f)
                curveToRelative(-0.14f, -0.812f, 0.23f, -1.685f, 1.154f, -2.075f)
                curveToRelative(0.357f, -0.15f, 0.73f, -0.232f, 1.108f, -0.31f)
                curveToRelative(0.287f, -0.06f, 0.575f, -0.116f, 0.86f, -0.177f)
                curveToRelative(0.383f, -0.083f, 0.583f, -0.323f, 0.6f, -0.714f)
                verticalLineToRelative(-0.15f)
                curveToRelative(0.0f, -2.96f, 0.0f, -5.922f, 0.002f, -8.882f)
                curveToRelative(0.0f, -0.123f, 0.013f, -0.25f, 0.042f, -0.37f)
                curveToRelative(0.07f, -0.285f, 0.273f, -0.448f, 0.546f, -0.518f)
                curveToRelative(0.255f, -0.066f, 0.515f, -0.112f, 0.774f, -0.165f)
                curveToRelative(0.733f, -0.15f, 1.466f, -0.296f, 2.2f, -0.444f)
                lineToRelative(2.27f, -0.46f)
                curveToRelative(0.67f, -0.134f, 1.34f, -0.27f, 2.01f, -0.403f)
                curveToRelative(0.22f, -0.043f, 0.442f, -0.088f, 0.663f, -0.106f)
                curveToRelative(0.31f, -0.025f, 0.523f, 0.17f, 0.554f, 0.482f)
                curveToRelative(0.008f, 0.073f, 0.012f, 0.148f, 0.012f, 0.223f)
                curveToRelative(0.002f, 1.91f, 0.002f, 3.822f, 0.0f, 5.732f)
                close()
            }
        }
        .build()
        return _applemusic!!
    }

private var _applemusic: ImageVector? = null
