package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Bentley: ImageVector
    get() {
        if (_bentley != null) {
            return _bentley!!
        }
        _bentley = Builder(name = "Bentley", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.535f, 8.114f)
                arcToRelative(5.407f, 5.407f, 0.0f, false, false, -1.49f, 0.34f)
                curveToRelative(-0.131f, 0.05f, -0.269f, 0.135f, -0.414f, 0.079f)
                curveToRelative(-0.654f, -0.153f, -1.331f, -0.096f, -1.992f, -0.025f)
                curveToRelative(-0.859f, 0.09f, -1.72f, -0.003f, -2.579f, -0.045f)
                arcToRelative(21.543f, 21.543f, 0.0f, false, false, -2.349f, 0.05f)
                curveToRelative(-0.713f, 0.044f, -1.429f, -0.01f, -2.138f, -0.086f)
                curveToRelative(-0.088f, -0.002f, -0.178f, -0.02f, -0.265f, -0.002f)
                curveToRelative(-0.135f, 0.088f, -0.22f, 0.232f, -0.308f, 0.363f)
                verticalLineToRelative(0.068f)
                curveToRelative(0.185f, 0.158f, 0.404f, 0.262f, 0.625f, 0.358f)
                curveToRelative(-0.062f, 0.151f, -0.101f, 0.31f, -0.13f, 0.47f)
                curveToRelative(0.264f, 0.124f, 0.54f, 0.227f, 0.796f, 0.368f)
                curveToRelative(-0.029f, 0.095f, -0.072f, 0.186f, -0.083f, 0.285f)
                curveToRelative(-0.006f, 0.059f, 0.024f, 0.121f, 0.083f, 0.142f)
                curveToRelative(0.21f, 0.11f, 0.448f, 0.142f, 0.665f, 0.23f)
                curveToRelative(0.021f, 0.01f, 0.05f, 0.02f, 0.05f, 0.048f)
                curveToRelative(0.017f, 0.128f, 0.02f, 0.258f, 0.047f, 0.385f)
                arcToRelative(0.173f, 0.173f, 0.0f, false, false, 0.057f, 0.035f)
                curveToRelative(0.287f, 0.095f, 0.588f, 0.131f, 0.881f, 0.196f)
                curveToRelative(0.034f, 0.11f, 0.022f, 0.249f, 0.106f, 0.336f)
                curveToRelative(0.375f, 0.196f, 0.82f, 0.1f, 1.213f, 0.228f)
                curveToRelative(0.098f, 0.096f, 0.075f, 0.29f, 0.223f, 0.344f)
                curveToRelative(0.296f, 0.09f, 0.614f, 0.01f, 0.918f, 0.05f)
                curveToRelative(0.069f, 0.079f, 0.077f, 0.193f, 0.144f, 0.273f)
                arcToRelative(0.249f, 0.249f, 0.0f, false, false, 0.169f, 0.076f)
                curveToRelative(0.287f, 0.008f, 0.562f, -0.087f, 0.846f, -0.12f)
                curveToRelative(0.059f, 0.099f, 0.087f, 0.247f, 0.213f, 0.277f)
                curveToRelative(0.229f, 0.045f, 0.452f, -0.042f, 0.665f, -0.116f)
                curveToRelative(0.08f, 0.26f, 0.166f, 0.521f, 0.303f, 0.758f)
                curveToRelative(0.473f, 0.858f, 1.288f, 1.499f, 2.198f, 1.841f)
                curveToRelative(0.128f, 0.036f, 0.172f, 0.175f, 0.238f, 0.276f)
                curveToRelative(0.127f, -0.048f, 0.252f, -0.102f, 0.384f, -0.134f)
                lineToRelative(0.2f, 0.297f)
                curveToRelative(0.119f, -0.06f, 0.237f, -0.122f, 0.356f, -0.184f)
                curveToRelative(0.08f, 0.094f, 0.16f, 0.187f, 0.242f, 0.28f)
                lineToRelative(0.31f, -0.22f)
                curveToRelative(0.09f, 0.078f, 0.173f, 0.164f, 0.254f, 0.251f)
                horizontalLineToRelative(0.035f)
                curveToRelative(0.096f, -0.085f, 0.187f, -0.177f, 0.282f, -0.263f)
                curveToRelative(0.106f, 0.077f, 0.21f, 0.156f, 0.316f, 0.235f)
                curveToRelative(0.081f, -0.095f, 0.163f, -0.19f, 0.246f, -0.284f)
                curveToRelative(0.12f, 0.06f, 0.238f, 0.123f, 0.357f, 0.184f)
                curveToRelative(0.063f, -0.098f, 0.124f, -0.196f, 0.185f, -0.295f)
                curveToRelative(0.14f, 0.031f, 0.27f, 0.089f, 0.404f, 0.136f)
                curveToRelative(0.033f, -0.068f, 0.065f, -0.138f, 0.102f, -0.204f)
                curveToRelative(0.053f, -0.142f, 0.22f, -0.164f, 0.336f, -0.232f)
                curveToRelative(0.972f, -0.447f, 1.78f, -1.286f, 2.099f, -2.318f)
                curveToRelative(0.162f, 0.06f, 0.345f, 0.134f, 0.517f, 0.064f)
                curveToRelative(0.09f, -0.046f, 0.125f, -0.144f, 0.168f, -0.228f)
                curveToRelative(0.24f, 0.053f, 0.48f, 0.154f, 0.73f, 0.102f)
                curveToRelative(0.13f, -0.039f, 0.194f, -0.161f, 0.253f, -0.271f)
                curveToRelative(0.23f, 0.03f, 0.456f, 0.095f, 0.69f, 0.075f)
                curveToRelative(0.104f, -0.013f, 0.247f, 0.0f, 0.318f, -0.096f)
                curveToRelative(0.059f, -0.096f, 0.067f, -0.215f, 0.124f, -0.312f)
                curveToRelative(0.315f, -0.042f, 0.648f, 0.042f, 0.954f, -0.072f)
                curveToRelative(0.096f, -0.108f, 0.097f, -0.27f, 0.184f, -0.383f)
                curveToRelative(0.247f, -0.018f, 0.495f, 0.0f, 0.742f, -0.018f)
                arcToRelative(0.286f, 0.286f, 0.0f, false, false, 0.215f, -0.123f)
                curveToRelative(0.056f, -0.107f, 0.064f, -0.23f, 0.1f, -0.344f)
                curveToRelative(0.007f, -0.024f, 0.02f, -0.05f, 0.044f, -0.061f)
                curveToRelative(0.241f, -0.1f, 0.534f, -0.022f, 0.755f, -0.177f)
                curveToRelative(0.108f, -0.12f, 0.021f, -0.31f, 0.088f, -0.443f)
                curveToRelative(0.207f, -0.118f, 0.477f, -0.088f, 0.669f, -0.241f)
                curveToRelative(0.129f, -0.11f, 0.032f, -0.282f, 0.014f, -0.42f)
                curveToRelative(0.225f, -0.077f, 0.472f, -0.119f, 0.657f, -0.279f)
                curveToRelative(-0.052f, -0.14f, -0.113f, -0.275f, -0.17f, -0.412f)
                arcTo(4.67f, 4.67f, 0.0f, false, false, 24.0f, 8.871f)
                verticalLineToRelative(-0.087f)
                arcToRelative(1.176f, 1.176f, 0.0f, false, false, -0.272f, -0.34f)
                curveToRelative(-0.071f, -0.053f, -0.17f, -0.01f, -0.25f, -0.018f)
                curveToRelative(-0.696f, 0.062f, -1.396f, 0.13f, -2.095f, 0.092f)
                curveToRelative(-0.417f, -0.022f, -0.833f, -0.062f, -1.25f, -0.062f)
                curveToRelative(-0.522f, 0.0f, -1.044f, -0.015f, -1.564f, 0.027f)
                curveToRelative(-0.77f, 0.046f, -1.544f, 0.103f, -2.313f, 0.017f)
                curveToRelative(-0.657f, -0.077f, -1.335f, -0.115f, -1.981f, 0.053f)
                curveToRelative(-0.103f, 0.043f, -0.211f, 0.009f, -0.305f, -0.037f)
                curveToRelative(-0.516f, -0.234f, -1.077f, -0.348f, -1.638f, -0.402f)
                close()
                moveTo(12.056f, 8.269f)
                curveToRelative(0.327f, 0.014f, 0.654f, 0.049f, 0.974f, 0.122f)
                curveToRelative(0.31f, 0.072f, 0.622f, 0.149f, 0.91f, 0.287f)
                curveToRelative(-0.103f, 0.065f, -0.227f, 0.164f, -0.354f, 0.11f)
                arcToRelative(5.088f, 5.088f, 0.0f, false, false, -1.716f, -0.29f)
                curveToRelative(-0.326f, 0.02f, -0.652f, 0.046f, -0.97f, 0.125f)
                curveToRelative(-0.204f, 0.04f, -0.4f, 0.116f, -0.606f, 0.149f)
                curveToRelative(-0.096f, -0.026f, -0.184f, -0.073f, -0.272f, -0.119f)
                arcToRelative(5.653f, 5.653f, 0.0f, false, true, 2.034f, -0.384f)
                close()
                moveTo(23.523f, 8.547f)
                curveToRelative(0.17f, -0.01f, 0.308f, 0.126f, 0.395f, 0.26f)
                arcToRelative(2.31f, 2.31f, 0.0f, false, true, -1.093f, 0.252f)
                curveToRelative(-1.65f, 0.027f, -3.298f, 0.095f, -4.947f, 0.137f)
                curveToRelative(0.0f, 0.027f, 0.002f, 0.054f, 0.004f, 0.081f)
                arcToRelative(2.744f, 2.744f, 0.0f, false, true, -0.048f, -0.154f)
                curveToRelative(0.361f, -0.05f, 0.72f, -0.12f, 1.085f, -0.142f)
                curveToRelative(0.668f, -0.05f, 1.34f, -0.068f, 2.01f, -0.075f)
                arcToRelative(0.394f, 0.394f, 0.0f, false, false, 0.245f, -0.072f)
                curveToRelative(-0.533f, -0.057f, -1.07f, -0.026f, -1.604f, -0.013f)
                curveToRelative(-0.371f, 0.027f, -0.744f, 0.033f, -1.114f, 0.08f)
                curveToRelative(-0.495f, 0.06f, -0.989f, 0.154f, -1.489f, 0.16f)
                curveToRelative(-0.312f, 0.005f, -0.625f, 0.032f, -0.937f, 0.01f)
                curveToRelative(-0.39f, -0.007f, -0.786f, -0.042f, -1.17f, 0.045f)
                curveToRelative(-0.108f, 0.035f, -0.239f, 0.073f, -0.282f, 0.192f)
                curveToRelative(-0.093f, 0.188f, 0.01f, 0.398f, 0.095f, 0.569f)
                curveToRelative(0.103f, 0.217f, 0.279f, 0.425f, 0.247f, 0.682f)
                curveToRelative(-0.015f, 0.091f, -0.092f, 0.151f, -0.162f, 0.203f)
                arcToRelative(2.4f, 2.4f, 0.0f, false, true, -0.198f, -0.251f)
                curveToRelative(0.04f, -0.08f, 0.106f, -0.155f, 0.088f, -0.252f)
                curveToRelative(-0.033f, -0.2f, -0.178f, -0.358f, -0.314f, -0.498f)
                curveToRelative(-0.196f, -0.19f, -0.414f, -0.367f, -0.547f, -0.61f)
                curveToRelative(-0.039f, -0.07f, -0.066f, -0.17f, 0.009f, -0.227f)
                curveToRelative(0.22f, -0.156f, 0.491f, -0.209f, 0.752f, -0.252f)
                curveToRelative(0.715f, -0.1f, 1.436f, -0.015f, 2.153f, 0.015f)
                curveToRelative(0.353f, 0.035f, 0.709f, 0.03f, 1.063f, 0.0f)
                curveToRelative(0.838f, -0.054f, 1.68f, -0.138f, 2.52f, -0.082f)
                curveToRelative(0.378f, 0.021f, 0.757f, 0.038f, 1.135f, 0.047f)
                curveToRelative(0.692f, 0.028f, 1.38f, -0.062f, 2.07f, -0.101f)
                arcToRelative(0.308f, 0.308f, 0.0f, false, true, 0.034f, -0.004f)
                close()
                moveTo(0.55f, 8.55f)
                curveToRelative(0.196f, -0.002f, 0.392f, 0.027f, 0.587f, 0.04f)
                curveToRelative(0.542f, 0.048f, 1.086f, 0.079f, 1.63f, 0.056f)
                curveToRelative(0.674f, -0.008f, 1.345f, -0.088f, 2.019f, -0.052f)
                curveToRelative(0.687f, 0.022f, 1.37f, 0.098f, 2.058f, 0.119f)
                curveToRelative(0.525f, -0.018f, 1.049f, -0.06f, 1.574f, -0.084f)
                curveToRelative(0.533f, -0.017f, 1.087f, -0.011f, 1.59f, 0.187f)
                curveToRelative(0.097f, 0.04f, 0.217f, 0.093f, 0.24f, 0.207f)
                curveToRelative(-0.02f, 0.158f, -0.14f, 0.28f, -0.238f, 0.399f)
                curveToRelative(-0.175f, 0.216f, -0.429f, 0.36f, -0.57f, 0.605f)
                curveToRelative(-0.11f, 0.14f, -0.126f, 0.35f, -0.005f, 0.488f)
                arcToRelative(1.808f, 1.808f, 0.0f, false, true, -0.219f, 0.243f)
                curveToRelative(-0.083f, -0.076f, -0.16f, -0.17f, -0.15f, -0.292f)
                curveToRelative(0.038f, -0.346f, 0.347f, -0.593f, 0.383f, -0.94f)
                curveToRelative(0.031f, -0.121f, -0.031f, -0.239f, -0.108f, -0.327f)
                arcToRelative(1.155f, 1.155f, 0.0f, false, false, -0.468f, -0.124f)
                curveToRelative(-0.562f, -0.048f, -1.126f, 0.027f, -1.689f, -0.007f)
                curveToRelative(-0.557f, 0.004f, -1.107f, -0.093f, -1.657f, -0.167f)
                arcToRelative(26.874f, 26.874f, 0.0f, false, false, -2.115f, -0.106f)
                curveToRelative(-0.195f, -0.003f, -0.39f, 0.015f, -0.585f, 0.032f)
                curveToRelative(0.063f, 0.052f, 0.14f, 0.087f, 0.225f, 0.078f)
                curveToRelative(0.733f, 0.01f, 1.466f, 0.022f, 2.197f, 0.085f)
                curveToRelative(0.307f, 0.029f, 0.61f, 0.084f, 0.916f, 0.131f)
                lineToRelative(-0.023f, 0.084f)
                curveToRelative(-0.536f, -0.033f, -1.074f, -0.028f, -1.611f, -0.05f)
                curveToRelative(-0.965f, -0.035f, -1.93f, -0.065f, -2.895f, -0.081f)
                curveToRelative(-0.411f, -0.027f, -0.841f, 0.017f, -1.234f, -0.134f)
                curveToRelative(-0.11f, -0.037f, -0.213f, -0.088f, -0.317f, -0.136f)
                curveToRelative(0.076f, -0.093f, 0.153f, -0.199f, 0.27f, -0.24f)
                curveToRelative(0.065f, -0.01f, 0.13f, -0.014f, 0.195f, -0.014f)
                close()
                moveTo(12.005f, 8.664f)
                arcToRelative(4.324f, 4.324f, 0.0f, false, true, 1.597f, 0.296f)
                curveToRelative(0.004f, 0.104f, -0.029f, 0.218f, 0.024f, 0.313f)
                arcToRelative(1.245f, 1.245f, 0.0f, false, false, 0.16f, 0.229f)
                curveToRelative(0.18f, 0.212f, 0.41f, 0.383f, 0.588f, 0.597f)
                arcToRelative(0.716f, 0.716f, 0.0f, false, true, 0.157f, 0.272f)
                arcToRelative(3.76f, 3.76f, 0.0f, false, false, -1.267f, -0.755f)
                arcToRelative(3.848f, 3.848f, 0.0f, false, false, -3.158f, 0.28f)
                curveToRelative(-0.174f, 0.098f, -0.332f, 0.22f, -0.486f, 0.348f)
                lineToRelative(-0.152f, 0.128f)
                arcToRelative(0.502f, 0.502f, 0.0f, false, true, 0.06f, -0.147f)
                curveToRelative(0.223f, -0.315f, 0.556f, -0.533f, 0.781f, -0.846f)
                curveToRelative(0.11f, -0.133f, 0.1f, -0.31f, 0.083f, -0.47f)
                arcToRelative(5.558f, 5.558f, 0.0f, false, true, 1.613f, -0.245f)
                close()
                moveTo(17.767f, 9.119f)
                curveToRelative(0.016f, 0.044f, 0.03f, 0.088f, 0.044f, 0.132f)
                curveToRelative(-0.313f, 0.18f, -0.688f, 0.135f, -1.032f, 0.09f)
                curveToRelative(-0.078f, -0.007f, -0.124f, -0.074f, -0.155f, -0.139f)
                curveToRelative(0.38f, -0.041f, 0.763f, -0.038f, 1.143f, -0.083f)
                close()
                moveTo(6.217f, 9.135f)
                curveToRelative(0.386f, 0.006f, 0.771f, 0.025f, 1.154f, 0.064f)
                curveToRelative(-0.03f, 0.051f, -0.054f, 0.124f, -0.122f, 0.132f)
                curveToRelative(-0.203f, 0.035f, -0.41f, 0.041f, -0.614f, 0.049f)
                curveToRelative(-0.158f, 0.01f, -0.303f, -0.062f, -0.44f, -0.129f)
                lineToRelative(0.023f, -0.116f)
                close()
                moveTo(7.424f, 9.19f)
                curveToRelative(0.154f, 0.003f, 0.309f, 0.005f, 0.463f, 0.014f)
                curveToRelative(0.41f, 0.017f, 0.831f, -0.016f, 1.23f, 0.105f)
                curveToRelative(0.099f, 0.034f, 0.208f, 0.08f, 0.259f, 0.178f)
                curveToRelative(0.039f, 0.172f, -0.06f, 0.325f, -0.144f, 0.464f)
                curveToRelative(-0.083f, 0.151f, -0.197f, 0.293f, -0.235f, 0.464f)
                curveToRelative(-0.048f, 0.16f, 0.05f, 0.294f, 0.124f, 0.423f)
                curveToRelative(-0.112f, 0.004f, -0.25f, 0.051f, -0.338f, -0.04f)
                curveToRelative(-0.041f, -0.082f, 0.007f, -0.179f, 0.024f, -0.263f)
                lineToRelative(-0.16f, 0.143f)
                lineToRelative(-0.195f, -0.012f)
                curveToRelative(-0.015f, -0.203f, 0.141f, -0.35f, 0.221f, -0.521f)
                curveToRelative(-0.138f, 0.123f, -0.278f, 0.297f, -0.483f, 0.281f)
                curveToRelative(-0.081f, 0.003f, -0.143f, -0.104f, -0.093f, -0.169f)
                curveToRelative(0.111f, -0.141f, 0.255f, -0.254f, 0.359f, -0.402f)
                curveToRelative(-0.124f, 0.096f, -0.25f, 0.195f, -0.397f, 0.251f)
                arcToRelative(0.464f, 0.464f, 0.0f, false, true, -0.326f, -0.038f)
                curveToRelative(0.018f, -0.204f, 0.234f, -0.276f, 0.35f, -0.417f)
                curveToRelative(-0.127f, 0.053f, -0.24f, 0.154f, -0.387f, 0.145f)
                curveToRelative(-0.058f, 0.002f, -0.115f, -0.016f, -0.17f, -0.029f)
                curveToRelative(-0.01f, -0.173f, 0.171f, -0.234f, 0.273f, -0.337f)
                curveToRelative(-0.09f, 0.02f, -0.177f, 0.062f, -0.27f, 0.06f)
                curveToRelative(-0.062f, -0.022f, -0.11f, -0.072f, -0.164f, -0.108f)
                curveToRelative(0.015f, -0.066f, 0.035f, -0.13f, 0.06f, -0.192f)
                close()
                moveTo(16.58f, 9.19f)
                curveToRelative(0.018f, 0.078f, 0.087f, 0.178f, -0.005f, 0.237f)
                curveToRelative(-0.1f, 0.125f, -0.268f, 0.022f, -0.39f, -0.002f)
                curveToRelative(0.112f, 0.096f, 0.285f, 0.167f, 0.284f, 0.343f)
                curveToRelative(-0.096f, 0.017f, -0.2f, 0.05f, -0.295f, 0.01f)
                curveToRelative(-0.088f, -0.036f, -0.173f, -0.081f, -0.259f, -0.122f)
                curveToRelative(0.027f, 0.027f, 0.055f, 0.053f, 0.084f, 0.078f)
                lineToRelative(0.087f, 0.076f)
                curveToRelative(0.057f, 0.051f, 0.113f, 0.104f, 0.16f, 0.164f)
                curveToRelative(0.016f, 0.068f, -0.033f, 0.14f, -0.106f, 0.139f)
                curveToRelative(-0.233f, 0.059f, -0.415f, -0.127f, -0.584f, -0.254f)
                curveToRelative(0.089f, 0.121f, 0.195f, 0.226f, 0.297f, 0.335f)
                curveToRelative(0.051f, 0.054f, 0.046f, 0.135f, 0.064f, 0.203f)
                curveToRelative(-0.084f, 0.011f, -0.174f, 0.044f, -0.256f, 0.008f)
                curveToRelative(-0.128f, -0.052f, -0.225f, -0.155f, -0.33f, -0.243f)
                curveToRelative(0.091f, 0.16f, 0.23f, 0.305f, 0.216f, 0.502f)
                lineToRelative(-0.208f, 0.008f)
                arcToRelative(10.001f, 10.001f, 0.0f, false, true, -0.137f, -0.132f)
                curveToRelative(0.008f, 0.082f, 0.06f, 0.176f, 0.007f, 0.25f)
                curveToRelative(-0.062f, 0.07f, -0.158f, 0.065f, -0.246f, 0.063f)
                curveToRelative(-0.03f, 0.0f, -0.059f, 0.0f, -0.086f, 0.003f)
                curveToRelative(0.047f, -0.119f, 0.14f, -0.222f, 0.137f, -0.356f)
                curveToRelative(-0.036f, -0.35f, -0.358f, -0.587f, -0.406f, -0.932f)
                curveToRelative(-0.01f, -0.149f, 0.154f, -0.218f, 0.273f, -0.261f)
                curveToRelative(0.554f, -0.145f, 1.133f, -0.073f, 1.7f, -0.117f)
                close()
                moveTo(0.698f, 9.192f)
                curveToRelative(0.77f, 0.0f, 1.54f, 0.04f, 2.31f, 0.047f)
                curveToRelative(0.963f, 0.021f, 1.926f, 0.028f, 2.888f, 0.053f)
                curveToRelative(0.2f, -0.014f, 0.365f, 0.116f, 0.53f, 0.207f)
                lineToRelative(-0.018f, 0.19f)
                arcToRelative(5.46f, 5.46f, 0.0f, false, true, -0.089f, 0.043f)
                lineToRelative(0.026f, -0.073f)
                curveToRelative(-0.899f, 0.024f, -1.796f, 0.085f, -2.695f, 0.112f)
                curveToRelative(-0.566f, 0.012f, -1.13f, 0.06f, -1.697f, 0.05f)
                arcTo(3.707f, 3.707f, 0.0f, false, true, 0.89f, 9.705f)
                curveToRelative(-0.115f, -0.034f, -0.247f, -0.052f, -0.338f, -0.137f)
                curveToRelative(-0.001f, -0.135f, 0.073f, -0.264f, 0.145f, -0.376f)
                close()
                moveTo(23.318f, 9.214f)
                curveToRelative(0.064f, 0.111f, 0.132f, 0.222f, 0.179f, 0.342f)
                curveToRelative(-0.43f, 0.14f, -0.89f, 0.133f, -1.336f, 0.116f)
                curveToRelative(-0.828f, -0.002f, -1.656f, -0.055f, -2.484f, -0.083f)
                curveToRelative(-0.699f, -0.032f, -1.398f, -0.06f, -2.097f, -0.1f)
                curveToRelative(0.143f, -0.102f, 0.305f, -0.202f, 0.486f, -0.196f)
                curveToRelative(1.751f, -0.007f, 3.501f, -0.078f, 5.252f, -0.08f)
                close()
                moveTo(7.245f, 9.428f)
                curveToRelative(0.077f, 0.005f, 0.136f, 0.074f, 0.194f, 0.12f)
                arcToRelative(0.138f, 0.138f, 0.0f, false, true, 0.05f, 0.116f)
                curveToRelative(-0.078f, 0.06f, -0.181f, 0.068f, -0.273f, 0.092f)
                curveToRelative(-0.186f, 0.034f, -0.37f, 0.09f, -0.56f, 0.097f)
                curveToRelative(-0.067f, -0.026f, -0.14f, -0.055f, -0.185f, -0.116f)
                curveToRelative(-0.016f, -0.084f, 0.01f, -0.2f, 0.104f, -0.222f)
                curveToRelative(0.21f, -0.042f, 0.425f, -0.054f, 0.636f, -0.085f)
                arcToRelative(0.139f, 0.139f, 0.0f, false, true, 0.034f, -0.002f)
                close()
                moveTo(16.71f, 9.436f)
                curveToRelative(0.235f, 0.0f, 0.47f, 0.03f, 0.7f, 0.073f)
                curveToRelative(0.109f, 0.021f, 0.106f, 0.15f, 0.134f, 0.234f)
                curveToRelative(-0.09f, 0.05f, -0.177f, 0.13f, -0.29f, 0.107f)
                curveToRelative(-0.163f, -0.025f, -0.323f, -0.066f, -0.485f, -0.096f)
                curveToRelative(-0.087f, -0.022f, -0.187f, -0.029f, -0.258f, -0.09f)
                curveToRelative(0.005f, -0.108f, 0.116f, -0.177f, 0.2f, -0.228f)
                close()
                moveTo(11.925f, 9.574f)
                curveToRelative(0.908f, -0.02f, 1.842f, 0.29f, 2.495f, 0.935f)
                curveToRelative(0.358f, 0.365f, 0.62f, 0.856f, 0.612f, 1.377f)
                curveToRelative(0.01f, 0.47f, -0.199f, 0.926f, -0.507f, 1.274f)
                curveToRelative(-0.566f, 0.642f, -1.415f, 0.983f, -2.256f, 1.046f)
                arcToRelative(3.577f, 3.577f, 0.0f, false, true, -2.17f, -0.514f)
                curveToRelative(-0.345f, -0.22f, -0.66f, -0.5f, -0.867f, -0.858f)
                arcToRelative(1.853f, 1.853f, 0.0f, false, true, -0.227f, -1.365f)
                curveToRelative(0.099f, -0.415f, 0.356f, -0.774f, 0.668f, -1.057f)
                curveToRelative(0.565f, -0.51f, 1.318f, -0.775f, 2.07f, -0.83f)
                curveToRelative(0.06f, -0.004f, 0.121f, -0.006f, 0.182f, -0.008f)
                close()
                moveTo(17.565f, 9.597f)
                curveToRelative(0.218f, -0.005f, 0.435f, 0.025f, 0.653f, 0.035f)
                curveToRelative(1.44f, 0.088f, 2.882f, 0.14f, 4.322f, 0.224f)
                curveToRelative(0.093f, 0.014f, 0.198f, -0.004f, 0.283f, 0.043f)
                curveToRelative(0.057f, 0.083f, 0.072f, 0.185f, 0.087f, 0.283f)
                curveToRelative(-0.302f, 0.185f, -0.678f, 0.14f, -1.015f, 0.149f)
                curveToRelative(-0.425f, -0.028f, -0.85f, -0.08f, -1.274f, -0.121f)
                arcToRelative(15.638f, 15.638f, 0.0f, false, false, -0.425f, -0.036f)
                curveToRelative(-0.872f, -0.087f, -1.747f, -0.139f, -2.615f, -0.258f)
                arcToRelative(1.474f, 1.474f, 0.0f, false, false, -0.016f, -0.32f)
                close()
                moveTo(12.012f, 9.607f)
                curveToRelative(-0.116f, 0.0f, -0.23f, 0.005f, -0.345f, 0.016f)
                curveToRelative(-0.805f, 0.077f, -1.627f, 0.39f, -2.161f, 1.02f)
                curveToRelative(-0.308f, 0.348f, -0.518f, 0.809f, -0.484f, 1.282f)
                curveToRelative(0.018f, 0.674f, 0.448f, 1.273f, 0.985f, 1.65f)
                curveToRelative(0.884f, 0.618f, 2.057f, 0.75f, 3.079f, 0.44f)
                curveToRelative(0.46f, -0.149f, 0.903f, -0.38f, 1.245f, -0.727f)
                curveToRelative(0.428f, -0.414f, 0.714f, -1.017f, 0.635f, -1.622f)
                curveToRelative(-0.065f, -0.495f, -0.35f, -0.941f, -0.723f, -1.265f)
                curveToRelative(-0.61f, -0.536f, -1.425f, -0.795f, -2.231f, -0.794f)
                close()
                moveTo(6.097f, 9.782f)
                curveToRelative(0.059f, 0.0f, 0.118f, 0.0f, 0.178f, 0.002f)
                curveToRelative(0.148f, 0.042f, 0.249f, 0.167f, 0.359f, 0.266f)
                curveToRelative(-0.027f, 0.077f, -0.05f, 0.155f, -0.072f, 0.234f)
                curveToRelative(0.072f, 0.057f, 0.149f, 0.108f, 0.23f, 0.15f)
                curveToRelative(-0.517f, 0.084f, -1.03f, 0.193f, -1.544f, 0.292f)
                lineToRelative(-0.464f, 0.102f)
                lineToRelative(-0.465f, 0.098f)
                curveToRelative(-0.31f, 0.063f, -0.621f, 0.123f, -0.934f, 0.174f)
                curveToRelative(-0.405f, 0.072f, -0.828f, 0.05f, -1.222f, -0.069f)
                curveToRelative(-0.113f, -0.032f, -0.141f, -0.162f, -0.095f, -0.262f)
                curveToRelative(0.017f, -0.1f, 0.141f, -0.09f, 0.215f, -0.105f)
                curveToRelative(1.276f, -0.13f, 2.548f, -0.295f, 3.82f, -0.447f)
                curveToRelative(0.178f, -0.019f, 0.38f, -0.023f, 0.51f, -0.163f)
                curveToRelative(-0.701f, 0.064f, -1.402f, 0.142f, -2.102f, 0.22f)
                lineToRelative(-1.051f, 0.113f)
                curveToRelative(-0.35f, 0.036f, -0.701f, 0.07f, -1.052f, 0.1f)
                curveToRelative(-0.394f, 0.04f, -0.802f, 0.002f, -1.17f, -0.153f)
                arcToRelative(1.65f, 1.65f, 0.0f, false, true, 0.144f, -0.328f)
                curveToRelative(1.393f, -0.063f, 2.789f, -0.092f, 4.18f, -0.195f)
                curveToRelative(0.178f, -0.008f, 0.356f, -0.025f, 0.535f, -0.029f)
                close()
                moveTo(7.353f, 9.846f)
                arcToRelative(0.56f, 0.56f, 0.0f, false, true, 0.122f, 0.008f)
                curveToRelative(0.084f, 0.025f, 0.162f, 0.067f, 0.24f, 0.105f)
                curveToRelative(-0.009f, 0.132f, -0.138f, 0.166f, -0.238f, 0.212f)
                curveToRelative(-0.125f, 0.051f, -0.247f, 0.11f, -0.375f, 0.153f)
                curveToRelative(-0.162f, 0.052f, -0.325f, -0.028f, -0.474f, -0.087f)
                curveToRelative(0.02f, -0.068f, 0.028f, -0.144f, 0.07f, -0.203f)
                arcToRelative(0.916f, 0.916f, 0.0f, false, true, 0.297f, -0.12f)
                curveToRelative(0.117f, -0.03f, 0.237f, -0.064f, 0.358f, -0.068f)
                close()
                moveTo(16.601f, 9.846f)
                curveToRelative(0.177f, -0.004f, 0.35f, 0.054f, 0.517f, 0.106f)
                curveToRelative(0.064f, 0.026f, 0.144f, 0.036f, 0.192f, 0.092f)
                curveToRelative(0.032f, 0.06f, 0.04f, 0.13f, 0.064f, 0.192f)
                curveToRelative(-0.146f, 0.053f, -0.302f, 0.145f, -0.462f, 0.093f)
                arcToRelative(6.866f, 6.866f, 0.0f, false, true, -0.632f, -0.271f)
                curveToRelative(0.018f, -0.123f, 0.137f, -0.18f, 0.245f, -0.206f)
                arcToRelative(0.718f, 0.718f, 0.0f, false, true, 0.076f, -0.006f)
                close()
                moveTo(17.488f, 10.018f)
                curveToRelative(0.239f, -0.004f, 0.474f, 0.041f, 0.711f, 0.066f)
                curveToRelative(0.758f, 0.085f, 1.517f, 0.168f, 2.276f, 0.246f)
                curveToRelative(0.543f, 0.068f, 1.09f, 0.108f, 1.632f, 0.19f)
                curveToRelative(0.013f, 0.107f, 0.126f, 0.312f, -0.033f, 0.35f)
                arcToRelative(4.135f, 4.135f, 0.0f, false, true, -1.12f, 0.025f)
                curveToRelative(-1.182f, -0.184f, -2.36f, -0.394f, -3.544f, -0.566f)
                arcToRelative(4.356f, 4.356f, 0.0f, false, false, -0.024f, -0.307f)
                curveToRelative(0.034f, -0.002f, 0.068f, -0.004f, 0.102f, -0.004f)
                close()
                moveTo(12.111f, 10.129f)
                curveToRelative(0.253f, 0.001f, 0.504f, 0.032f, 0.748f, 0.103f)
                curveToRelative(0.282f, 0.084f, 0.568f, 0.226f, 0.73f, 0.482f)
                curveToRelative(0.111f, 0.16f, 0.124f, 0.368f, 0.087f, 0.554f)
                curveToRelative(-0.056f, 0.226f, -0.263f, 0.365f, -0.442f, 0.492f)
                lineToRelative(0.004f, 0.042f)
                curveToRelative(0.265f, 0.181f, 0.554f, 0.434f, 0.545f, 0.785f)
                curveToRelative(0.025f, 0.254f, -0.11f, 0.492f, -0.293f, 0.657f)
                curveToRelative(-0.129f, 0.098f, -0.27f, 0.183f, -0.422f, 0.241f)
                curveToRelative(-0.43f, 0.149f, -0.892f, 0.168f, -1.342f, 0.138f)
                curveToRelative(-0.552f, -0.069f, -1.13f, -0.224f, -1.537f, -0.627f)
                curveToRelative(0.07f, -0.094f, 0.16f, -0.17f, 0.224f, -0.268f)
                arcToRelative(23.17f, 23.17f, 0.0f, false, false, 0.006f, -1.615f)
                curveToRelative(-0.066f, -0.099f, -0.157f, -0.177f, -0.231f, -0.27f)
                curveToRelative(0.274f, -0.375f, 0.732f, -0.545f, 1.17f, -0.64f)
                curveToRelative(0.247f, -0.047f, 0.5f, -0.075f, 0.753f, -0.074f)
                close()
                moveTo(16.274f, 10.192f)
                curveToRelative(0.029f, 0.0f, 0.058f, 0.001f, 0.086f, 0.008f)
                curveToRelative(0.169f, 0.065f, 0.332f, 0.144f, 0.494f, 0.225f)
                curveToRelative(0.036f, 0.024f, 0.09f, 0.036f, 0.106f, 0.082f)
                curveToRelative(0.004f, 0.08f, -0.034f, 0.168f, -0.113f, 0.197f)
                curveToRelative(-0.115f, 0.048f, -0.253f, 0.078f, -0.37f, 0.024f)
                curveToRelative(-0.191f, -0.084f, -0.365f, -0.202f, -0.544f, -0.307f)
                curveToRelative(0.017f, -0.042f, 0.025f, -0.095f, 0.054f, -0.13f)
                arcToRelative(0.1f, 0.1f, 0.0f, false, true, 0.038f, -0.027f)
                arcToRelative(0.606f, 0.606f, 0.0f, false, true, 0.249f, -0.072f)
                close()
                moveTo(7.711f, 10.192f)
                arcToRelative(0.555f, 0.555f, 0.0f, false, true, 0.276f, 0.078f)
                curveToRelative(0.065f, 0.031f, 0.079f, 0.14f, 0.017f, 0.18f)
                curveToRelative(-0.162f, 0.11f, -0.332f, 0.21f, -0.514f, 0.281f)
                curveToRelative(-0.143f, 0.047f, -0.287f, -0.007f, -0.42f, -0.053f)
                lineToRelative(-0.04f, -0.194f)
                curveToRelative(0.168f, -0.088f, 0.34f, -0.173f, 0.514f, -0.25f)
                arcToRelative(0.36f, 0.36f, 0.0f, false, true, 0.167f, -0.042f)
                close()
                moveTo(12.081f, 10.364f)
                arcToRelative(2.535f, 2.535f, 0.0f, false, false, -0.282f, 0.015f)
                arcToRelative(0.623f, 0.623f, 0.0f, false, false, -0.361f, 0.168f)
                curveToRelative(-0.163f, 0.169f, -0.176f, 0.422f, -0.145f, 0.641f)
                arcToRelative(0.563f, 0.563f, 0.0f, false, false, 0.367f, 0.487f)
                curveToRelative(0.233f, 0.079f, 0.49f, 0.075f, 0.725f, 0.01f)
                curveToRelative(0.254f, -0.085f, 0.382f, -0.362f, 0.376f, -0.614f)
                curveToRelative(0.013f, -0.213f, -0.04f, -0.462f, -0.231f, -0.586f)
                arcToRelative(0.807f, 0.807f, 0.0f, false, false, -0.449f, -0.12f)
                close()
                moveTo(17.368f, 10.449f)
                curveToRelative(0.27f, 0.006f, 0.54f, 0.052f, 0.806f, 0.099f)
                curveToRelative(0.833f, 0.15f, 1.666f, 0.301f, 2.498f, 0.458f)
                curveToRelative(0.21f, 0.043f, 0.423f, 0.079f, 0.63f, 0.138f)
                curveToRelative(-0.028f, 0.125f, -0.043f, 0.32f, -0.202f, 0.344f)
                curveToRelative(-0.513f, 0.065f, -1.028f, -0.05f, -1.52f, -0.187f)
                curveToRelative(-0.814f, -0.22f, -1.637f, -0.414f, -2.45f, -0.64f)
                arcToRelative(0.435f, 0.435f, 0.0f, false, false, -0.149f, -0.007f)
                curveToRelative(0.013f, -0.052f, 0.017f, -0.107f, 0.042f, -0.154f)
                curveToRelative(0.064f, -0.048f, 0.153f, -0.045f, 0.229f, -0.05f)
                horizontalLineToRelative(0.116f)
                close()
                moveTo(6.981f, 10.504f)
                curveToRelative(0.028f, 0.114f, 0.052f, 0.229f, 0.097f, 0.337f)
                curveToRelative(-0.634f, 0.195f, -1.267f, 0.39f, -1.904f, 0.572f)
                curveToRelative(-0.338f, 0.097f, -0.67f, 0.223f, -1.02f, 0.27f)
                curveToRelative(-0.316f, 0.028f, -0.64f, 0.013f, -0.948f, -0.066f)
                curveToRelative(-0.126f, -0.034f, -0.16f, -0.17f, -0.163f, -0.284f)
                curveToRelative(0.89f, -0.193f, 1.777f, -0.399f, 2.67f, -0.577f)
                curveToRelative(0.422f, -0.085f, 0.839f, -0.203f, 1.268f, -0.252f)
                close()
                moveTo(15.878f, 10.555f)
                arcToRelative(0.266f, 0.266f, 0.0f, false, true, 0.177f, 0.063f)
                curveToRelative(0.15f, 0.099f, 0.297f, 0.2f, 0.448f, 0.296f)
                arcToRelative(0.196f, 0.196f, 0.0f, false, false, -0.014f, 0.043f)
                lineToRelative(-0.01f, 0.047f)
                curveToRelative(-0.009f, 0.032f, -0.021f, 0.061f, -0.05f, 0.077f)
                curveToRelative(-0.13f, 0.014f, -0.269f, 0.043f, -0.396f, -0.006f)
                arcToRelative(2.215f, 2.215f, 0.0f, false, true, -0.396f, -0.324f)
                curveToRelative(-0.046f, -0.039f, -0.041f, -0.116f, -0.002f, -0.158f)
                arcToRelative(0.093f, 0.093f, 0.0f, false, true, 0.05f, -0.027f)
                curveToRelative(0.061f, -0.003f, 0.128f, -0.013f, 0.193f, -0.01f)
                close()
                moveTo(8.165f, 10.555f)
                curveToRelative(0.051f, 0.0f, 0.102f, 0.004f, 0.152f, 0.01f)
                curveToRelative(0.069f, 0.017f, 0.116f, 0.122f, 0.047f, 0.169f)
                curveToRelative(-0.156f, 0.156f, -0.318f, 0.354f, -0.557f, 0.365f)
                curveToRelative(-0.08f, -0.001f, -0.16f, 0.002f, -0.238f, -0.015f)
                curveToRelative(-0.057f, -0.038f, -0.052f, -0.12f, -0.071f, -0.176f)
                curveToRelative(0.173f, -0.11f, 0.338f, -0.231f, 0.516f, -0.333f)
                arcToRelative(0.63f, 0.63f, 0.0f, false, true, 0.15f, -0.02f)
                close()
                moveTo(17.022f, 10.759f)
                curveToRelative(0.162f, 0.017f, 0.316f, 0.07f, 0.473f, 0.108f)
                curveToRelative(0.766f, 0.225f, 1.533f, 0.447f, 2.298f, 0.674f)
                curveToRelative(0.143f, 0.043f, 0.289f, 0.079f, 0.426f, 0.138f)
                curveToRelative(-0.038f, 0.095f, -0.074f, 0.203f, -0.163f, 0.262f)
                arcToRelative(2.07f, 2.07f, 0.0f, false, true, -1.1f, -0.072f)
                curveToRelative(-0.27f, -0.103f, -0.527f, -0.233f, -0.792f, -0.346f)
                curveToRelative(-0.48f, -0.205f, -0.958f, -0.419f, -1.445f, -0.61f)
                curveToRelative(0.103f, -0.047f, 0.195f, -0.121f, 0.303f, -0.154f)
                close()
                moveTo(15.459f, 10.799f)
                curveToRelative(0.105f, 0.0f, 0.19f, 0.084f, 0.266f, 0.148f)
                curveToRelative(0.072f, 0.072f, 0.167f, 0.131f, 0.212f, 0.225f)
                curveToRelative(0.015f, 0.085f, -0.055f, 0.159f, -0.079f, 0.235f)
                curveToRelative(-0.104f, -0.02f, -0.234f, 0.02f, -0.318f, -0.066f)
                arcToRelative(1.57f, 1.57f, 0.0f, false, true, -0.322f, -0.397f)
                curveToRelative(-0.016f, -0.086f, 0.083f, -0.138f, 0.163f, -0.141f)
                lineToRelative(0.032f, 0.001f)
                arcToRelative(0.202f, 0.202f, 0.0f, false, true, 0.046f, -0.005f)
                close()
                moveTo(8.568f, 10.803f)
                arcToRelative(0.423f, 0.423f, 0.0f, false, true, 0.23f, 0.082f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, true, -0.34f, 0.455f)
                curveToRelative(-0.074f, 0.09f, -0.2f, 0.075f, -0.3f, 0.045f)
                curveToRelative(-0.063f, -0.047f, -0.086f, -0.13f, -0.124f, -0.196f)
                curveToRelative(0.123f, -0.127f, 0.24f, -0.262f, 0.389f, -0.359f)
                arcToRelative(0.32f, 0.32f, 0.0f, false, true, 0.145f, -0.027f)
                close()
                moveTo(7.242f, 10.923f)
                arcToRelative(0.848f, 0.848f, 0.0f, false, true, 0.108f, 0.002f)
                curveToRelative(0.102f, 0.015f, 0.115f, 0.135f, 0.153f, 0.212f)
                curveToRelative(-0.178f, 0.06f, -0.341f, 0.153f, -0.508f, 0.236f)
                curveToRelative(-0.434f, 0.208f, -0.857f, 0.435f, -1.29f, 0.645f)
                curveToRelative(-0.295f, 0.156f, -0.643f, 0.13f, -0.966f, 0.133f)
                curveToRelative(-0.09f, -0.009f, -0.191f, 0.0f, -0.27f, -0.052f)
                curveToRelative(-0.052f, -0.067f, -0.074f, -0.152f, -0.1f, -0.232f)
                curveToRelative(0.245f, -0.124f, 0.516f, -0.18f, 0.77f, -0.283f)
                curveToRelative(0.456f, -0.172f, 0.924f, -0.31f, 1.384f, -0.47f)
                curveToRelative(0.238f, -0.067f, 0.471f, -0.179f, 0.72f, -0.19f)
                close()
                moveTo(14.934f, 10.934f)
                curveToRelative(0.093f, 0.022f, 0.207f, 0.015f, 0.277f, 0.091f)
                curveToRelative(0.098f, 0.133f, 0.197f, 0.272f, 0.253f, 0.428f)
                curveToRelative(-0.018f, 0.12f, -0.154f, 0.2f, -0.272f, 0.195f)
                curveToRelative(-0.04f, -0.253f, -0.148f, -0.485f, -0.258f, -0.714f)
                close()
                moveTo(9.046f, 10.937f)
                arcToRelative(2.99f, 2.99f, 0.0f, false, false, -0.242f, 0.718f)
                curveToRelative(-0.095f, -0.022f, -0.214f, -0.046f, -0.256f, -0.147f)
                curveToRelative(-0.03f, -0.05f, -0.001f, -0.105f, 0.022f, -0.15f)
                arcToRelative(2.1f, 2.1f, 0.0f, false, true, 0.225f, -0.346f)
                curveToRelative(0.071f, -0.054f, 0.167f, -0.054f, 0.251f, -0.075f)
                close()
                moveTo(16.561f, 10.965f)
                curveToRelative(0.182f, 0.033f, 0.342f, 0.134f, 0.508f, 0.212f)
                curveToRelative(0.661f, 0.309f, 1.32f, 0.623f, 1.977f, 0.942f)
                curveToRelative(-0.013f, 0.07f, -0.011f, 0.154f, -0.059f, 0.214f)
                curveToRelative(-0.163f, 0.063f, -0.344f, 0.037f, -0.513f, 0.02f)
                curveToRelative(-0.206f, -0.023f, -0.42f, -0.047f, -0.601f, -0.16f)
                curveToRelative(-0.507f, -0.315f, -0.98f, -0.687f, -1.509f, -0.966f)
                curveToRelative(0.115f, -0.042f, 0.154f, -0.159f, 0.197f, -0.262f)
                close()
                moveTo(7.729f, 11.219f)
                curveToRelative(0.09f, 0.0f, 0.18f, 0.014f, 0.267f, 0.042f)
                curveToRelative(-0.194f, 0.232f, -0.456f, 0.392f, -0.695f, 0.571f)
                curveToRelative(-0.28f, 0.19f, -0.538f, 0.417f, -0.85f, 0.553f)
                arcToRelative(2.027f, 2.027f, 0.0f, false, true, -0.761f, 0.104f)
                curveToRelative(-0.112f, -0.014f, -0.161f, -0.118f, -0.166f, -0.22f)
                curveToRelative(0.587f, -0.32f, 1.187f, -0.615f, 1.774f, -0.933f)
                arcToRelative(0.83f, 0.83f, 0.0f, false, true, 0.43f, -0.117f)
                close()
                moveTo(16.155f, 11.237f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.321f, 0.134f)
                curveToRelative(0.449f, 0.335f, 0.896f, 0.674f, 1.346f, 1.007f)
                curveToRelative(0.06f, 0.031f, 0.091f, 0.091f, 0.116f, 0.152f)
                curveToRelative(-0.126f, 0.054f, -0.263f, 0.12f, -0.403f, 0.078f)
                curveToRelative(-0.041f, -0.01f, -0.084f, -0.018f, -0.126f, -0.027f)
                arcToRelative(0.946f, 0.946f, 0.0f, false, true, -0.364f, -0.13f)
                curveToRelative(-0.427f, -0.27f, -0.773f, -0.65f, -1.206f, -0.912f)
                curveToRelative(0.092f, -0.082f, 0.12f, -0.21f, 0.206f, -0.293f)
                arcToRelative(0.399f, 0.399f, 0.0f, false, true, 0.11f, -0.009f)
                close()
                moveTo(7.999f, 11.413f)
                curveToRelative(0.114f, 0.178f, 0.334f, 0.117f, 0.508f, 0.165f)
                curveToRelative(-0.38f, 0.273f, -0.666f, 0.652f, -1.042f, 0.93f)
                curveToRelative(-0.228f, 0.169f, -0.583f, 0.234f, -0.814f, 0.037f)
                curveToRelative(0.113f, -0.175f, 0.29f, -0.29f, 0.447f, -0.423f)
                curveToRelative(0.3f, -0.236f, 0.593f, -0.483f, 0.901f, -0.709f)
                close()
                moveTo(15.553f, 11.538f)
                curveToRelative(0.11f, 0.023f, 0.233f, 0.032f, 0.319f, 0.116f)
                curveToRelative(0.284f, 0.24f, 0.551f, 0.498f, 0.836f, 0.738f)
                curveToRelative(0.097f, 0.09f, 0.227f, 0.167f, 0.238f, 0.315f)
                curveToRelative(-0.095f, 0.035f, -0.202f, 0.075f, -0.302f, 0.033f)
                arcToRelative(0.672f, 0.672f, 0.0f, false, true, -0.071f, -0.023f)
                curveToRelative(-0.162f, -0.063f, -0.295f, -0.183f, -0.424f, -0.297f)
                arcToRelative(9.813f, 9.813f, 0.0f, false, false, -0.769f, -0.679f)
                curveToRelative(0.056f, -0.069f, 0.114f, -0.137f, 0.173f, -0.203f)
                close()
                moveTo(8.485f, 11.714f)
                curveToRelative(0.102f, 0.027f, 0.201f, 0.065f, 0.303f, 0.091f)
                curveToRelative(0.013f, 0.1f, 0.02f, 0.2f, 0.026f, 0.3f)
                curveToRelative(-0.174f, 0.175f, -0.307f, 0.406f, -0.541f, 0.51f)
                curveToRelative(-0.156f, 0.06f, -0.327f, 0.081f, -0.493f, 0.06f)
                curveToRelative(-0.057f, -0.012f, -0.097f, -0.057f, -0.138f, -0.095f)
                curveToRelative(0.278f, -0.292f, 0.54f, -0.6f, 0.843f, -0.866f)
                close()
                moveTo(15.214f, 11.787f)
                curveToRelative(0.151f, -0.002f, 0.25f, 0.118f, 0.344f, 0.218f)
                curveToRelative(0.196f, 0.228f, 0.42f, 0.428f, 0.622f, 0.649f)
                curveToRelative(-0.043f, 0.057f, -0.09f, 0.136f, -0.18f, 0.106f)
                arcToRelative(0.738f, 0.738f, 0.0f, false, true, -0.311f, -0.05f)
                curveToRelative(-0.208f, -0.1f, -0.345f, -0.293f, -0.522f, -0.433f)
                lineToRelative(0.047f, -0.49f)
                close()
                moveTo(12.111f, 11.919f)
                arcToRelative(1.564f, 1.564f, 0.0f, false, false, -0.255f, 0.014f)
                curveToRelative(-0.274f, 0.032f, -0.537f, 0.235f, -0.584f, 0.515f)
                curveToRelative(-0.03f, 0.271f, -0.019f, 0.602f, 0.204f, 0.796f)
                curveToRelative(0.147f, 0.12f, 0.34f, 0.16f, 0.525f, 0.176f)
                curveToRelative(0.258f, 0.008f, 0.56f, -0.033f, 0.72f, -0.264f)
                curveToRelative(0.175f, -0.264f, 0.176f, -0.623f, 0.054f, -0.908f)
                curveToRelative(-0.132f, -0.24f, -0.401f, -0.322f, -0.664f, -0.33f)
                close()
                moveTo(8.808f, 12.249f)
                curveToRelative(0.066f, 0.17f, 0.114f, 0.346f, 0.16f, 0.522f)
                curveToRelative(-0.12f, -0.023f, -0.302f, -0.01f, -0.37f, -0.138f)
                curveToRelative(-0.033f, -0.161f, 0.117f, -0.274f, 0.21f, -0.383f)
                close()
                moveTo(15.157f, 12.399f)
                curveToRelative(0.087f, 0.077f, 0.204f, 0.181f, 0.17f, 0.31f)
                curveToRelative(-0.067f, 0.117f, -0.218f, 0.118f, -0.335f, 0.13f)
                arcToRelative(33.1f, 33.1f, 0.0f, false, false, 0.165f, -0.44f)
                close()
                moveTo(8.467f, 12.72f)
                curveToRelative(0.093f, 0.077f, 0.195f, 0.157f, 0.319f, 0.176f)
                curveToRelative(0.08f, 0.024f, 0.173f, 0.018f, 0.245f, 0.063f)
                curveToRelative(0.156f, 0.191f, 0.294f, 0.399f, 0.488f, 0.555f)
                curveToRelative(0.299f, 0.277f, 0.658f, 0.469f, 0.995f, 0.692f)
                curveToRelative(-0.058f, 0.24f, -0.213f, 0.437f, -0.339f, 0.644f)
                curveToRelative(-0.92f, -0.353f, -1.719f, -1.07f, -2.085f, -1.995f)
                curveToRelative(0.126f, -0.042f, 0.252f, -0.087f, 0.376f, -0.135f)
                close()
                moveTo(15.46f, 12.783f)
                curveToRelative(0.093f, 0.037f, 0.186f, 0.075f, 0.28f, 0.11f)
                curveToRelative(-0.185f, 0.51f, -0.532f, 0.95f, -0.94f, 1.301f)
                arcToRelative(3.133f, 3.133f, 0.0f, false, true, -1.012f, 0.6f)
                curveToRelative(-0.08f, -0.14f, -0.166f, -0.278f, -0.236f, -0.424f)
                curveToRelative(-0.02f, -0.05f, -0.052f, -0.118f, -0.01f, -0.165f)
                curveToRelative(0.098f, -0.098f, 0.227f, -0.156f, 0.346f, -0.224f)
                curveToRelative(0.248f, -0.148f, 0.476f, -0.327f, 0.686f, -0.526f)
                curveToRelative(0.14f, -0.134f, 0.228f, -0.312f, 0.357f, -0.456f)
                curveToRelative(0.11f, -0.043f, 0.238f, -0.024f, 0.347f, -0.074f)
                curveToRelative(0.07f, -0.036f, 0.124f, -0.092f, 0.182f, -0.142f)
                close()
                moveTo(7.79f, 12.853f)
                lineToRelative(0.204f, 0.003f)
                curveToRelative(0.174f, 0.43f, 0.422f, 0.837f, 0.76f, 1.157f)
                curveToRelative(0.207f, 0.187f, 0.408f, 0.384f, 0.649f, 0.527f)
                curveToRelative(0.23f, 0.152f, 0.482f, 0.262f, 0.73f, 0.38f)
                arcToRelative(1.417f, 1.417f, 0.0f, false, true, -0.089f, 0.2f)
                arcToRelative(4.51f, 4.51f, 0.0f, false, true, -0.699f, -0.352f)
                curveToRelative(-0.3f, -0.177f, -0.55f, -0.421f, -0.8f, -0.66f)
                curveToRelative(-0.26f, -0.253f, -0.43f, -0.58f, -0.604f, -0.894f)
                curveToRelative(-0.065f, -0.114f, -0.106f, -0.239f, -0.15f, -0.361f)
                close()
                moveTo(15.817f, 12.911f)
                lineToRelative(0.22f, 0.02f)
                arcToRelative(3.174f, 3.174f, 0.0f, false, true, -0.847f, 1.33f)
                curveToRelative(-0.372f, 0.34f, -0.785f, 0.665f, -1.272f, 0.82f)
                curveToRelative(-0.034f, -0.07f, -0.068f, -0.14f, -0.1f, -0.212f)
                curveToRelative(0.305f, -0.137f, 0.61f, -0.289f, 0.87f, -0.504f)
                curveToRelative(0.48f, -0.388f, 0.91f, -0.868f, 1.129f, -1.454f)
                close()
                moveTo(14.469f, 13.344f)
                curveToRelative(-0.19f, 0.266f, -0.485f, 0.42f, -0.746f, 0.605f)
                curveToRelative(-0.12f, 0.093f, -0.29f, 0.15f, -0.339f, 0.31f)
                curveToRelative(0.011f, 0.094f, 0.087f, 0.164f, 0.13f, 0.245f)
                curveToRelative(0.108f, 0.186f, 0.215f, 0.374f, 0.302f, 0.57f)
                curveToRelative(0.048f, 0.124f, -0.001f, 0.252f, -0.048f, 0.367f)
                curveToRelative(-0.158f, -0.043f, -0.334f, -0.115f, -0.403f, -0.275f)
                curveToRelative(-0.133f, -0.241f, -0.13f, -0.544f, -0.315f, -0.76f)
                curveToRelative(-0.017f, 0.322f, 0.216f, 0.582f, 0.255f, 0.893f)
                curveToRelative(-0.016f, 0.109f, -0.084f, 0.202f, -0.136f, 0.297f)
                curveToRelative(-0.139f, -0.078f, -0.31f, -0.156f, -0.343f, -0.329f)
                curveToRelative(-0.095f, -0.256f, -0.037f, -0.563f, -0.192f, -0.797f)
                curveToRelative(-0.063f, 0.223f, 0.046f, 0.44f, 0.088f, 0.656f)
                curveToRelative(0.023f, 0.134f, 0.082f, 0.303f, -0.023f, 0.417f)
                arcToRelative(2.76f, 2.76f, 0.0f, false, true, -0.106f, 0.133f)
                curveToRelative(-0.105f, -0.075f, -0.24f, -0.145f, -0.275f, -0.28f)
                curveToRelative(-0.059f, -0.26f, -0.016f, -0.53f, -0.064f, -0.79f)
                curveToRelative(-0.014f, -0.033f, -0.037f, -0.059f, -0.058f, -0.086f)
                curveToRelative(-0.07f, 0.31f, 0.085f, 0.616f, 0.047f, 0.928f)
                curveToRelative(-0.042f, 0.112f, -0.135f, 0.229f, -0.26f, 0.25f)
                curveToRelative(-0.115f, -0.08f, -0.222f, -0.2f, -0.221f, -0.35f)
                curveToRelative(-0.015f, -0.271f, 0.087f, -0.535f, 0.073f, -0.807f)
                lineToRelative(-0.073f, -0.002f)
                curveToRelative(-0.037f, 0.23f, -0.018f, 0.465f, -0.033f, 0.697f)
                arcToRelative(0.487f, 0.487f, 0.0f, false, true, -0.104f, 0.294f)
                curveToRelative(-0.06f, 0.054f, -0.127f, 0.1f, -0.197f, 0.142f)
                curveToRelative(-0.063f, -0.066f, -0.135f, -0.13f, -0.173f, -0.216f)
                curveToRelative(-0.034f, -0.13f, 0.013f, -0.26f, 0.04f, -0.388f)
                curveToRelative(0.047f, -0.192f, 0.115f, -0.384f, 0.106f, -0.584f)
                horizontalLineToRelative(-0.066f)
                curveToRelative(-0.083f, 0.259f, -0.081f, 0.533f, -0.154f, 0.794f)
                arcToRelative(0.468f, 0.468f, 0.0f, false, true, -0.273f, 0.295f)
                curveToRelative(-0.054f, 0.024f, -0.119f, -0.014f, -0.14f, -0.066f)
                curveToRelative(-0.097f, -0.123f, -0.048f, -0.289f, -0.005f, -0.423f)
                curveToRelative(0.086f, -0.222f, 0.192f, -0.439f, 0.24f, -0.674f)
                lineToRelative(-0.066f, -0.027f)
                curveToRelative(-0.14f, 0.26f, -0.174f, 0.564f, -0.32f, 0.821f)
                arcToRelative(0.478f, 0.478f, 0.0f, false, true, -0.311f, 0.24f)
                curveToRelative(-0.045f, 0.015f, -0.08f, -0.022f, -0.1f, -0.057f)
                arcToRelative(0.386f, 0.386f, 0.0f, false, true, -0.005f, -0.334f)
                curveToRelative(0.112f, -0.241f, 0.27f, -0.46f, 0.38f, -0.702f)
                curveToRelative(0.02f, -0.066f, 0.056f, -0.155f, 0.001f, -0.213f)
                curveToRelative(-0.22f, -0.226f, -0.546f, -0.3f, -0.77f, -0.522f)
                curveToRelative(0.233f, 0.138f, 0.459f, 0.296f, 0.716f, 0.386f)
                curveToRelative(0.923f, 0.372f, 1.99f, 0.383f, 2.915f, 0.011f)
                curveToRelative(0.39f, -0.136f, 0.729f, -0.387f, 1.026f, -0.669f)
                close()
            }
        }
        .build()
        return _bentley!!
    }

private var _bentley: ImageVector? = null
