package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Codechef: ImageVector
    get() {
        if (_codechef != null) {
            return _codechef!!
        }
        _codechef = Builder(name = "Codechef", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.2574f, 0.0039f)
                curveToRelative(-0.37f, 0.0101f, -0.7353f, 0.041f, -1.1003f, 0.095f)
                curveTo(9.6164f, 0.153f, 9.0766f, 0.4236f, 8.482f, 0.694f)
                curveToRelative(-0.757f, 0.3244f, -1.5147f, 0.6486f, -2.2176f, 0.7027f)
                curveToRelative(-1.1896f, 0.3785f, -1.568f, 0.919f, -1.8925f, 1.3516f)
                curveToRelative(0.0f, 0.054f, -0.054f, 0.1079f, -0.054f, 0.1079f)
                curveToRelative(-0.4325f, 0.865f, -0.4873f, 1.73f, -0.325f, 2.5952f)
                curveToRelative(0.1621f, 0.5407f, 0.3786f, 1.0282f, 0.5408f, 1.5148f)
                curveToRelative(0.3785f, 1.0274f, 0.7578f, 2.0007f, 0.92f, 3.1362f)
                curveToRelative(0.1622f, 0.3244f, 0.3235f, 0.7571f, 0.4316f, 1.1897f)
                curveToRelative(0.2704f, 0.8651f, 0.542f, 1.8383f, 1.353f, 2.5952f)
                lineToRelative(0.0057f, -0.0028f)
                curveToRelative(0.0175f, 0.0183f, 0.0301f, 0.0387f, 0.0482f, 0.0568f)
                curveToRelative(0.0072f, -0.0036f, 0.0141f, -0.0063f, 0.0213f, -0.0099f)
                lineToRelative(-0.0213f, -0.5849f)
                curveToRelative(0.6489f, -0.9733f, 1.5673f, -1.6221f, 2.865f, -1.8925f)
                curveToRelative(0.5195f, -0.1093f, 1.081f, -0.1497f, 1.6625f, -0.1278f)
                arcToRelative(8.7733f, 8.7733f, 0.0f, false, true, 1.7988f, 0.2357f)
                curveToRelative(1.4599f, 0.3785f, 2.595f, 1.1358f, 2.6492f, 1.7846f)
                curveToRelative(0.0273f, 0.3549f, 0.0398f, 0.6952f, 0.0326f, 1.0364f)
                curveToRelative(-0.001f, 0.064f, -0.0046f, 0.1285f, -0.007f, 0.193f)
                lineToRelative(0.1362f, 0.0682f)
                curveToRelative(0.075f, -0.0375f, 0.1424f, -0.107f, 0.2059f, -0.1902f)
                curveToRelative(8.0E-4f, -0.001f, 0.002f, -0.002f, 0.0028f, -0.0028f)
                curveToRelative(0.0018f, -0.0023f, 0.0039f, -0.0061f, 0.0057f, -0.0085f)
                curveToRelative(0.0396f, -0.0536f, 0.0747f, -0.1236f, 0.1107f, -0.1931f)
                curveToRelative(0.0188f, -0.0377f, 0.0372f, -0.0866f, 0.0554f, -0.1292f)
                curveToRelative(0.2048f, -0.4622f, 0.362f, -1.1536f, 0.538f, -1.9635f)
                curveToRelative(0.0541f, -0.2703f, 0.1092f, -0.4864f, 0.1633f, -0.7027f)
                curveToRelative(0.4326f, -0.9733f, 1.0266f, -1.8382f, 1.6213f, -2.6492f)
                curveToRelative(0.9733f, -1.3518f, 1.8928f, -2.5962f, 1.7846f, -4.0561f)
                curveToRelative(-1.784f, -3.4608f, -4.2718f, -4.0017f, -5.5695f, -4.272f)
                curveToRelative(-0.2163f, -0.0541f, -0.3233f, -0.0539f, -0.4856f, -0.108f)
                curveToRelative(-1.3382f, -0.2433f, -2.4945f, -0.3953f, -3.6046f, -0.3648f)
                close()
                moveTo(16.3002f, 14.3827f)
                arcToRelative(9.8602f, 9.8602f, 0.0f, false, false, -0.0326f, -0.9824f)
                curveToRelative(-0.0541f, -0.703f, -1.1892f, -1.46f, -2.7032f, -1.8386f)
                curveToRelative(-0.588f, -0.1336f, -1.1764f, -0.2142f, -1.7448f, -0.2356f)
                curveToRelative(-0.539f, -0.0137f, -1.0657f, 0.0248f, -1.5546f, 0.1277f)
                curveToRelative(-1.2436f, 0.2704f, -2.2162f, 0.9193f, -2.811f, 1.8925f)
                lineToRelative(0.0511f, 1.431f)
                curveToRelative(0.6672f, -0.3558f, 1.7326f, -0.8747f, 3.139f, -0.9994f)
                curveToRelative(0.0662f, -0.0059f, 0.1368f, -0.0059f, 0.2044f, -0.0099f)
                curveToRelative(0.1177f, -0.013f, 0.2667f, -0.044f, 0.4444f, -0.044f)
                curveToRelative(1.6075f, 0.0f, 3.2682f, 0.5336f, 4.8767f, 1.6483f)
                curveToRelative(0.039f, -0.2744f, 0.0611f, -0.549f, 0.071f, -0.8234f)
                lineToRelative(0.044f, 0.0227f)
                curveToRelative(0.0028f, -0.0622f, 0.0143f, -0.1268f, 0.0156f, -0.1888f)
                close()
                moveTo(11.256f, 0.0578f)
                curveToRelative(0.1239f, -0.0034f, 0.2538f, 0.01f, 0.379f, 0.0114f)
                curveToRelative(-0.23f, -0.0022f, -0.4588f, 0.0026f, -0.6871f, 0.0156f)
                curveToRelative(0.103f, -0.0061f, 0.2046f, -0.0242f, 0.308f, -0.027f)
                close()
                moveTo(11.7543f, 0.0734f)
                curveToRelative(0.6552f, 0.014f, 1.3255f, 0.0711f, 2.0387f, 0.1803f)
                curveToRelative(-0.6834f, -0.0987f, -1.3646f, -0.1671f, -2.0387f, -0.1803f)
                close()
                moveTo(10.4396f, 0.1288f)
                curveToRelative(-0.076f, 0.0087f, -0.1527f, 0.0133f, -0.2285f, 0.0241f)
                curveToRelative(-0.8168f, 0.1167f, -1.7742f, 0.7015f, -2.75f, 1.045f)
                curveToRelative(0.3545f, -0.1323f, 0.7143f, -0.2957f, 1.0747f, -0.4501f)
                curveTo(9.0765f, 0.4774f, 9.6705f, 0.207f, 10.1571f, 0.1529f)
                curveToRelative(0.0939f, -0.0139f, 0.1886f, -0.0133f, 0.2825f, -0.0241f)
                close()
                moveTo(10.2111f, 0.3688f)
                curveToRelative(0.1622f, 0.0f, 0.3787f, -2.0E-4f, 0.5409f, 0.0539f)
                curveToRelative(-0.1425f, -0.0357f, -0.2595f, -0.026f, -0.3706f, -0.0142f)
                arcToRelative(1.174f, 1.174f, 0.0f, false, true, 0.3166f, 0.0681f)
                curveToRelative(0.5796f, 1.0012f, -0.4264f, 5.2791f, -0.6786f, 8.1492f)
                curveToRelative(0.1559f, 1.0276f, 0.3138f, 1.9963f, 0.4628f, 2.7201f)
                curveToRelative(-0.7029f, -1.7843f, -1.4067f, -4.921f, -1.5148f, -7.354f)
                curveToRelative(-0.054f, -0.9733f, 0.001f, -1.8386f, 0.2172f, -2.4874f)
                curveTo(9.401f, 0.8557f, 9.7244f, 0.4228f, 10.2111f, 0.3687f)
                close()
                moveTo(13.3472f, 0.6398f)
                curveToRelative(-0.811f, 2.1088f, -0.9184f, 6.1092f, -0.9725f, 7.3528f)
                curveToRelative(-0.054f, 0.5407f, -1.0E-4f, 1.73f, 0.054f, 2.5952f)
                curveToRelative(0.0f, 0.2163f, 0.054f, 0.4325f, 0.054f, 0.6488f)
                curveToRelative(0.0f, -0.2163f, -0.054f, -0.3786f, -0.054f, -0.5948f)
                curveToRelative(-0.4326f, -3.2442f, -0.974f, -7.1362f, 0.9185f, -10.002f)
                close()
                moveTo(16.6992f, 1.0175f)
                curveToRelative(-0.2704f, 2.1628f, -1.4047f, 3.191f, -1.7832f, 5.2998f)
                curveToRelative(-0.1081f, 1.6762f, -0.325f, 3.6222f, -0.379f, 5.2984f)
                curveToRelative(-0.0541f, -1.6762f, -7.0E-4f, -3.4601f, 0.2697f, -5.2444f)
                curveToRelative(0.2703f, -1.8384f, 0.8651f, -3.6776f, 1.8925f, -5.3538f)
                close()
                moveTo(6.3182f, 1.4505f)
                curveToRelative(-0.3581f, 0.1194f, -0.632f, 0.248f, -0.8575f, 0.3805f)
                curveToRelative(0.2317f, -0.1358f, 0.4996f, -0.2666f, 0.8575f, -0.3805f)
                close()
                moveTo(6.5283f, 1.6479f)
                curveToRelative(0.2155f, 0.0025f, 0.4384f, 0.0734f, 0.6006f, 0.2357f)
                curveToRelative(-0.0067f, -0.004f, -0.0078f, -0.0033f, -0.0142f, -0.0071f)
                curveToRelative(0.1331f, 0.0929f, 0.2666f, 0.2093f, 0.3932f, 0.3847f)
                curveToRelative(-0.2036f, 0.9673f, 0.2553f, 3.0317f, 0.0398f, 4.6694f)
                curveToRelative(0.0763f, 1.5485f, 0.0717f, 3.1804f, 0.849f, 4.4594f)
                curveToRelative(-0.9796f, -1.5107f, -1.176f, -3.4375f, -1.3218f, -5.236f)
                curveToRelative(-0.1128f, -1.0907f, -0.2035f, -2.0969f, -0.4642f, -2.9033f)
                curveToRelative(-0.144f, -0.3047f, -0.2684f, -0.5745f, -0.3833f, -0.822f)
                curveToRelative(-0.0247f, -0.0369f, -0.0447f, -0.0784f, -0.071f, -0.1135f)
                curveToRelative(-0.1082f, -0.1082f, -0.1619f, -0.2696f, -0.1619f, -0.3777f)
                curveToRelative(0.0f, -0.054f, 0.0539f, -0.1618f, 0.108f, -0.1618f)
                curveToRelative(0.054f, -0.0541f, 0.1616f, -0.0553f, 0.2157f, -0.1094f)
                arcToRelative(1.013f, 1.013f, 0.0f, false, true, 0.2101f, -0.0184f)
                close()
                moveTo(5.1824f, 2.2612f)
                curveToRelative(-0.0604f, 0.0201f, -0.0923f, 0.041f, -0.1405f, 0.061f)
                curveToRelative(0.1768f, -0.034f, 0.3617f, 0.0339f, 0.5196f, 0.318f)
                curveToRelative(-0.1877f, 0.8916f, 0.4364f, 3.3685f, 0.4288f, 5.104f)
                curveToRelative(0.3124f, 1.8478f, 0.5496f, 3.8498f, 1.5716f, 5.1152f)
                curveTo(6.3723f, 11.5076f, 5.886f, 9.1286f, 5.5076f, 7.128f)
                curveTo(5.183f, 5.56f, 4.9125f, 4.2086f, 4.3718f, 3.776f)
                curveToRelative(-0.054f, -0.1081f, -0.1079f, -0.163f, -0.1079f, -0.2711f)
                curveToRelative(0.0f, -0.1622f, -2.0E-4f, -0.3786f, 0.1079f, -0.5949f)
                curveToRelative(-0.2772f, 0.6337f, -0.4047f, 1.2673f, -0.3706f, 1.901f)
                curveToRelative(-0.0445f, -0.6487f, 0.0857f, -1.2905f, 0.3706f, -1.901f)
                curveToRelative(0.0f, -0.054f, 0.054f, -0.0538f, 0.054f, -0.1079f)
                curveToRelative(0.012f, -0.016f, 0.0314f, -0.0349f, 0.044f, -0.0511f)
                curveToRelative(0.0618f, -0.0983f, 0.1308f, -0.189f, 0.2257f, -0.257f)
                curveToRelative(0.0557f, -0.0615f, 0.0965f, -0.1191f, 0.159f, -0.1817f)
                curveToRelative(-0.0526f, 0.0555f, -0.0872f, 0.1092f, -0.1335f, 0.1647f)
                curveToRelative(0.0273f, -0.018f, 0.0523f, -0.0368f, 0.0838f, -0.0525f)
                curveToRelative(0.1081f, -0.1082f, 0.2154f, -0.1633f, 0.3776f, -0.1633f)
                close()
                moveTo(4.8048f, 2.4245f)
                curveToRelative(-0.0038f, 0.0075f, -0.0076f, 0.0111f, -0.0114f, 0.0184f)
                curveToRelative(0.0125f, -0.0099f, 0.0242f, -0.0208f, 0.037f, -0.0298f)
                curveToRelative(-0.0074f, 0.0037f, -0.0182f, 0.0077f, -0.0256f, 0.0114f)
                close()
                moveTo(19.5656f, 3.5588f)
                curveToRelative(-0.0017f, 0.0052f, -0.004f, 0.0104f, -0.0057f, 0.0156f)
                curveToRelative(0.0378f, -0.005f, 0.0751f, -0.0173f, 0.1135f, -0.0156f)
                curveToRelative(-0.0378f, -0.0022f, -0.0763f, 0.0103f, -0.115f, 0.0199f)
                curveToRelative(-0.8634f, 2.6418f, -1.8874f, 5.2844f, -2.9118f, 7.9262f)
                arcToRelative(0.0184f, 0.0184f, 0.0f, false, true, -0.0015f, 0.0028f)
                curveToRelative(-0.0874f, 0.4652f, -0.234f, 0.8842f, -0.5395f, 1.1898f)
                curveToRelative(0.4326f, -0.4867f, 0.4854f, -1.1907f, 0.5395f, -2.0558f)
                curveToRelative(0.054f, -0.811f, 0.0544f, -1.6761f, 0.487f, -2.5413f)
                curveToRelative(0.0f, -0.0531f, 0.0012f, -0.1058f, 0.0525f, -0.159f)
                curveToRelative(3.0E-4f, -9.0E-4f, 0.0012f, -0.0019f, 0.0015f, -0.0028f)
                curveToRelative(0.0973f, -0.3524f, 0.202f, -0.6885f, 0.3166f, -1.018f)
                curveToRelative(0.4183f, -1.2896f, 1.1396f, -3.1653f, 2.0131f, -3.3405f)
                curveToRelative(0.0163f, -0.0052f, 0.034f, -0.018f, 0.0497f, -0.0213f)
                close()
                moveTo(8.3726f, 16.2113f)
                lineToRelative(-0.3238f, 0.1079f)
                curveToRelative(0.1623f, 0.2163f, 0.2696f, 0.379f, 0.3777f, 0.433f)
                curveToRelative(0.1081f, 0.054f, 0.2168f, 0.108f, 0.379f, 0.108f)
                curveToRelative(0.0541f, 0.0f, 0.1618f, 0.0f, 0.2159f, -0.054f)
                lineToRelative(0.812f, -0.2698f)
                curveToRelative(0.0541f, 0.0f, 0.1078f, -0.054f, 0.1619f, -0.054f)
                curveToRelative(0.1081f, 0.0f, 0.1616f, 0.0f, 0.2697f, 0.054f)
                lineToRelative(0.2712f, 0.2698f)
                lineToRelative(0.2697f, -0.054f)
                curveToRelative(-0.1081f, -0.1622f, -0.2695f, -0.3236f, -0.3776f, -0.3776f)
                curveToRelative(-0.1082f, -0.0541f, -0.2169f, -0.1094f, -0.379f, -0.1094f)
                horizontalLineToRelative(-0.108f)
                lineToRelative(-0.866f, 0.3252f)
                horizontalLineToRelative(-0.1618f)
                curveToRelative(-0.1082f, 0.0f, -0.2157f, 0.0f, -0.2698f, -0.054f)
                curveToRelative(-0.054f, -0.054f, -0.163f, -0.1629f, -0.2712f, -0.3251f)
                close()
                moveTo(5.7773f, 16.7523f)
                curveToRelative(-0.2703f, 0.1621f, -0.649f, 0.4324f, -1.1897f, 0.6487f)
                curveToRelative(-0.5407f, 0.2163f, -0.9734f, 0.4325f, -1.1897f, 0.6488f)
                curveToRelative(-0.2163f, 0.2163f, -0.3237f, 0.4326f, -0.3237f, 0.6488f)
                curveToRelative(0.0f, 0.1082f, 0.0537f, 0.1632f, 0.1618f, 0.2172f)
                curveToRelative(0.054f, 0.0541f, 0.1632f, 0.0539f, 0.2172f, 0.108f)
                curveToRelative(0.757f, 0.3244f, 1.5133f, 0.7019f, 2.2162f, 1.0803f)
                curveToRelative(0.1082f, 0.0541f, 0.2171f, 0.1632f, 0.2712f, 0.2173f)
                curveToRelative(0.054f, 0.054f, 0.1078f, 0.054f, 0.1618f, 0.054f)
                curveToRelative(0.1082f, 0.0f, 0.2695f, -0.0538f, 0.3777f, -0.162f)
                curveToRelative(0.1081f, -0.108f, 0.1632f, -0.217f, 0.1632f, -0.325f)
                curveToRelative(0.0f, -0.1082f, -0.055f, -0.1618f, -0.1632f, -0.2158f)
                curveToRelative(0.0f, 0.0f, -0.4328f, -0.2165f, -1.1898f, -0.541f)
                curveToRelative(-0.4866f, -0.2162f, -0.9179f, -0.4326f, -1.1883f, -0.5948f)
                curveToRelative(0.1623f, -0.2704f, 0.486f, -0.4865f, 0.9726f, -0.7028f)
                curveToRelative(0.5407f, -0.2163f, 0.9196f, -0.4326f, 1.0818f, -0.5948f)
                curveToRelative(0.054f, -0.0541f, 0.054f, -0.1078f, 0.054f, -0.1619f)
                curveToRelative(0.0f, -0.054f, -0.0539f, -0.1631f, -0.108f, -0.2172f)
                curveToRelative(-0.054f, -0.054f, -0.163f, -0.1079f, -0.2711f, -0.1079f)
                close()
                moveTo(17.0243f, 16.7523f)
                curveToRelative(-0.054f, 0.0f, -0.1618f, 0.0537f, -0.2158f, 0.1078f)
                curveToRelative(-0.0541f, 0.1081f, -0.1093f, 0.1632f, -0.1093f, 0.2172f)
                verticalLineToRelative(0.054f)
                curveToRelative(0.1622f, 0.1622f, 0.3797f, 0.2695f, 0.7041f, 0.3776f)
                curveToRelative(0.2704f, 0.054f, 0.5403f, 0.1632f, 0.8107f, 0.2172f)
                curveToRelative(0.3244f, 0.1082f, 0.5407f, 0.2693f, 0.6488f, 0.4856f)
                verticalLineToRelative(0.0553f)
                curveToRelative(0.0f, 0.0541f, -0.1088f, 0.1616f, -0.3251f, 0.2698f)
                curveToRelative(-0.1082f, 0.054f, -0.3245f, 0.2167f, -0.5949f, 0.433f)
                curveToRelative(-0.2703f, 0.1622f, -0.4326f, 0.3236f, -0.5948f, 0.3776f)
                curveToRelative(-0.2163f, 0.1082f, -0.3776f, 0.217f, -0.4316f, 0.3252f)
                curveToRelative(-0.0541f, 0.054f, -0.054f, 0.1077f, -0.054f, 0.1618f)
                curveToRelative(0.0f, 0.1081f, 0.0539f, 0.1077f, 0.108f, 0.2158f)
                curveToRelative(0.054f, 0.1081f, 0.1616f, 0.1093f, 0.2157f, 0.1093f)
                curveToRelative(0.054f, 0.0f, 0.1078f, -0.0554f, 0.1619f, -0.0554f)
                curveToRelative(0.2703f, -0.1622f, 0.6492f, -0.3782f, 1.0818f, -0.7567f)
                curveToRelative(0.4866f, -0.3784f, 0.8655f, -0.6484f, 1.0818f, -0.8106f)
                curveToRelative(0.2163f, -0.1082f, 0.3237f, -0.2169f, 0.3237f, -0.379f)
                curveToRelative(0.0f, -0.0541f, 2.0E-4f, -0.1618f, -0.1079f, -0.2159f)
                curveToRelative(-0.3785f, -0.4325f, -0.9185f, -0.7022f, -1.5674f, -0.9185f)
                curveToRelative(-0.1081f, -0.0541f, -0.2704f, -0.1092f, -0.5948f, -0.1633f)
                curveToRelative(-0.1622f, -0.054f, -0.3249f, -0.1079f, -0.433f, -0.1079f)
                close()
                moveTo(14.05f, 17.5629f)
                curveToRelative(-0.2704f, 0.0f, -0.4866f, 0.055f, -0.6488f, 0.2172f)
                curveToRelative(-0.2163f, 0.1622f, -0.2699f, 0.4323f, -0.2158f, 0.7567f)
                curveToRelative(0.0f, 0.2703f, 0.1075f, 0.4865f, 0.2697f, 0.7027f)
                curveToRelative(0.1622f, 0.2163f, 0.3786f, 0.3252f, 0.5949f, 0.3252f)
                curveToRelative(0.1622f, 0.0f, 0.2708f, -0.0553f, 0.433f, -0.1094f)
                curveToRelative(0.2703f, -0.1622f, 0.379f, -0.4319f, 0.379f, -0.9185f)
                curveToRelative(0.0f, -0.3785f, -0.109f, -0.6485f, -0.2711f, -0.8107f)
                curveToRelative(-0.1622f, -0.1081f, -0.3246f, -0.1632f, -0.541f, -0.1632f)
                close()
                moveTo(9.5623f, 17.6169f)
                curveToRelative(-0.2704f, 0.0f, -0.4866f, 0.055f, -0.6488f, 0.2171f)
                curveToRelative(-0.2163f, 0.1622f, -0.27f, 0.4323f, -0.2158f, 0.7567f)
                curveToRelative(0.0f, 0.2704f, 0.1075f, 0.4865f, 0.2697f, 0.7028f)
                reflectiveCurveToRelative(0.3786f, 0.3251f, 0.5949f, 0.3251f)
                curveToRelative(0.1622f, 0.0f, 0.2708f, -0.0552f, 0.433f, -0.1093f)
                curveToRelative(0.2703f, -0.1622f, 0.3776f, -0.432f, 0.3776f, -0.9186f)
                curveToRelative(0.0f, -0.4325f, -0.1075f, -0.7025f, -0.2697f, -0.8106f)
                curveToRelative(-0.1622f, -0.1082f, -0.3247f, -0.1633f, -0.541f, -0.1633f)
                close()
                moveTo(9.5623f, 18.267f)
                curveToRelative(0.1622f, 0.0f, 0.2711f, 0.1076f, 0.2711f, 0.2698f)
                curveToRelative(0.0f, 0.1622f, -0.163f, 0.2697f, -0.2711f, 0.2697f)
                curveToRelative(-0.1622f, 0.0f, -0.2698f, -0.1075f, -0.2698f, -0.2697f)
                reflectiveCurveToRelative(0.1076f, -0.2698f, 0.2698f, -0.2698f)
                close()
                moveTo(13.9421f, 18.321f)
                curveToRelative(0.1622f, 0.0f, 0.2711f, 0.1075f, 0.2711f, 0.2697f)
                curveToRelative(0.0f, 0.1082f, -0.109f, 0.2698f, -0.2711f, 0.2698f)
                curveToRelative(-0.1622f, 0.0f, -0.2698f, -0.1076f, -0.2698f, -0.2698f)
                curveToRelative(0.0f, -0.1622f, 0.1076f, -0.2697f, 0.2698f, -0.2697f)
                close()
                moveTo(11.2389f, 20.4293f)
                lineToRelative(0.1619f, 0.3237f)
                curveToRelative(0.054f, 0.1081f, 0.1076f, 0.163f, 0.2158f, 0.2711f)
                curveToRelative(0.054f, 0.054f, 0.163f, 0.1619f, 0.2712f, 0.1619f)
                horizontalLineToRelative(0.1078f)
                curveToRelative(0.1082f, 0.0f, 0.1618f, 0.0f, 0.2158f, -0.054f)
                curveToRelative(0.0541f, -0.054f, 0.1632f, -0.0538f, 0.2173f, -0.1079f)
                lineToRelative(0.1618f, -0.1618f)
                curveToRelative(0.054f, -0.054f, 0.108f, -0.1092f, 0.108f, -0.1633f)
                curveToRelative(0.054f, -0.054f, 0.0537f, -0.1078f, 0.1078f, -0.1618f)
                curveToRelative(0.0f, -0.0541f, 0.054f, -0.108f, 0.054f, -0.108f)
                curveToRelative(-0.0541f, 0.1082f, -0.1618f, 0.2156f, -0.2158f, 0.3238f)
                curveToRelative(-0.1082f, 0.054f, -0.1616f, 0.1632f, -0.2698f, 0.1632f)
                curveToRelative(-0.1081f, 0.0541f, -0.217f, 0.054f, -0.3251f, 0.054f)
                reflectiveCurveToRelative(-0.2157f, 1.0E-4f, -0.2697f, -0.054f)
                curveToRelative(-0.1082f, 0.0f, -0.1632f, -0.0538f, -0.2173f, -0.1079f)
                lineToRelative(-0.1618f, -0.1632f)
                curveToRelative(-0.054f, -0.0541f, -0.1078f, -0.1618f, -0.1619f, -0.2158f)
                close()
                moveTo(10.3729f, 21.4571f)
                curveToRelative(-1.1355f, 0.0f, -1.8377f, 1.5136f, -3.4598f, 0.1619f)
                curveToRelative(-0.4326f, 2.6494f, 2.7583f, 2.866f, 4.11f, 1.7306f)
                curveToRelative(0.9192f, -0.811f, 0.6475f, -1.9465f, -0.6502f, -1.8925f)
                close()
                moveTo(13.2393f, 21.4571f)
                curveToRelative(-1.2977f, -0.054f, -1.568f, 1.0815f, -0.6488f, 1.8925f)
                curveToRelative(1.3518f, 1.1355f, 4.5412f, 0.9188f, 4.1087f, -1.7306f)
                curveToRelative(-1.6221f, 1.3517f, -2.2703f, -0.1619f, -3.4599f, -0.1619f)
                close()
            }
        }
        .build()
        return _codechef!!
    }

private var _codechef: ImageVector? = null
