package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Codecov: ImageVector
    get() {
        if (_codecov != null) {
            return _codecov!!
        }
        _codecov = Builder(name = "Codecov", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.006f, 0.481f)
                curveTo(5.391f, 0.486f, 0.005f, 5.831f, 0.0f, 12.399f)
                verticalLineToRelative(0.03f)
                lineToRelative(2.042f, 1.19f)
                lineToRelative(0.028f, -0.018f)
                arcToRelative(5.82f, 5.82f, 0.0f, false, true, 3.308f, -1.02f)
                curveToRelative(0.37f, 0.0f, 0.733f, 0.034f, 1.085f, 0.1f)
                lineToRelative(-0.036f, -0.006f)
                arcToRelative(5.69f, 5.69f, 0.0f, false, true, 2.874f, 1.43f)
                lineToRelative(-0.004f, -0.002f)
                lineToRelative(0.35f, 0.326f)
                lineToRelative(0.198f, -0.434f)
                curveToRelative(0.192f, -0.42f, 0.414f, -0.814f, 0.66f, -1.173f)
                curveToRelative(0.1f, -0.144f, 0.208f, -0.29f, 0.332f, -0.446f)
                lineToRelative(0.205f, -0.257f)
                lineToRelative(-0.252f, -0.211f)
                arcToRelative(8.33f, 8.33f, 0.0f, false, false, -3.836f, -1.807f)
                lineToRelative(-0.052f, -0.008f)
                arcToRelative(8.565f, 8.565f, 0.0f, false, false, -4.08f, 0.251f)
                lineToRelative(0.06f, -0.016f)
                curveToRelative(0.972f, -4.256f, 4.714f, -7.223f, 9.133f, -7.226f)
                arcToRelative(9.31f, 9.31f, 0.0f, false, true, 6.6f, 2.713f)
                arcToRelative(9.196f, 9.196f, 0.0f, false, true, 2.508f, 4.498f)
                arcToRelative(8.385f, 8.385f, 0.0f, false, false, -2.498f, -0.379f)
                horizontalLineToRelative(-0.154f)
                curveToRelative(-0.356f, 0.006f, -0.7f, 0.033f, -1.036f, 0.078f)
                lineToRelative(0.045f, -0.005f)
                lineToRelative(-0.042f, 0.006f)
                arcToRelative(8.103f, 8.103f, 0.0f, false, false, -0.39f, 0.06f)
                curveToRelative(-0.057f, 0.01f, -0.114f, 0.022f, -0.17f, 0.033f)
                arcToRelative(8.102f, 8.102f, 0.0f, false, false, -0.392f, 0.09f)
                lineToRelative(-0.138f, 0.034f)
                arcToRelative(9.21f, 9.21f, 0.0f, false, false, -0.483f, 0.144f)
                lineToRelative(-0.03f, 0.01f)
                curveToRelative(-0.354f, 0.12f, -0.708f, 0.268f, -1.05f, 0.44f)
                lineToRelative(-0.027f, 0.013f)
                curveToRelative(-0.152f, 0.076f, -0.305f, 0.16f, -0.47f, 0.256f)
                lineToRelative(-0.035f, 0.022f)
                arcToRelative(8.216f, 8.216f, 0.0f, false, false, -2.108f, 1.8f)
                lineToRelative(-0.011f, 0.014f)
                lineToRelative(-0.075f, 0.092f)
                arcToRelative(8.345f, 8.345f, 0.0f, false, false, -0.378f, 0.503f)
                curveToRelative(-0.088f, 0.13f, -0.177f, 0.269f, -0.288f, 0.452f)
                lineToRelative(-0.06f, 0.104f)
                arcToRelative(8.985f, 8.985f, 0.0f, false, false, -0.234f, 0.432f)
                lineToRelative(-0.016f, 0.029f)
                curveToRelative(-0.17f, 0.34f, -0.317f, 0.698f, -0.44f, 1.063f)
                lineToRelative(-0.017f, 0.053f)
                arcToRelative(8.052f, 8.052f, 0.0f, false, false, -0.41f, 2.716f)
                verticalLineToRelative(-0.007f)
                verticalLineToRelative(0.112f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, 0.023f, 0.431f)
                lineToRelative(-0.002f, -0.037f)
                arcToRelative(11.676f, 11.676f, 0.0f, false, false, 0.042f, 0.412f)
                lineToRelative(0.005f, 0.042f)
                lineToRelative(0.013f, 0.103f)
                curveToRelative(0.018f, 0.127f, 0.038f, 0.252f, 0.062f, 0.378f)
                curveToRelative(0.241f, 1.266f, 0.845f, 2.532f, 1.745f, 3.66f)
                lineToRelative(0.041f, 0.051f)
                lineToRelative(0.042f, -0.05f)
                curveToRelative(0.359f, -0.424f, 1.249f, -1.77f, 1.325f, -2.577f)
                verticalLineToRelative(-0.015f)
                lineToRelative(-0.006f, -0.013f)
                arcToRelative(5.56f, 5.56f, 0.0f, false, true, -0.64f, -2.595f)
                curveToRelative(0.0f, -3.016f, 2.37f, -5.521f, 5.396f, -5.702f)
                lineToRelative(0.2f, -0.007f)
                arcToRelative(5.93f, 5.93f, 0.0f, false, true, 3.47f, 1.025f)
                lineToRelative(0.027f, 0.019f)
                lineTo(24.0f, 12.416f)
                verticalLineToRelative(-0.03f)
                arcToRelative(11.77f, 11.77f, 0.0f, false, false, -3.51f, -8.423f)
                arcTo(11.962f, 11.962f, 0.0f, false, false, 12.007f, 0.48f)
                close()
            }
        }
        .build()
        return _codecov!!
    }

private var _codecov: ImageVector? = null
