package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Fossa: ImageVector
    get() {
        if (_fossa != null) {
            return _fossa!!
        }
        _fossa = Builder(name = "Fossa", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.398f, 9.516f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, true, 0.036f, 0.087f)
                verticalLineToRelative(0.693f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, true, -0.123f, 0.123f)
                lineTo(1.018f, 10.419f)
                verticalLineToRelative(1.155f)
                horizontalLineToRelative(1.766f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, true, 0.123f, 0.123f)
                verticalLineToRelative(0.693f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, true, -0.123f, 0.12f)
                lineTo(1.018f, 12.51f)
                verticalLineToRelative(1.9f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, true, -0.124f, 0.123f)
                horizontalLineToRelative(-0.77f)
                arcTo(0.123f, 0.123f, 0.0f, false, true, 0.0f, 14.41f)
                lineTo(0.0f, 9.6f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, true, 0.123f, -0.12f)
                horizontalLineToRelative(3.188f)
                curveToRelative(0.033f, 0.0f, 0.064f, 0.013f, 0.087f, 0.036f)
                close()
                moveTo(9.227f, 11.319f)
                arcToRelative(3.252f, 3.252f, 0.0f, false, true, 0.0f, 1.366f)
                curveToRelative(-0.053f, 0.243f, -0.14f, 0.477f, -0.256f, 0.696f)
                arcToRelative(2.4f, 2.4f, 0.0f, false, true, -0.45f, 0.621f)
                arcToRelative(2.074f, 2.074f, 0.0f, false, true, -0.719f, 0.436f)
                arcToRelative(2.763f, 2.763f, 0.0f, false, true, -0.992f, 0.17f)
                curveToRelative(-0.34f, 0.005f, -0.68f, -0.053f, -1.0f, -0.17f)
                arcToRelative(2.073f, 2.073f, 0.0f, false, true, -0.718f, -0.436f)
                arcToRelative(2.48f, 2.48f, 0.0f, false, true, -0.462f, -0.62f)
                arcToRelative(2.651f, 2.651f, 0.0f, false, true, -0.26f, -0.697f)
                arcToRelative(3.248f, 3.248f, 0.0f, false, true, 0.0f, -1.366f)
                curveToRelative(0.054f, -0.242f, 0.142f, -0.475f, 0.26f, -0.693f)
                curveToRelative(0.121f, -0.23f, 0.278f, -0.44f, 0.463f, -0.62f)
                arcToRelative(2.12f, 2.12f, 0.0f, false, true, 0.719f, -0.441f)
                arcToRelative(2.73f, 2.73f, 0.0f, false, true, 0.998f, -0.173f)
                curveToRelative(0.339f, -0.005f, 0.675f, 0.054f, 0.992f, 0.173f)
                curveToRelative(0.266f, 0.097f, 0.51f, 0.247f, 0.718f, 0.44f)
                curveToRelative(0.183f, 0.182f, 0.335f, 0.392f, 0.451f, 0.621f)
                curveToRelative(0.116f, 0.219f, 0.202f, 0.452f, 0.256f, 0.693f)
                close()
                moveTo(8.267f, 11.994f)
                curveToRelative(0.0f, -0.111f, -0.01f, -0.222f, -0.028f, -0.332f)
                arcToRelative(2.204f, 2.204f, 0.0f, false, false, -0.123f, -0.426f)
                arcToRelative(1.706f, 1.706f, 0.0f, false, false, -0.242f, -0.434f)
                arcToRelative(1.163f, 1.163f, 0.0f, false, false, -0.431f, -0.325f)
                arcToRelative(1.458f, 1.458f, 0.0f, false, false, -0.633f, -0.126f)
                arcToRelative(1.503f, 1.503f, 0.0f, false, false, -0.65f, 0.134f)
                curveToRelative(-0.165f, 0.07f, -0.312f, 0.18f, -0.428f, 0.317f)
                arcToRelative(1.8f, 1.8f, 0.0f, false, false, -0.243f, 0.437f)
                curveToRelative(-0.058f, 0.137f, -0.1f, 0.28f, -0.124f, 0.426f)
                arcToRelative(1.953f, 1.953f, 0.0f, false, false, 0.123f, 1.091f)
                curveToRelative(0.06f, 0.158f, 0.143f, 0.306f, 0.246f, 0.44f)
                curveToRelative(0.116f, 0.141f, 0.263f, 0.253f, 0.43f, 0.328f)
                curveToRelative(0.202f, 0.093f, 0.423f, 0.139f, 0.646f, 0.134f)
                verticalLineToRelative(0.006f)
                curveToRelative(0.219f, 0.003f, 0.435f, -0.044f, 0.633f, -0.138f)
                curveToRelative(0.165f, -0.076f, 0.31f, -0.188f, 0.425f, -0.328f)
                curveToRelative(0.105f, -0.134f, 0.188f, -0.283f, 0.248f, -0.442f)
                arcToRelative(2.048f, 2.048f, 0.0f, false, false, 0.152f, -0.762f)
                close()
                moveTo(13.767f, 12.379f)
                arcToRelative(0.954f, 0.954f, 0.0f, false, false, -0.242f, -0.27f)
                arcToRelative(4.435f, 4.435f, 0.0f, false, false, -0.278f, -0.21f)
                arcToRelative(2.08f, 2.08f, 0.0f, false, false, -0.346f, -0.172f)
                arcToRelative(8.157f, 8.157f, 0.0f, false, false, -0.335f, -0.134f)
                lineToRelative(-0.353f, -0.123f)
                arcToRelative(7.626f, 7.626f, 0.0f, false, true, -0.368f, -0.13f)
                arcToRelative(2.925f, 2.925f, 0.0f, false, true, -0.268f, -0.126f)
                arcToRelative(0.601f, 0.601f, 0.0f, false, true, -0.224f, -0.177f)
                arcToRelative(0.415f, 0.415f, 0.0f, false, true, -0.067f, -0.217f)
                curveToRelative(0.015f, -0.312f, 0.243f, -0.469f, 0.685f, -0.469f)
                curveToRelative(0.444f, 0.027f, 0.88f, 0.137f, 1.284f, 0.325f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, false, 0.165f, -0.072f)
                lineToRelative(0.268f, -0.628f)
                arcToRelative(0.112f, 0.112f, 0.0f, false, false, -0.058f, -0.166f)
                arcToRelative(4.31f, 4.31f, 0.0f, false, false, -1.736f, -0.41f)
                arcToRelative(1.735f, 1.735f, 0.0f, false, false, -1.183f, 0.397f)
                arcToRelative(1.353f, 1.353f, 0.0f, false, false, -0.45f, 1.074f)
                curveToRelative(0.0f, 0.532f, 0.25f, 0.933f, 0.751f, 1.203f)
                arcToRelative(6.37f, 6.37f, 0.0f, false, false, 1.039f, 0.382f)
                curveToRelative(0.225f, 0.06f, 0.439f, 0.158f, 0.632f, 0.288f)
                arcToRelative(0.401f, 0.401f, 0.0f, false, true, 0.173f, 0.415f)
                arcToRelative(0.493f, 0.493f, 0.0f, false, true, -0.254f, 0.349f)
                curveToRelative(-0.17f, 0.093f, -0.361f, 0.138f, -0.554f, 0.13f)
                arcToRelative(3.273f, 3.273f, 0.0f, false, true, -1.353f, -0.36f)
                arcToRelative(0.116f, 0.116f, 0.0f, false, false, -0.093f, 0.0f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, false, -0.07f, 0.064f)
                lineToRelative(-0.332f, 0.629f)
                arcToRelative(0.126f, 0.126f, 0.0f, false, false, 0.0f, 0.093f)
                arcToRelative(0.11f, 0.11f, 0.0f, false, false, 0.058f, 0.072f)
                curveToRelative(0.57f, 0.297f, 1.204f, 0.451f, 1.847f, 0.45f)
                curveToRelative(0.466f, 0.019f, 0.924f, -0.127f, 1.294f, -0.411f)
                arcToRelative(1.387f, 1.387f, 0.0f, false, false, 0.549f, -1.039f)
                arcToRelative(1.282f, 1.282f, 0.0f, false, false, -0.18f, -0.757f)
                close()
                moveTo(18.404f, 12.379f)
                arcToRelative(0.954f, 0.954f, 0.0f, false, false, -0.242f, -0.27f)
                arcToRelative(4.465f, 4.465f, 0.0f, false, false, -0.278f, -0.21f)
                arcToRelative(2.077f, 2.077f, 0.0f, false, false, -0.346f, -0.172f)
                arcToRelative(8.123f, 8.123f, 0.0f, false, false, -0.335f, -0.134f)
                lineToRelative(-0.353f, -0.123f)
                arcToRelative(7.545f, 7.545f, 0.0f, false, true, -0.368f, -0.13f)
                arcToRelative(2.925f, 2.925f, 0.0f, false, true, -0.268f, -0.126f)
                arcToRelative(0.601f, 0.601f, 0.0f, false, true, -0.224f, -0.177f)
                arcToRelative(0.415f, 0.415f, 0.0f, false, true, -0.072f, -0.217f)
                curveToRelative(0.014f, -0.312f, 0.242f, -0.469f, 0.685f, -0.469f)
                curveToRelative(0.446f, 0.027f, 0.883f, 0.137f, 1.288f, 0.325f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, false, 0.166f, -0.072f)
                lineToRelative(0.267f, -0.628f)
                arcToRelative(0.11f, 0.11f, 0.0f, false, false, -0.015f, -0.14f)
                arcToRelative(0.11f, 0.11f, 0.0f, false, false, -0.042f, -0.026f)
                arcToRelative(4.31f, 4.31f, 0.0f, false, false, -1.74f, -0.41f)
                curveToRelative(-0.43f, -0.02f, -0.852f, 0.122f, -1.183f, 0.397f)
                arcToRelative(1.353f, 1.353f, 0.0f, false, false, -0.451f, 1.074f)
                curveToRelative(0.0f, 0.532f, 0.25f, 0.933f, 0.751f, 1.203f)
                curveToRelative(0.335f, 0.157f, 0.682f, 0.285f, 1.039f, 0.382f)
                curveToRelative(0.224f, 0.06f, 0.437f, 0.158f, 0.63f, 0.288f)
                arcToRelative(0.404f, 0.404f, 0.0f, false, true, 0.173f, 0.415f)
                arcToRelative(0.491f, 0.491f, 0.0f, false, true, -0.256f, 0.353f)
                curveToRelative(-0.169f, 0.092f, -0.36f, 0.137f, -0.551f, 0.13f)
                arcToRelative(3.273f, 3.273f, 0.0f, false, true, -1.353f, -0.361f)
                arcToRelative(0.116f, 0.116f, 0.0f, false, false, -0.093f, 0.0f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, false, -0.073f, 0.061f)
                lineToRelative(-0.332f, 0.629f)
                arcToRelative(0.126f, 0.126f, 0.0f, false, false, 0.0f, 0.093f)
                arcToRelative(0.11f, 0.11f, 0.0f, false, false, 0.057f, 0.072f)
                curveToRelative(0.57f, 0.297f, 1.205f, 0.451f, 1.848f, 0.45f)
                curveToRelative(0.465f, 0.018f, 0.921f, -0.127f, 1.29f, -0.41f)
                arcToRelative(1.388f, 1.388f, 0.0f, false, false, 0.55f, -1.04f)
                arcToRelative(1.276f, 1.276f, 0.0f, false, false, -0.04f, -0.422f)
                arcToRelative(1.534f, 1.534f, 0.0f, false, false, -0.129f, -0.335f)
                close()
                moveTo(24.0f, 14.452f)
                arcToRelative(0.094f, 0.094f, 0.0f, false, true, -0.01f, 0.04f)
                arcToRelative(0.071f, 0.071f, 0.0f, false, true, -0.065f, 0.041f)
                horizontalLineToRelative(-0.902f)
                arcToRelative(0.16f, 0.16f, 0.0f, false, true, -0.17f, -0.115f)
                lineToRelative(-0.436f, -1.068f)
                horizontalLineToRelative(-1.58f)
                lineToRelative(-0.431f, 1.062f)
                arcToRelative(0.168f, 0.168f, 0.0f, false, true, -0.171f, 0.115f)
                horizontalLineToRelative(-0.916f)
                arcToRelative(0.07f, 0.07f, 0.0f, false, true, -0.066f, -0.04f)
                arcToRelative(0.1f, 0.1f, 0.0f, false, true, -0.007f, -0.083f)
                lineToRelative(2.208f, -4.924f)
                arcToRelative(0.19f, 0.19f, 0.0f, false, true, 0.15f, -0.065f)
                arcToRelative(0.183f, 0.183f, 0.0f, false, true, 0.165f, 0.066f)
                lineToRelative(2.222f, 4.93f)
                arcToRelative(0.098f, 0.098f, 0.0f, false, true, 0.009f, 0.041f)
                close()
                moveTo(22.07f, 12.54f)
                lineToRelative(-0.451f, -1.133f)
                lineToRelative(-0.45f, 1.133f)
                horizontalLineToRelative(0.901f)
                close()
            }
        }
        .build()
        return _fossa!!
    }

private var _fossa: ImageVector? = null
