package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Hackster: ImageVector
    get() {
        if (_hackster != null) {
            return _hackster!!
        }
        _hackster = Builder(name = "Hackster", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.425f, 10.349f)
                curveToRelative(0.262f, 0.0f, 0.48f, 0.209f, 0.48f, 0.479f)
                verticalLineToRelative(2.155f)
                curveToRelative(0.0f, 0.32f, 0.26f, 0.582f, 0.58f, 0.582f)
                horizontalLineToRelative(4.26f)
                curveToRelative(0.295f, 0.0f, 0.355f, 0.426f, 0.068f, 0.504f)
                lineToRelative(-8.568f, 2.468f)
                curveToRelative(-0.248f, 0.073f, -0.509f, -0.068f, -0.581f, -0.317f)
                curveToRelative(-0.013f, -0.043f, -0.021f, -0.088f, -0.019f, -0.133f)
                verticalLineToRelative(-2.252f)
                curveToRelative(-0.002f, -0.115f, -0.094f, -0.209f, -0.209f, -0.21f)
                lineTo(5.042f, 13.625f)
                curveToRelative(-0.114f, -0.001f, -0.207f, -0.093f, -0.209f, -0.207f)
                verticalLineToRelative(-2.53f)
                curveToRelative(0.001f, -0.353f, -0.28f, -0.643f, -0.634f, -0.65f)
                lineToRelative(-3.998f, -0.07f)
                curveToRelative(-0.235f, -0.01f, -0.278f, -0.34f, -0.052f, -0.408f)
                lineToRelative(8.76f, -2.529f)
                curveToRelative(0.111f, -0.029f, 0.225f, 0.037f, 0.254f, 0.146f)
                curveToRelative(0.004f, 0.016f, 0.007f, 0.033f, 0.007f, 0.053f)
                verticalLineToRelative(2.441f)
                curveToRelative(0.0f, 0.26f, 0.217f, 0.478f, 0.479f, 0.478f)
                horizontalLineToRelative(8.776f)
                close()
                moveTo(8.788f, 4.543f)
                curveToRelative(0.305f, -0.052f, 0.375f, 0.348f, 0.375f, 0.348f)
                reflectiveCurveToRelative(0.025f, 0.947f, 0.0f, 1.338f)
                curveToRelative(-0.027f, 0.39f, -0.383f, 0.375f, -0.383f, 0.375f)
                lineTo(5.304f, 6.604f)
                reflectiveCurveToRelative(-0.315f, -0.113f, -0.357f, -0.522f)
                curveToRelative(-0.053f, -0.408f, 0.434f, -0.636f, 0.434f, -0.636f)
                reflectiveCurveToRelative(3.104f, -0.851f, 3.405f, -0.903f)
                horizontalLineToRelative(0.002f)
                close()
                moveTo(14.673f, 3.439f)
                reflectiveCurveToRelative(-0.045f, -0.461f, 0.471f, -0.66f)
                curveToRelative(0.512f, -0.191f, 3.268f, -0.904f, 3.268f, -0.904f)
                reflectiveCurveToRelative(0.512f, -0.2f, 0.547f, 0.471f)
                curveToRelative(0.035f, 0.668f, 0.0f, 6.178f, 0.0f, 6.178f)
                reflectiveCurveToRelative(0.018f, 0.451f, -0.469f, 0.486f)
                curveToRelative(-0.488f, 0.035f, -3.225f, 0.0f, -3.225f, 0.0f)
                reflectiveCurveToRelative(-0.592f, 0.053f, -0.592f, -0.417f)
                lineTo(14.673f, 3.439f)
                close()
                moveTo(14.751f, 17.771f)
                curveToRelative(0.025f, -0.391f, 0.383f, -0.375f, 0.375f, -0.384f)
                horizontalLineToRelative(3.475f)
                reflectiveCurveToRelative(0.305f, 0.113f, 0.357f, 0.522f)
                curveToRelative(0.053f, 0.408f, -0.436f, 0.635f, -0.436f, 0.635f)
                reflectiveCurveToRelative(-3.102f, 0.851f, -3.406f, 0.902f)
                curveToRelative(-0.305f, 0.062f, -0.365f, -0.339f, -0.365f, -0.339f)
                reflectiveCurveToRelative(-0.025f, -0.945f, 0.0f, -1.336f)
                close()
                moveTo(9.233f, 20.561f)
                reflectiveCurveToRelative(0.051f, 0.461f, -0.471f, 0.66f)
                curveToRelative(-0.513f, 0.19f, -3.268f, 0.903f, -3.268f, 0.903f)
                reflectiveCurveToRelative(-0.514f, 0.201f, -0.547f, -0.47f)
                curveToRelative(-0.035f, -0.668f, 0.0f, -6.178f, 0.0f, -6.178f)
                reflectiveCurveToRelative(-0.018f, -0.451f, 0.469f, -0.486f)
                reflectiveCurveToRelative(3.225f, 0.0f, 3.225f, 0.0f)
                reflectiveCurveToRelative(0.529f, -0.053f, 0.592f, 0.417f)
                curveToRelative(0.059f, 0.46f, 0.0f, 0.79f, 0.0f, 0.79f)
                verticalLineToRelative(4.364f)
                close()
            }
        }
        .build()
        return _hackster!!
    }

private var _hackster: ImageVector? = null
