package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Ibm: ImageVector
    get() {
        if (_ibm != null) {
            return _ibm!!
        }
        _ibm = Builder(name = "Ibm", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp, viewportWidth
                = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.0f, 16.144f)
                horizontalLineToRelative(4.667f)
                verticalLineToRelative(0.668f)
                horizontalLineTo(0.0f)
                close()
                moveTo(0.0f, 14.862f)
                horizontalLineToRelative(4.667f)
                verticalLineToRelative(0.67f)
                horizontalLineTo(0.0f)
                close()
                moveTo(1.33f, 13.583f)
                horizontalLineToRelative(2.003f)
                verticalLineToRelative(0.671f)
                horizontalLineTo(1.33f)
                close()
                moveTo(1.33f, 12.305f)
                horizontalLineToRelative(2.003f)
                verticalLineToRelative(0.67f)
                horizontalLineTo(1.33f)
                close()
                moveTo(1.33f, 11.025f)
                horizontalLineToRelative(2.003f)
                verticalLineToRelative(0.671f)
                horizontalLineTo(1.33f)
                close()
                moveTo(1.33f, 9.744f)
                horizontalLineToRelative(2.003f)
                verticalLineToRelative(0.671f)
                horizontalLineTo(1.33f)
                close()
                moveTo(0.0f, 8.466f)
                horizontalLineToRelative(4.667f)
                verticalLineToRelative(0.67f)
                horizontalLineTo(0.0f)
                close()
                moveTo(0.0f, 7.187f)
                horizontalLineToRelative(4.667f)
                verticalLineToRelative(0.67f)
                horizontalLineTo(0.0f)
                close()
                moveTo(5.332f, 15.532f)
                horizontalLineToRelative(7.177f)
                curveToRelative(0.12f, -0.206f, 0.212f, -0.433f, 0.267f, -0.67f)
                horizontalLineTo(5.333f)
                verticalLineToRelative(0.67f)
                close()
                moveTo(11.95f, 12.305f)
                horizontalLineTo(6.667f)
                verticalLineToRelative(0.67f)
                horizontalLineToRelative(5.843f)
                arcToRelative(2.67f, 2.67f, 0.0f, false, false, -0.558f, -0.67f)
                close()
                moveTo(6.666f, 11.025f)
                verticalLineToRelative(0.671f)
                horizontalLineToRelative(5.285f)
                curveToRelative(0.223f, -0.188f, 0.41f, -0.414f, 0.559f, -0.671f)
                horizontalLineTo(6.666f)
                close()
                moveTo(12.509f, 8.466f)
                horizontalLineTo(5.332f)
                verticalLineToRelative(0.67f)
                horizontalLineToRelative(7.443f)
                arcToRelative(2.891f, 2.891f, 0.0f, false, false, -0.266f, -0.67f)
                close()
                moveTo(10.303f, 7.187f)
                horizontalLineTo(5.332f)
                verticalLineToRelative(0.67f)
                horizontalLineToRelative(6.685f)
                arcToRelative(2.522f, 2.522f, 0.0f, false, false, -1.714f, -0.67f)
                close()
                moveTo(6.666f, 9.744f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(0.671f)
                horizontalLineToRelative(-2.0f)
                close()
                moveTo(10.667f, 10.415f)
                horizontalLineToRelative(2.092f)
                curveToRelative(0.059f, -0.214f, 0.09f, -0.44f, 0.09f, -0.671f)
                horizontalLineToRelative(-2.182f)
                verticalLineToRelative(0.671f)
                close()
                moveTo(6.666f, 13.583f)
                horizontalLineToRelative(1.999f)
                verticalLineToRelative(0.671f)
                horizontalLineToRelative(-2.0f)
                close()
                moveTo(10.667f, 13.583f)
                verticalLineToRelative(0.671f)
                horizontalLineToRelative(2.182f)
                curveToRelative(0.0f, -0.23f, -0.031f, -0.457f, -0.09f, -0.671f)
                horizontalLineToRelative(-2.092f)
                close()
                moveTo(5.332f, 16.807f)
                lineToRelative(4.97f, 0.007f)
                curveToRelative(0.667f, 0.0f, 1.268f, -0.257f, 1.717f, -0.67f)
                horizontalLineTo(5.332f)
                verticalLineToRelative(0.663f)
                close()
                moveTo(13.334f, 16.144f)
                horizontalLineToRelative(3.332f)
                verticalLineToRelative(0.668f)
                horizontalLineToRelative(-3.332f)
                close()
                moveTo(13.334f, 14.862f)
                horizontalLineToRelative(3.332f)
                verticalLineToRelative(0.67f)
                horizontalLineToRelative(-3.332f)
                close()
                moveTo(14.665f, 13.583f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(0.671f)
                horizontalLineToRelative(-2.0f)
                close()
                moveTo(14.665f, 12.305f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(0.67f)
                horizontalLineToRelative(-2.0f)
                close()
                moveTo(17.594f, 8.466f)
                horizontalLineToRelative(-4.26f)
                verticalLineToRelative(0.67f)
                horizontalLineToRelative(4.49f)
                close()
                moveTo(17.152f, 7.187f)
                horizontalLineToRelative(-3.818f)
                verticalLineToRelative(0.669f)
                horizontalLineToRelative(4.048f)
                close()
                moveTo(20.665f, 16.144f)
                horizontalLineTo(24.0f)
                verticalLineToRelative(0.668f)
                horizontalLineToRelative(-3.335f)
                close()
                moveTo(20.665f, 14.862f)
                horizontalLineTo(24.0f)
                verticalLineToRelative(0.67f)
                horizontalLineToRelative(-3.335f)
                close()
                moveTo(20.665f, 13.583f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(0.671f)
                horizontalLineToRelative(-2.0f)
                close()
                moveTo(20.665f, 12.305f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(0.67f)
                horizontalLineToRelative(-2.0f)
                close()
                moveTo(20.665f, 11.696f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(-0.671f)
                horizontalLineToRelative(-3.811f)
                lineToRelative(-0.188f, 0.542f)
                lineToRelative(-0.188f, -0.542f)
                horizontalLineTo(14.665f)
                verticalLineToRelative(0.671f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(-0.616f)
                lineToRelative(0.213f, 0.616f)
                horizontalLineToRelative(3.575f)
                lineToRelative(0.212f, -0.616f)
                close()
                moveTo(22.666f, 9.744f)
                horizontalLineToRelative(-3.37f)
                lineToRelative(-0.23f, 0.671f)
                horizontalLineToRelative(3.6f)
                close()
                moveTo(20.183f, 7.187f)
                lineToRelative(-0.231f, 0.669f)
                horizontalLineTo(24.0f)
                verticalLineToRelative(-0.669f)
                close()
                moveTo(18.666f, 16.807f)
                lineToRelative(0.23f, -0.663f)
                horizontalLineToRelative(-0.461f)
                close()
                moveTo(18.224f, 15.532f)
                horizontalLineToRelative(0.884f)
                lineToRelative(0.238f, -0.67f)
                horizontalLineToRelative(-1.357f)
                close()
                moveTo(17.775f, 14.254f)
                horizontalLineToRelative(1.782f)
                lineToRelative(0.235f, -0.671f)
                horizontalLineToRelative(-2.253f)
                close()
                moveTo(17.327f, 12.975f)
                horizontalLineToRelative(2.679f)
                lineToRelative(0.229f, -0.67f)
                horizontalLineToRelative(-3.138f)
                close()
                moveTo(14.665f, 10.415f)
                horizontalLineToRelative(3.602f)
                lineToRelative(-0.231f, -0.671f)
                horizontalLineToRelative(-3.371f)
                close()
                moveTo(19.51f, 9.136f)
                horizontalLineTo(24.0f)
                verticalLineToRelative(-0.67f)
                horizontalLineToRelative(-4.262f)
                close()
            }
        }
        .build()
        return _ibm!!
    }

private var _ibm: ImageVector? = null
