package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Imgur: ImageVector
    get() {
        if (_imgur != null) {
            return _imgur!!
        }
        _imgur = Builder(name = "Imgur", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.147f, 3.043f)
                curveToRelative(-0.002f, -0.113f, -0.069f, -0.182f, -0.189f, -0.191f)
                arcToRelative(14.117f, 14.117f, 0.0f, false, false, -0.51f, -0.045f)
                lineToRelative(-0.162f, -0.01f)
                arcToRelative(21.998f, 21.998f, 0.0f, false, false, -1.085f, -0.046f)
                lineToRelative(-0.217f, -0.005f)
                curveToRelative(-0.172f, -0.003f, -0.35f, -0.004f, -0.532f, -0.004f)
                lineToRelative(-0.189f, -0.001f)
                curveToRelative(-0.295f, 0.0f, -0.601f, 0.003f, -0.919f, 0.01f)
                lineToRelative(-0.106f, 0.003f)
                arcToRelative(55.86f, 55.86f, 0.0f, false, false, -0.87f, 0.026f)
                lineToRelative(-0.237f, 0.009f)
                curveToRelative(-0.335f, 0.013f, -0.676f, 0.029f, -1.027f, 0.049f)
                lineToRelative(-0.012f, 0.001f)
                curveToRelative(-0.357f, 0.021f, -0.724f, 0.045f, -1.095f, 0.071f)
                lineToRelative(-0.275f, 0.021f)
                curveToRelative(-0.304f, 0.023f, -0.609f, 0.048f, -0.92f, 0.076f)
                lineToRelative(-0.25f, 0.021f)
                curveToRelative(-0.38f, 0.035f, -0.766f, 0.074f, -1.156f, 0.115f)
                curveToRelative(-0.08f, 0.009f, -0.161f, 0.019f, -0.242f, 0.027f)
                curveToRelative(-0.319f, 0.035f, -0.641f, 0.073f, -0.965f, 0.113f)
                lineToRelative(-0.33f, 0.042f)
                curveToRelative(-0.403f, 0.051f, -0.806f, 0.105f, -1.212f, 0.164f)
                arcToRelative(0.547f, 0.547f, 0.0f, false, false, -0.154f, 0.045f)
                arcToRelative(0.303f, 0.303f, 0.0f, false, false, -0.097f, 0.074f)
                lineToRelative(-0.003f, 0.002f)
                curveToRelative(-0.045f, 0.055f, -0.047f, 0.12f, 0.004f, 0.179f)
                curveToRelative(0.003f, 0.004f, 0.002f, 0.008f, 0.005f, 0.012f)
                lineToRelative(3.488f, 3.456f)
                lineToRelative(-6.629f, 6.596f)
                curveToRelative(-0.069f, 0.067f, -0.068f, 0.165f, 0.0f, 0.251f)
                curveToRelative(0.856f, 1.093f, 1.44f, 1.793f, 2.143f, 2.492f)
                curveToRelative(0.699f, 0.703f, 1.398f, 1.286f, 2.493f, 2.143f)
                arcToRelative(0.216f, 0.216f, 0.0f, false, false, 0.132f, 0.051f)
                arcToRelative(0.167f, 0.167f, 0.0f, false, false, 0.119f, -0.051f)
                lineToRelative(6.597f, -6.629f)
                lineToRelative(3.455f, 3.488f)
                arcToRelative(0.143f, 0.143f, 0.0f, false, false, 0.101f, 0.047f)
                curveToRelative(0.096f, 0.0f, 0.187f, -0.118f, 0.212f, -0.292f)
                curveToRelative(0.746f, -5.141f, 0.882f, -10.051f, 0.634f, -12.31f)
                close()
                moveTo(15.87f, 24.0f)
                lineToRelative(6.356f, -6.357f)
                lineToRelative(0.026f, -0.026f)
                lineToRelative(0.156f, -0.155f)
                lineToRelative(-0.006f, -0.006f)
                arcToRelative(3.144f, 3.144f, 0.0f, false, false, 0.822f, -1.711f)
                curveToRelative(0.804f, -5.53f, 0.903f, -10.591f, 0.654f, -12.952f)
                arcToRelative(2.904f, 2.904f, 0.0f, false, false, -0.834f, -1.812f)
                arcToRelative(2.96f, 2.96f, 0.0f, false, false, -1.816f, -0.855f)
                curveTo(20.458f, 0.042f, 19.476f, 0.0f, 18.318f, 0.0f)
                curveToRelative(-2.999f, 0.0f, -6.667f, 0.284f, -10.063f, 0.777f)
                arcToRelative(3.143f, 3.143f, 0.0f, false, false, -1.887f, 0.991f)
                lineTo(0.0f, 8.137f)
                lineTo(0.0f, 24.0f)
                lineTo(15.87f, 24.0f)
                close()
                moveTo(17.398f, 17.293f)
                curveToRelative(-0.151f, 0.0f, -0.563f, 0.405f, -0.563f, 0.613f)
                arcToRelative(0.1f, 0.1f, 0.0f, false, true, -0.099f, 0.1f)
                arcToRelative(0.1f, 0.1f, 0.0f, false, true, -0.099f, -0.1f)
                curveToRelative(0.0f, -0.208f, -0.411f, -0.613f, -0.563f, -0.613f)
                arcToRelative(0.1f, 0.1f, 0.0f, false, true, -0.099f, -0.1f)
                curveToRelative(0.0f, -0.054f, 0.044f, -0.098f, 0.099f, -0.098f)
                curveToRelative(0.152f, 0.0f, 0.563f, -0.404f, 0.563f, -0.614f)
                curveToRelative(0.0f, -0.055f, 0.044f, -0.098f, 0.099f, -0.098f)
                curveToRelative(0.054f, 0.0f, 0.099f, 0.043f, 0.099f, 0.098f)
                curveToRelative(0.0f, 0.21f, 0.412f, 0.614f, 0.563f, 0.614f)
                arcToRelative(0.1f, 0.1f, 0.0f, false, true, 0.0f, 0.198f)
                close()
                moveTo(5.4f, 7.045f)
                curveToRelative(0.197f, 0.0f, 0.735f, -0.528f, 0.735f, -0.801f)
                arcToRelative(0.13f, 0.13f, 0.0f, false, true, 0.128f, -0.129f)
                curveToRelative(0.071f, 0.0f, 0.128f, 0.058f, 0.128f, 0.129f)
                curveToRelative(0.0f, 0.272f, 0.538f, 0.801f, 0.735f, 0.801f)
                curveToRelative(0.071f, 0.0f, 0.128f, 0.057f, 0.128f, 0.128f)
                arcToRelative(0.128f, 0.128f, 0.0f, false, true, -0.128f, 0.128f)
                curveToRelative(-0.197f, 0.0f, -0.735f, 0.528f, -0.735f, 0.801f)
                arcToRelative(0.128f, 0.128f, 0.0f, false, true, -0.128f, 0.128f)
                arcToRelative(0.128f, 0.128f, 0.0f, false, true, -0.128f, -0.128f)
                curveToRelative(0.0f, -0.273f, -0.538f, -0.801f, -0.735f, -0.801f)
                arcToRelative(0.128f, 0.128f, 0.0f, false, true, 0.0f, -0.256f)
                close()
                moveTo(1.41f, 10.305f)
                curveToRelative(0.0f, -0.065f, 0.057f, -0.098f, 0.119f, -0.118f)
                curveToRelative(0.69f, -0.228f, 1.269f, -0.8f, 1.403f, -1.554f)
                curveToRelative(0.011f, -0.064f, 0.053f, -0.118f, 0.118f, -0.118f)
                curveToRelative(0.066f, 0.0f, 0.107f, 0.054f, 0.119f, 0.118f)
                curveToRelative(0.133f, 0.754f, 0.711f, 1.326f, 1.401f, 1.554f)
                curveToRelative(0.062f, 0.02f, 0.118f, 0.053f, 0.118f, 0.118f)
                reflectiveCurveToRelative(-0.056f, 0.098f, -0.118f, 0.119f)
                curveToRelative(-0.69f, 0.227f, -1.269f, 0.799f, -1.403f, 1.553f)
                curveToRelative(-0.011f, 0.064f, -0.053f, 0.119f, -0.119f, 0.119f)
                curveToRelative(-0.065f, 0.0f, -0.106f, -0.054f, -0.118f, -0.119f)
                curveToRelative(-0.134f, -0.754f, -0.713f, -1.326f, -1.403f, -1.553f)
                curveToRelative(-0.061f, -0.022f, -0.117f, -0.054f, -0.117f, -0.119f)
                close()
                moveTo(2.975f, 19.612f)
                curveToRelative(-0.113f, 0.0f, -0.42f, 0.302f, -0.42f, 0.459f)
                curveToRelative(0.0f, 0.04f, -0.034f, 0.073f, -0.074f, 0.073f)
                arcToRelative(0.074f, 0.074f, 0.0f, false, true, -0.074f, -0.073f)
                curveToRelative(0.0f, -0.157f, -0.307f, -0.459f, -0.42f, -0.459f)
                arcToRelative(0.074f, 0.074f, 0.0f, false, true, -0.074f, -0.073f)
                curveToRelative(0.0f, -0.039f, 0.034f, -0.073f, 0.074f, -0.073f)
                curveToRelative(0.113f, 0.0f, 0.42f, -0.302f, 0.42f, -0.457f)
                curveToRelative(0.0f, -0.042f, 0.033f, -0.073f, 0.074f, -0.073f)
                curveToRelative(0.04f, 0.0f, 0.074f, 0.031f, 0.074f, 0.073f)
                curveToRelative(0.0f, 0.155f, 0.307f, 0.457f, 0.42f, 0.457f)
                curveToRelative(0.04f, 0.0f, 0.073f, 0.034f, 0.073f, 0.073f)
                arcToRelative(0.073f, 0.073f, 0.0f, false, true, -0.073f, 0.073f)
                close()
                moveTo(3.543f, 16.565f)
                curveToRelative(-0.14f, 0.0f, -0.521f, 0.375f, -0.521f, 0.568f)
                arcToRelative(0.092f, 0.092f, 0.0f, true, true, -0.183f, 0.0f)
                curveToRelative(0.0f, -0.193f, -0.381f, -0.568f, -0.521f, -0.568f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, true, -0.091f, -0.09f)
                curveToRelative(0.0f, -0.051f, 0.041f, -0.092f, 0.091f, -0.092f)
                curveToRelative(0.14f, 0.0f, 0.521f, -0.375f, 0.521f, -0.568f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, true, 0.092f, -0.09f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, true, 0.091f, 0.09f)
                curveToRelative(0.0f, 0.193f, 0.381f, 0.568f, 0.521f, 0.568f)
                arcToRelative(0.091f, 0.091f, 0.0f, false, true, 0.0f, 0.182f)
                close()
                moveTo(6.877f, 20.947f)
                curveToRelative(-0.203f, 0.0f, -0.758f, 0.546f, -0.758f, 0.827f)
                curveToRelative(0.0f, 0.073f, -0.06f, 0.133f, -0.132f, 0.133f)
                arcToRelative(0.133f, 0.133f, 0.0f, false, true, -0.133f, -0.133f)
                curveToRelative(0.0f, -0.281f, -0.555f, -0.827f, -0.758f, -0.827f)
                arcToRelative(0.134f, 0.134f, 0.0f, false, true, -0.133f, -0.133f)
                curveToRelative(0.0f, -0.073f, 0.059f, -0.132f, 0.133f, -0.132f)
                curveToRelative(0.204f, 0.0f, 0.758f, -0.545f, 0.758f, -0.828f)
                curveToRelative(0.0f, -0.071f, 0.06f, -0.132f, 0.133f, -0.132f)
                curveToRelative(0.073f, 0.0f, 0.132f, 0.061f, 0.132f, 0.132f)
                curveToRelative(0.0f, 0.283f, 0.555f, 0.828f, 0.758f, 0.828f)
                curveToRelative(0.074f, 0.0f, 0.133f, 0.059f, 0.133f, 0.132f)
                arcToRelative(0.133f, 0.133f, 0.0f, false, true, -0.133f, 0.133f)
                close()
                moveTo(8.799f, 20.141f)
                curveToRelative(-1.086f, -0.851f, -1.869f, -1.498f, -2.653f, -2.287f)
                curveToRelative(-0.789f, -0.784f, -1.436f, -1.566f, -2.287f, -2.654f)
                curveToRelative(-0.626f, -0.8f, -0.566f, -1.897f, 0.144f, -2.607f)
                lineToRelative(0.001f, -0.001f)
                lineToRelative(0.002f, -0.001f)
                lineTo(9.364f, 7.26f)
                lineTo(7.149f, 5.066f)
                lineToRelative(-0.003f, -0.003f)
                lineToRelative(-0.002f, -0.003f)
                curveToRelative(-0.52f, -0.52f, -0.7f, -1.27f, -0.472f, -1.958f)
                curveToRelative(0.148f, -0.447f, 0.464f, -0.802f, 0.867f, -1.049f)
                arcToRelative(1.983f, 1.983f, 0.0f, false, true, 0.371f, -0.19f)
                arcToRelative(2.1f, 2.1f, 0.0f, false, true, 0.468f, -0.131f)
                curveToRelative(0.005f, 0.0f, 0.009f, -0.003f, 0.014f, -0.004f)
                curveTo(11.746f, 1.24f, 15.363f, 0.96f, 18.317f, 0.96f)
                horizontalLineToRelative(0.002f)
                curveToRelative(1.125f, 0.0f, 2.072f, 0.041f, 2.818f, 0.121f)
                curveToRelative(0.469f, 0.046f, 0.903f, 0.249f, 1.228f, 0.576f)
                curveToRelative(0.328f, 0.331f, 0.525f, 0.767f, 0.562f, 1.237f)
                curveToRelative(0.243f, 2.311f, 0.144f, 7.253f, -0.651f, 12.714f)
                curveToRelative(-0.001f, 0.01f, -0.006f, 0.016f, -0.007f, 0.025f)
                arcToRelative(2.258f, 2.258f, 0.0f, false, true, -0.18f, 0.586f)
                curveToRelative(-0.006f, 0.014f, -0.01f, 0.028f, -0.018f, 0.042f)
                curveToRelative(-0.333f, 0.699f, -1.001f, 1.163f, -1.771f, 1.163f)
                curveToRelative(-0.51f, 0.0f, -0.992f, -0.2f, -1.358f, -0.567f)
                lineToRelative(-0.003f, -0.002f)
                lineToRelative(-0.004f, -0.004f)
                lineToRelative(-2.192f, -2.215f)
                lineToRelative(-5.333f, 5.359f)
                lineToRelative(-0.001f, 0.002f)
                horizontalLineToRelative(-0.001f)
                arcToRelative(1.94f, 1.94f, 0.0f, false, true, -1.378f, 0.573f)
                curveToRelative(-0.44f, 0.0f, -0.877f, -0.151f, -1.231f, -0.429f)
                close()
                moveTo(11.375f, 22.231f)
                curveToRelative(-0.139f, 0.0f, -0.518f, 0.373f, -0.518f, 0.566f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, true, -0.091f, 0.09f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, true, -0.09f, -0.09f)
                curveToRelative(0.0f, -0.193f, -0.379f, -0.566f, -0.519f, -0.566f)
                arcToRelative(0.09f, 0.09f, 0.0f, true, true, 0.0f, -0.18f)
                curveToRelative(0.139f, 0.0f, 0.519f, -0.373f, 0.519f, -0.566f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, true, 0.09f, -0.09f)
                curveToRelative(0.05f, 0.0f, 0.091f, 0.041f, 0.091f, 0.09f)
                curveToRelative(0.0f, 0.193f, 0.379f, 0.566f, 0.518f, 0.566f)
                curveToRelative(0.05f, 0.0f, 0.091f, 0.039f, 0.091f, 0.09f)
                reflectiveCurveToRelative(-0.04f, 0.09f, -0.091f, 0.09f)
                close()
                moveTo(13.49f, 19.794f)
                curveToRelative(0.248f, 0.0f, 0.922f, -0.662f, 0.922f, -1.003f)
                curveToRelative(0.0f, -0.088f, 0.072f, -0.161f, 0.161f, -0.161f)
                curveToRelative(0.088f, 0.0f, 0.161f, 0.073f, 0.161f, 0.161f)
                curveToRelative(0.0f, 0.341f, 0.674f, 1.003f, 0.921f, 1.003f)
                curveToRelative(0.089f, 0.0f, 0.161f, 0.073f, 0.161f, 0.161f)
                arcToRelative(0.16f, 0.16f, 0.0f, false, true, -0.161f, 0.161f)
                curveToRelative(-0.247f, 0.0f, -0.921f, 0.662f, -0.921f, 1.005f)
                arcToRelative(0.162f, 0.162f, 0.0f, false, true, -0.161f, 0.162f)
                arcToRelative(0.162f, 0.162f, 0.0f, false, true, -0.161f, -0.162f)
                curveToRelative(0.0f, -0.343f, -0.674f, -1.005f, -0.922f, -1.005f)
                arcToRelative(0.161f, 0.161f, 0.0f, false, true, 0.0f, -0.322f)
                close()
            }
        }
        .build()
        return _imgur!!
    }

private var _imgur: ImageVector? = null
