package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Linewebtoon: ImageVector
    get() {
        if (_linewebtoon != null) {
            return _linewebtoon!!
        }
        _linewebtoon = Builder(name = "Linewebtoon", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.023f, 15.26f)
                curveToRelative(0.695f, 0.0f, 1.014f, -0.404f, 1.014f, -1.051f)
                curveToRelative(0.0f, -0.551f, -0.308f, -1.01f, -0.984f, -1.01f)
                curveToRelative(-0.58f, 0.0f, -0.912f, 0.404f, -0.912f, 1.016f)
                curveToRelative(0.0f, 0.543f, 0.32f, 1.045f, 0.882f, 1.045f)
                close()
                moveTo(10.135f, 15.447f)
                curveToRelative(0.764f, 0.0f, 1.113f, -0.443f, 1.113f, -1.154f)
                curveToRelative(0.0f, -0.604f, -0.338f, -1.109f, -1.082f, -1.109f)
                curveToRelative(-0.637f, 0.0f, -1.002f, 0.445f, -1.002f, 1.115f)
                curveToRelative(0.0f, 0.597f, 0.352f, 1.148f, 0.971f, 1.148f)
                close()
                moveTo(24.0f, 10.201f)
                lineToRelative(-3.15f, 0.029f)
                lineToRelative(0.83f, -9.686f)
                lineTo(1.958f, 3.605f)
                lineToRelative(1.686f, 6.248f)
                lineTo(0.0f, 9.853f)
                lineToRelative(3.734f, 11.488f)
                lineToRelative(8.713f, -1.283f)
                verticalLineToRelative(3.396f)
                lineToRelative(10.113f, -4.641f)
                lineTo(24.0f, 10.201f)
                close()
                moveTo(14.896f, 6.607f)
                curveToRelative(0.0f, -0.049f, 0.039f, -0.092f, 0.088f, -0.094f)
                lineToRelative(1.879f, -0.125f)
                lineToRelative(0.446f, -0.029f)
                curveToRelative(0.524f, -0.035f, 1.634f, 0.063f, 1.634f, 1.236f)
                curveToRelative(0.0f, 0.83f, -0.619f, 1.184f, -0.619f, 1.184f)
                reflectiveCurveToRelative(0.75f, 0.189f, 0.707f, 1.092f)
                curveToRelative(0.0f, 1.602f, -1.943f, 1.389f, -1.943f, 1.389f)
                lineToRelative(-0.225f, -0.006f)
                lineToRelative(-1.908f, -0.053f)
                arcToRelative(0.089f, 0.089f, 0.0f, false, true, -0.086f, -0.09f)
                lineToRelative(0.027f, -4.504f)
                close()
                moveTo(11.221f, 6.85f)
                curveToRelative(0.0f, -0.047f, 0.039f, -0.09f, 0.088f, -0.092f)
                lineToRelative(3.064f, -0.203f)
                arcToRelative(0.08f, 0.08f, 0.0f, false, true, 0.087f, 0.08f)
                verticalLineToRelative(0.943f)
                curveToRelative(0.0f, 0.049f, -0.039f, 0.09f, -0.087f, 0.092f)
                lineToRelative(-1.9f, 0.08f)
                arcToRelative(0.094f, 0.094f, 0.0f, false, false, -0.088f, 0.09f)
                lineToRelative(-0.005f, 0.394f)
                arcToRelative(0.083f, 0.083f, 0.0f, false, false, 0.086f, 0.084f)
                lineToRelative(1.646f, -0.066f)
                arcToRelative(0.082f, 0.082f, 0.0f, false, true, 0.086f, 0.084f)
                lineToRelative(-0.02f, 1.012f)
                arcToRelative(0.089f, 0.089f, 0.0f, false, true, -0.089f, 0.086f)
                horizontalLineToRelative(-1.63f)
                arcToRelative(0.089f, 0.089f, 0.0f, false, false, -0.088f, 0.088f)
                verticalLineToRelative(0.416f)
                curveToRelative(0.0f, 0.047f, 0.039f, 0.088f, 0.088f, 0.088f)
                lineToRelative(1.87f, 0.033f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, true, 0.087f, 0.09f)
                verticalLineToRelative(0.951f)
                arcToRelative(0.084f, 0.084f, 0.0f, false, true, -0.087f, 0.084f)
                lineToRelative(-3.063f, -0.123f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, true, -0.087f, -0.09f)
                lineToRelative(0.042f, -4.121f)
                close()
                moveTo(5.211f, 7.162f)
                lineToRelative(0.975f, -0.064f)
                arcToRelative(0.101f, 0.101f, 0.0f, false, true, 0.105f, 0.08f)
                lineToRelative(0.458f, 2.205f)
                curveToRelative(0.01f, 0.047f, 0.027f, 0.047f, 0.039f, 0.0f)
                lineToRelative(0.576f, -2.281f)
                arcToRelative(0.132f, 0.132f, 0.0f, false, true, 0.108f, -0.09f)
                lineToRelative(0.921f, -0.061f)
                arcToRelative(0.108f, 0.108f, 0.0f, false, true, 0.109f, 0.078f)
                lineToRelative(0.564f, 2.342f)
                curveToRelative(0.012f, 0.047f, 0.029f, 0.047f, 0.041f, 0.0f)
                lineToRelative(0.6f, -2.424f)
                arcToRelative(0.131f, 0.131f, 0.0f, false, true, 0.108f, -0.092f)
                lineToRelative(0.996f, -0.064f)
                curveToRelative(0.048f, -0.004f, 0.077f, 0.031f, 0.065f, 0.078f)
                lineToRelative(-1.09f, 4.104f)
                arcToRelative(0.113f, 0.113f, 0.0f, false, true, -0.109f, 0.082f)
                lineToRelative(-1.121f, -0.031f)
                arcToRelative(0.12f, 0.12f, 0.0f, false, true, -0.109f, -0.086f)
                lineToRelative(-0.535f, -1.965f)
                curveToRelative(-0.012f, -0.047f, -0.033f, -0.047f, -0.045f, 0.0f)
                lineToRelative(-0.522f, 1.934f)
                arcToRelative(0.12f, 0.12f, 0.0f, false, true, -0.11f, 0.082f)
                lineToRelative(-1.109f, -0.031f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, true, -0.108f, -0.088f)
                lineToRelative(-0.873f, -3.618f)
                curveToRelative(-0.011f, -0.047f, 0.019f, -0.088f, 0.066f, -0.09f)
                close()
                moveTo(4.923f, 16.785f)
                verticalLineToRelative(-3.561f)
                arcToRelative(0.089f, 0.089f, 0.0f, false, false, -0.087f, -0.088f)
                lineToRelative(-1.252f, -0.029f)
                arcToRelative(0.095f, 0.095f, 0.0f, false, true, -0.091f, -0.09f)
                lineToRelative(-0.046f, -1.125f)
                arcToRelative(0.082f, 0.082f, 0.0f, false, true, 0.083f, -0.086f)
                lineToRelative(4.047f, 0.096f)
                curveToRelative(0.048f, 0.0f, 0.087f, 0.041f, 0.085f, 0.088f)
                lineToRelative(-0.022f, 1.088f)
                arcToRelative(0.093f, 0.093f, 0.0f, false, true, -0.089f, 0.088f)
                lineToRelative(-1.139f, 0.004f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, false, -0.087f, 0.088f)
                verticalLineToRelative(3.447f)
                curveToRelative(0.0f, 0.049f, -0.039f, 0.09f, -0.087f, 0.092f)
                lineToRelative(-1.227f, 0.07f)
                arcToRelative(0.08f, 0.08f, 0.0f, false, true, -0.088f, -0.082f)
                close()
                moveTo(7.757f, 14.406f)
                curveToRelative(0.0f, -1.918f, 1.321f, -2.482f, 2.416f, -2.482f)
                reflectiveCurveToRelative(2.339f, 0.73f, 2.339f, 2.316f)
                curveToRelative(0.0f, 1.9f, -1.383f, 2.482f, -2.416f, 2.482f)
                curveToRelative(-1.033f, 0.001f, -2.339f, -0.724f, -2.339f, -2.316f)
                close()
                moveTo(12.896f, 14.291f)
                curveToRelative(0.0f, -1.746f, 1.166f, -2.238f, 2.162f, -2.238f)
                reflectiveCurveToRelative(2.129f, 0.664f, 2.129f, 2.107f)
                curveToRelative(0.0f, 1.729f, -1.259f, 2.26f, -2.198f, 2.26f)
                reflectiveCurveToRelative(-2.093f, -0.68f, -2.093f, -2.129f)
                close()
                moveTo(20.155f, 16.002f)
                arcToRelative(0.175f, 0.175f, 0.0f, false, true, -0.139f, -0.064f)
                lineToRelative(-1.187f, -1.631f)
                curveToRelative(-0.029f, -0.039f, -0.053f, -0.031f, -0.053f, 0.018f)
                verticalLineToRelative(1.67f)
                curveToRelative(0.0f, 0.047f, -0.039f, 0.09f, -0.086f, 0.092f)
                lineToRelative(-1.052f, 0.061f)
                arcToRelative(0.082f, 0.082f, 0.0f, false, true, -0.087f, -0.082f)
                lineToRelative(0.039f, -3.842f)
                curveToRelative(0.0f, -0.047f, 0.039f, -0.086f, 0.088f, -0.084f)
                lineToRelative(0.881f, 0.02f)
                arcToRelative(0.2f, 0.2f, 0.0f, false, true, 0.137f, 0.074f)
                lineToRelative(1.293f, 1.902f)
                curveToRelative(0.027f, 0.041f, 0.051f, 0.033f, 0.051f, -0.014f)
                lineToRelative(0.032f, -1.846f)
                arcToRelative(0.087f, 0.087f, 0.0f, false, true, 0.089f, -0.086f)
                lineToRelative(0.963f, 0.029f)
                curveToRelative(0.047f, 0.0f, 0.085f, 0.041f, 0.083f, 0.09f)
                lineToRelative(-0.138f, 3.555f)
                arcToRelative(0.097f, 0.097f, 0.0f, false, true, -0.091f, 0.092f)
                lineToRelative(-0.823f, 0.046f)
                close()
                moveTo(16.258f, 8.23f)
                lineToRelative(0.724f, -0.014f)
                reflectiveCurveToRelative(0.47f, 0.018f, 0.47f, -0.434f)
                curveToRelative(0.0f, -0.357f, -0.411f, -0.33f, -0.411f, -0.33f)
                lineToRelative(-0.782f, 0.008f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, false, -0.088f, 0.088f)
                verticalLineToRelative(0.598f)
                arcToRelative(0.083f, 0.083f, 0.0f, false, false, 0.087f, 0.084f)
                close()
                moveTo(16.229f, 10.191f)
                horizontalLineToRelative(0.99f)
                curveToRelative(0.024f, 0.0f, 0.35f, -0.051f, 0.35f, -0.404f)
                curveToRelative(0.0f, -0.293f, -0.229f, -0.402f, -0.441f, -0.398f)
                lineToRelative(-0.898f, 0.029f)
                arcToRelative(0.089f, 0.089f, 0.0f, false, false, -0.087f, 0.09f)
                verticalLineToRelative(0.596f)
                arcToRelative(0.086f, 0.086f, 0.0f, false, false, 0.086f, 0.087f)
                close()
            }
        }
        .build()
        return _linewebtoon!!
    }

private var _linewebtoon: ImageVector? = null
