package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Opensuse: ImageVector
    get() {
        if (_opensuse != null) {
            return _opensuse!!
        }
        _opensuse = Builder(name = "Opensuse", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.724f, 0.0f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, -9.448f, 4.623f)
                curveToRelative(1.464f, 0.391f, 2.5f, 0.727f, 2.81f, 0.832f)
                curveToRelative(0.005f, -0.19f, 0.037f, -1.893f, 0.037f, -1.893f)
                reflectiveCurveToRelative(0.004f, -0.04f, 0.025f, -0.06f)
                curveToRelative(0.026f, -0.026f, 0.065f, -0.018f, 0.065f, -0.018f)
                curveToRelative(0.385f, 0.056f, 8.602f, 1.274f, 12.066f, 3.292f)
                curveToRelative(0.427f, 0.25f, 0.638f, 0.517f, 0.902f, 0.786f)
                curveToRelative(0.958f, 0.99f, 2.223f, 5.108f, 2.359f, 5.957f)
                curveToRelative(0.005f, 0.033f, -0.036f, 0.07f, -0.054f, 0.083f)
                arcToRelative(5.177f, 5.177f, 0.0f, false, true, -0.313f, 0.228f)
                curveToRelative(-0.82f, 0.55f, -2.708f, 1.872f, -5.13f, 1.656f)
                curveToRelative(-2.176f, -0.193f, -5.018f, -1.44f, -8.445f, -3.699f)
                curveToRelative(0.336f, 0.79f, 0.668f, 1.58f, 1.0f, 2.371f)
                curveToRelative(0.497f, 0.258f, 5.287f, 2.7f, 7.651f, 2.651f)
                curveToRelative(1.904f, -0.04f, 3.941f, -0.968f, 4.756f, -1.458f)
                curveToRelative(0.0f, 0.0f, 0.179f, -0.108f, 0.257f, -0.048f)
                curveToRelative(0.085f, 0.066f, 0.061f, 0.167f, 0.041f, 0.27f)
                curveToRelative(-0.05f, 0.234f, -0.164f, 0.66f, -0.242f, 0.863f)
                lineToRelative(-0.065f, 0.165f)
                curveToRelative(-0.093f, 0.25f, -0.183f, 0.482f, -0.356f, 0.625f)
                curveToRelative(-0.48f, 0.436f, -1.246f, 0.784f, -2.446f, 1.305f)
                curveToRelative(-1.855f, 0.812f, -4.865f, 1.328f, -7.66f, 1.31f)
                curveToRelative(-1.001f, -0.022f, -1.968f, -0.133f, -2.817f, -0.232f)
                curveToRelative(-1.743f, -0.197f, -3.161f, -0.357f, -4.026f, 0.269f)
                arcTo(12.0f, 12.0f, 0.0f, false, false, 10.724f, 24.0f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, 12.0f, -12.0f)
                arcToRelative(12.0f, 12.0f, 0.0f, false, false, -12.0f, -12.0f)
                close()
                moveTo(13.4f, 6.963f)
                arcToRelative(3.503f, 3.503f, 0.0f, false, false, -2.521f, 0.942f)
                arcToRelative(3.498f, 3.498f, 0.0f, false, false, -1.114f, 2.449f)
                arcToRelative(3.528f, 3.528f, 0.0f, false, false, 3.39f, 3.64f)
                arcToRelative(3.48f, 3.48f, 0.0f, false, false, 2.524f, -0.946f)
                arcToRelative(3.504f, 3.504f, 0.0f, false, false, 1.114f, -2.446f)
                arcToRelative(3.527f, 3.527f, 0.0f, false, false, -3.393f, -3.64f)
                close()
                moveTo(13.37f, 7.998f)
                arcToRelative(2.458f, 2.458f, 0.0f, false, true, 2.368f, 2.539f)
                arcToRelative(2.43f, 2.43f, 0.0f, false, true, -0.774f, 1.706f)
                arcToRelative(2.456f, 2.456f, 0.0f, false, true, -1.762f, 0.659f)
                arcToRelative(2.461f, 2.461f, 0.0f, false, true, -2.364f, -2.542f)
                curveToRelative(0.02f, -0.655f, 0.3f, -1.26f, 0.777f, -1.707f)
                arcToRelative(2.419f, 2.419f, 0.0f, false, true, 1.756f, -0.655f)
                close()
                moveTo(13.772f, 9.228f)
                curveToRelative(-0.602f, 0.0f, -1.087f, 0.325f, -1.087f, 0.727f)
                curveToRelative(0.0f, 0.4f, 0.485f, 0.725f, 1.087f, 0.725f)
                curveToRelative(0.6f, 0.0f, 1.088f, -0.326f, 1.088f, -0.725f)
                curveToRelative(0.0f, -0.402f, -0.487f, -0.726f, -1.088f, -0.726f)
                close()
            }
        }
        .build()
        return _opensuse!!
    }

private var _opensuse: ImageVector? = null
