package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Rhinoceros: ImageVector
    get() {
        if (_rhinoceros != null) {
            return _rhinoceros!!
        }
        _rhinoceros = Builder(name = "Rhinoceros", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.823f, 3.103f)
                curveToRelative(-0.1f, 0.0f, -0.213f, 0.006f, -0.34f, 0.017f)
                curveToRelative(-0.511f, 0.044f, -1.25f, 0.18f, -1.802f, 0.329f)
                arcToRelative(6.269f, 6.269f, 0.0f, false, false, -1.15f, 0.42f)
                curveToRelative(-0.231f, 0.112f, -0.33f, 0.178f, -0.354f, 0.273f)
                curveToRelative(-0.023f, 0.094f, 0.028f, 0.217f, 0.16f, 0.436f)
                reflectiveCurveToRelative(0.346f, 0.533f, 0.535f, 0.961f)
                curveToRelative(0.19f, 0.428f, 0.356f, 0.97f, 0.361f, 1.651f)
                curveToRelative(0.006f, 0.68f, -0.149f, 1.5f, -0.245f, 1.962f)
                curveToRelative(-0.096f, 0.462f, -0.133f, 0.568f, -0.227f, 0.618f)
                curveToRelative(-0.094f, 0.05f, -0.245f, 0.044f, -0.525f, -0.021f)
                curveToRelative(-0.281f, -0.065f, -0.69f, -0.187f, -1.1f, -0.259f)
                curveToRelative(-0.41f, -0.072f, -0.819f, -0.093f, -1.122f, -0.038f)
                curveToRelative(-0.304f, 0.056f, -0.504f, 0.189f, -0.645f, 0.369f)
                curveToRelative(-0.14f, 0.18f, -0.224f, 0.406f, -0.282f, 0.75f)
                arcTo(6.957f, 6.957f, 0.0f, false, false, 0.0f, 11.687f)
                curveToRelative(0.005f, 0.317f, 0.047f, 0.49f, 0.136f, 0.584f)
                curveToRelative(0.088f, 0.094f, 0.223f, 0.109f, 0.492f, 0.054f)
                reflectiveCurveToRelative(0.672f, -0.18f, 1.224f, -0.215f)
                arcToRelative(6.302f, 6.302f, 0.0f, false, true, 1.94f, 0.202f)
                curveToRelative(0.685f, 0.182f, 1.353f, 0.49f, 1.95f, 0.93f)
                curveToRelative(0.598f, 0.438f, 1.127f, 1.007f, 1.566f, 1.593f)
                curveToRelative(0.438f, 0.586f, 0.787f, 1.189f, 1.004f, 1.541f)
                curveToRelative(0.217f, 0.353f, 0.304f, 0.455f, 0.372f, 0.42f)
                curveToRelative(0.068f, -0.035f, 0.117f, -0.207f, 0.145f, -0.417f)
                arcToRelative(3.141f, 3.141f, 0.0f, false, false, -0.02f, -0.848f)
                arcToRelative(7.467f, 7.467f, 0.0f, false, false, -0.32f, -1.365f)
                arcToRelative(5.617f, 5.617f, 0.0f, false, false, -0.495f, -1.018f)
                curveToRelative(-0.146f, -0.247f, -0.241f, -0.408f, -0.245f, -0.51f)
                curveToRelative(-0.004f, -0.103f, 0.085f, -0.148f, 0.51f, -0.315f)
                curveToRelative(0.424f, -0.167f, 1.185f, -0.457f, 1.958f, -0.808f)
                curveToRelative(0.772f, -0.351f, 1.556f, -0.764f, 2.042f, -1.106f)
                curveToRelative(0.486f, -0.341f, 0.674f, -0.61f, 0.724f, -0.937f)
                curveToRelative(0.05f, -0.326f, -0.039f, -0.71f, -0.16f, -1.076f)
                arcToRelative(6.93f, 6.93f, 0.0f, false, false, -0.529f, -1.193f)
                arcTo(13.696f, 13.696f, 0.0f, false, false, 11.28f, 5.6f)
                arcToRelative(9.187f, 9.187f, 0.0f, false, false, -1.1f, -1.236f)
                curveToRelative(-0.282f, -0.255f, -0.421f, -0.31f, -0.51f, -0.29f)
                curveToRelative(-0.09f, 0.02f, -0.131f, 0.115f, -0.168f, 0.47f)
                curveToRelative(-0.037f, 0.356f, -0.07f, 0.973f, -0.144f, 1.559f)
                arcToRelative(7.468f, 7.468f, 0.0f, false, true, -0.432f, 1.773f)
                arcToRelative(12.543f, 12.543f, 0.0f, false, true, -0.99f, 1.982f)
                curveToRelative(-0.388f, 0.64f, -0.803f, 1.212f, -1.054f, 1.462f)
                curveToRelative(-0.25f, 0.25f, -0.336f, 0.18f, -0.477f, 0.064f)
                lineToRelative(-0.486f, -0.4f)
                curveToRelative(-0.15f, -0.125f, -0.253f, -0.213f, -0.273f, -0.293f)
                curveToRelative(-0.02f, -0.08f, 0.045f, -0.15f, 0.27f, -0.448f)
                curveToRelative(0.227f, -0.299f, 0.615f, -0.825f, 0.96f, -1.478f)
                arcToRelative(7.75f, 7.75f, 0.0f, false, false, 0.796f, -2.282f)
                arcToRelative(10.1f, 10.1f, 0.0f, false, false, 0.095f, -2.338f)
                curveToRelative(-0.044f, -0.564f, -0.124f, -0.77f, -0.306f, -0.896f)
                curveToRelative(-0.137f, -0.095f, -0.332f, -0.146f, -0.638f, -0.146f)
                close()
                moveTo(13.303f, 10.137f)
                horizontalLineToRelative(-0.012f)
                curveToRelative(-0.084f, 0.01f, -0.192f, 0.112f, -0.415f, 0.294f)
                arcToRelative(6.86f, 6.86f, 0.0f, false, true, -1.017f, 0.7f)
                curveToRelative(-0.458f, 0.257f, -1.038f, 0.507f, -1.51f, 0.734f)
                curveToRelative(-0.47f, 0.226f, -0.831f, 0.429f, -1.004f, 0.712f)
                curveToRelative(-0.172f, 0.283f, -0.155f, 0.648f, 0.04f, 0.85f)
                curveToRelative(0.194f, 0.204f, 0.566f, 0.246f, 0.883f, 0.259f)
                curveToRelative(0.318f, 0.013f, 0.58f, -0.002f, 0.826f, 0.087f)
                curveToRelative(0.246f, 0.09f, 0.475f, 0.285f, 0.764f, 0.516f)
                curveToRelative(0.288f, 0.23f, 0.637f, 0.498f, 0.925f, 0.561f)
                curveToRelative(0.289f, 0.063f, 0.518f, -0.079f, 0.766f, -0.202f)
                curveToRelative(0.249f, -0.124f, 0.516f, -0.23f, 0.888f, -0.225f)
                curveToRelative(0.371f, 0.005f, 0.847f, 0.12f, 1.318f, 0.37f)
                curveToRelative(0.47f, 0.248f, 0.938f, 0.63f, 1.184f, 0.866f)
                curveToRelative(0.247f, 0.236f, 0.272f, 0.327f, 0.245f, 0.362f)
                curveToRelative(-0.028f, 0.036f, -0.108f, 0.018f, -0.304f, -0.14f)
                curveToRelative(-0.196f, -0.157f, -0.508f, -0.454f, -0.917f, -0.688f)
                curveToRelative(-0.41f, -0.234f, -0.916f, -0.404f, -1.4f, -0.391f)
                curveToRelative(-0.482f, 0.013f, -0.94f, 0.21f, -1.23f, 0.55f)
                curveToRelative(-0.29f, 0.34f, -0.412f, 0.822f, -0.546f, 1.164f)
                curveToRelative(-0.133f, 0.341f, -0.28f, 0.543f, -0.47f, 0.617f)
                curveToRelative(-0.19f, 0.074f, -0.424f, 0.02f, -0.703f, -0.099f)
                curveToRelative(-0.28f, -0.12f, -0.604f, -0.307f, -0.874f, -0.442f)
                curveToRelative(-0.269f, -0.136f, -0.484f, -0.22f, -0.62f, -0.353f)
                curveToRelative(-0.136f, -0.132f, -0.195f, -0.31f, -0.203f, -0.571f)
                curveToRelative(-0.01f, -0.26f, 0.032f, -0.6f, 0.05f, -0.853f)
                curveToRelative(0.02f, -0.25f, 0.018f, -0.413f, -0.038f, -0.56f)
                arcToRelative(1.079f, 1.079f, 0.0f, false, false, -0.232f, -0.35f)
                curveToRelative(-0.07f, -0.07f, -0.099f, -0.075f, -0.113f, -0.058f)
                curveToRelative(-0.014f, 0.017f, -0.012f, 0.058f, 0.01f, 0.158f)
                curveToRelative(0.023f, 0.1f, 0.067f, 0.26f, 0.05f, 0.581f)
                curveToRelative(-0.019f, 0.321f, -0.098f, 0.803f, -0.16f, 1.17f)
                curveToRelative(-0.062f, 0.366f, -0.107f, 0.618f, -0.02f, 0.808f)
                curveToRelative(0.087f, 0.191f, 0.306f, 0.322f, 0.707f, 0.54f)
                curveToRelative(0.4f, 0.22f, 0.982f, 0.527f, 1.518f, 0.855f)
                curveToRelative(0.537f, 0.327f, 1.027f, 0.673f, 1.562f, 1.089f)
                curveToRelative(0.534f, 0.415f, 1.112f, 0.9f, 1.5f, 1.238f)
                curveToRelative(0.39f, 0.339f, 0.588f, 0.532f, 0.742f, 0.59f)
                curveToRelative(0.154f, 0.059f, 0.264f, -0.018f, 0.307f, -0.138f)
                curveToRelative(0.044f, -0.12f, 0.023f, -0.285f, -0.014f, -0.429f)
                arcToRelative(1.174f, 1.174f, 0.0f, false, false, -0.24f, -0.46f)
                arcToRelative(4.92f, 4.92f, 0.0f, false, false, -0.68f, -0.704f)
                curveToRelative(-0.287f, -0.243f, -0.614f, -0.463f, -0.803f, -0.614f)
                curveToRelative(-0.19f, -0.151f, -0.242f, -0.233f, -0.212f, -0.259f)
                curveToRelative(0.03f, -0.026f, 0.14f, 0.004f, 0.302f, 0.108f)
                curveToRelative(0.162f, 0.103f, 0.375f, 0.28f, 0.612f, 0.459f)
                curveToRelative(0.237f, 0.178f, 0.499f, 0.356f, 0.733f, 0.584f)
                curveToRelative(0.235f, 0.228f, 0.443f, 0.506f, 0.583f, 0.706f)
                curveToRelative(0.14f, 0.201f, 0.214f, 0.324f, 0.294f, 0.372f)
                curveToRelative(0.08f, 0.049f, 0.165f, 0.022f, 0.277f, -0.05f)
                arcToRelative(3.03f, 3.03f, 0.0f, false, false, 0.426f, -0.355f)
                curveToRelative(0.178f, -0.169f, 0.398f, -0.393f, 0.551f, -0.633f)
                curveToRelative(0.154f, -0.24f, 0.242f, -0.496f, 0.299f, -0.772f)
                curveToRelative(0.056f, -0.276f, 0.08f, -0.572f, 0.247f, -0.862f)
                curveToRelative(0.167f, -0.29f, 0.476f, -0.574f, 0.994f, -1.025f)
                curveToRelative(0.518f, -0.451f, 1.244f, -1.07f, 1.891f, -1.664f)
                curveToRelative(0.648f, -0.595f, 1.216f, -1.165f, 1.696f, -1.802f)
                curveToRelative(0.479f, -0.638f, 0.87f, -1.342f, 1.067f, -1.743f)
                curveToRelative(0.199f, -0.4f, 0.205f, -0.498f, 0.14f, -0.526f)
                curveToRelative(-0.063f, -0.027f, -0.198f, 0.015f, -0.61f, 0.313f)
                curveToRelative(-0.414f, 0.297f, -1.106f, 0.849f, -1.886f, 1.43f)
                curveToRelative(-0.781f, 0.58f, -1.65f, 1.19f, -2.336f, 1.569f)
                curveToRelative(-0.686f, 0.378f, -1.19f, 0.524f, -1.55f, 0.562f)
                curveToRelative(-0.361f, 0.037f, -0.58f, -0.034f, -0.724f, -0.11f)
                curveToRelative(-0.143f, -0.077f, -0.21f, -0.158f, -0.224f, -0.241f)
                curveToRelative(-0.013f, -0.084f, 0.03f, -0.17f, 0.135f, -0.275f)
                curveToRelative(0.106f, -0.106f, 0.277f, -0.232f, 0.447f, -0.392f)
                curveToRelative(0.17f, -0.16f, 0.338f, -0.354f, 0.468f, -0.556f)
                curveToRelative(0.13f, -0.202f, 0.22f, -0.411f, 0.261f, -0.592f)
                curveToRelative(0.042f, -0.181f, 0.034f, -0.333f, -0.04f, -0.376f)
                curveToRelative(-0.074f, -0.043f, -0.215f, 0.023f, -0.376f, 0.11f)
                curveToRelative(-0.162f, 0.086f, -0.343f, 0.192f, -0.593f, 0.3f)
                arcToRelative(2.683f, 2.683f, 0.0f, false, true, -0.92f, 0.235f)
                arcToRelative(1.626f, 1.626f, 0.0f, false, true, -1.088f, -0.313f)
                curveToRelative(-0.343f, -0.26f, -0.635f, -0.71f, -0.866f, -1.147f)
                curveToRelative(-0.23f, -0.438f, -0.398f, -0.865f, -0.512f, -1.12f)
                curveToRelative(-0.108f, -0.242f, -0.168f, -0.33f, -0.246f, -0.33f)
                close()
                moveTo(11.088f, 14.212f)
                arcToRelative(0.422f, 0.422f, 0.0f, false, false, -0.294f, 0.115f)
                curveToRelative(-0.094f, 0.086f, -0.145f, 0.2f, -0.034f, 0.338f)
                curveToRelative(0.112f, 0.137f, 0.385f, 0.297f, 0.636f, 0.469f)
                curveToRelative(0.252f, 0.172f, 0.481f, 0.357f, 0.666f, 0.42f)
                curveToRelative(0.184f, 0.064f, 0.323f, 0.006f, 0.402f, -0.096f)
                curveToRelative(0.08f, -0.102f, 0.1f, -0.247f, -0.003f, -0.404f)
                curveToRelative(-0.103f, -0.157f, -0.327f, -0.325f, -0.564f, -0.481f)
                curveToRelative(-0.238f, -0.157f, -0.488f, -0.302f, -0.681f, -0.346f)
                arcToRelative(0.574f, 0.574f, 0.0f, false, false, -0.128f, -0.015f)
                close()
                moveTo(11.34f, 14.42f)
                curveToRelative(0.025f, 0.0f, 0.053f, 0.003f, 0.083f, 0.01f)
                curveToRelative(0.118f, 0.026f, 0.272f, 0.115f, 0.418f, 0.211f)
                curveToRelative(0.145f, 0.096f, 0.283f, 0.2f, 0.333f, 0.289f)
                curveToRelative(0.05f, 0.089f, 0.014f, 0.163f, -0.048f, 0.216f)
                arcToRelative(0.255f, 0.255f, 0.0f, false, true, -0.247f, 0.053f)
                curveToRelative(-0.1f, -0.031f, -0.216f, -0.126f, -0.36f, -0.219f)
                curveToRelative(-0.145f, -0.093f, -0.319f, -0.184f, -0.387f, -0.268f)
                curveToRelative(-0.068f, -0.084f, -0.031f, -0.162f, 0.029f, -0.218f)
                arcToRelative(0.26f, 0.26f, 0.0f, false, true, 0.18f, -0.074f)
                close()
                moveTo(16.118f, 18.148f)
                curveToRelative(0.211f, -0.008f, 0.42f, 0.06f, 0.602f, 0.24f)
                curveToRelative(0.183f, 0.178f, 0.34f, 0.467f, 0.383f, 0.732f)
                curveToRelative(0.042f, 0.265f, -0.03f, 0.505f, -0.125f, 0.692f)
                arcToRelative(1.58f, 1.58f, 0.0f, false, true, -0.289f, 0.397f)
                curveToRelative(-0.074f, 0.074f, -0.109f, 0.095f, -0.14f, 0.095f)
                horizontalLineToRelative(-0.003f)
                curveToRelative(-0.033f, -0.001f, -0.062f, -0.023f, -0.208f, -0.171f)
                arcToRelative(7.39f, 7.39f, 0.0f, false, true, -0.573f, -0.642f)
                curveToRelative(-0.165f, -0.22f, -0.232f, -0.383f, -0.263f, -0.568f)
                curveToRelative(-0.032f, -0.185f, -0.027f, -0.39f, 0.082f, -0.536f)
                curveToRelative(0.109f, -0.146f, 0.323f, -0.23f, 0.534f, -0.239f)
                close()
                moveTo(16.211f, 19.259f)
                arcToRelative(0.258f, 0.258f, 0.0f, false, false, -0.153f, 0.046f)
                curveToRelative(-0.058f, 0.041f, -0.105f, 0.113f, -0.093f, 0.185f)
                curveToRelative(0.012f, 0.073f, 0.085f, 0.146f, 0.174f, 0.255f)
                curveToRelative(0.089f, 0.11f, 0.195f, 0.255f, 0.264f, 0.335f)
                curveToRelative(0.068f, 0.08f, 0.1f, 0.093f, 0.127f, 0.091f)
                curveToRelative(0.029f, -0.002f, 0.054f, -0.018f, 0.086f, -0.048f)
                arcToRelative(0.349f, 0.349f, 0.0f, false, false, 0.094f, -0.157f)
                arcToRelative(0.518f, 0.518f, 0.0f, false, false, 0.002f, -0.316f)
                arcToRelative(0.668f, 0.668f, 0.0f, false, false, -0.218f, -0.282f)
                arcToRelative(0.476f, 0.476f, 0.0f, false, false, -0.283f, -0.109f)
                close()
            }
        }
        .build()
        return _rhinoceros!!
    }

private var _rhinoceros: ImageVector? = null
