package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Sinaweibo: ImageVector
    get() {
        if (_sinaweibo != null) {
            return _sinaweibo!!
        }
        _sinaweibo = Builder(name = "Sinaweibo", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.098f, 20.323f)
                curveToRelative(-3.977f, 0.391f, -7.414f, -1.406f, -7.672f, -4.02f)
                curveToRelative(-0.259f, -2.609f, 2.759f, -5.047f, 6.74f, -5.441f)
                curveToRelative(3.979f, -0.394f, 7.413f, 1.404f, 7.671f, 4.018f)
                curveToRelative(0.259f, 2.6f, -2.759f, 5.049f, -6.737f, 5.439f)
                lineToRelative(-0.002f, 0.004f)
                close()
                moveTo(9.05f, 17.219f)
                curveToRelative(-0.384f, 0.616f, -1.208f, 0.884f, -1.829f, 0.602f)
                curveToRelative(-0.612f, -0.279f, -0.793f, -0.991f, -0.406f, -1.593f)
                curveToRelative(0.379f, -0.595f, 1.176f, -0.861f, 1.793f, -0.601f)
                curveToRelative(0.622f, 0.263f, 0.82f, 0.972f, 0.442f, 1.592f)
                close()
                moveTo(10.32f, 15.592f)
                curveToRelative(-0.141f, 0.237f, -0.449f, 0.353f, -0.689f, 0.253f)
                curveToRelative(-0.236f, -0.09f, -0.313f, -0.361f, -0.177f, -0.586f)
                curveToRelative(0.138f, -0.227f, 0.436f, -0.346f, 0.672f, -0.24f)
                curveToRelative(0.239f, 0.09f, 0.315f, 0.36f, 0.18f, 0.601f)
                lineToRelative(0.014f, -0.028f)
                close()
                moveTo(10.496f, 12.873f)
                curveToRelative(-1.893f, -0.493f, -4.033f, 0.45f, -4.857f, 2.118f)
                curveToRelative(-0.836f, 1.704f, -0.026f, 3.591f, 1.886f, 4.21f)
                curveToRelative(1.983f, 0.64f, 4.318f, -0.341f, 5.132f, -2.179f)
                curveToRelative(0.8f, -1.793f, -0.201f, -3.642f, -2.161f, -4.149f)
                close()
                moveTo(18.059f, 11.649f)
                curveToRelative(-0.346f, -0.105f, -0.57f, -0.18f, -0.405f, -0.615f)
                curveToRelative(0.375f, -0.977f, 0.42f, -1.804f, 0.0f, -2.404f)
                curveToRelative(-0.781f, -1.112f, -2.915f, -1.053f, -5.364f, -0.03f)
                curveToRelative(0.0f, 0.0f, -0.766f, 0.331f, -0.571f, -0.271f)
                curveToRelative(0.376f, -1.217f, 0.315f, -2.224f, -0.27f, -2.809f)
                curveToRelative(-1.338f, -1.337f, -4.869f, 0.045f, -7.888f, 3.08f)
                curveTo(1.309f, 10.87f, 0.0f, 13.273f, 0.0f, 15.348f)
                curveToRelative(0.0f, 3.981f, 5.099f, 6.395f, 10.086f, 6.395f)
                curveToRelative(6.536f, 0.0f, 10.888f, -3.801f, 10.888f, -6.82f)
                curveToRelative(0.0f, -1.822f, -1.547f, -2.854f, -2.915f, -3.284f)
                verticalLineToRelative(0.01f)
                close()
                moveTo(19.967f, 6.557f)
                curveToRelative(-0.766f, -0.856f, -1.908f, -1.187f, -2.96f, -0.962f)
                curveToRelative(-0.436f, 0.09f, -0.706f, 0.511f, -0.616f, 0.932f)
                curveToRelative(0.09f, 0.42f, 0.511f, 0.691f, 0.932f, 0.602f)
                curveToRelative(0.511f, -0.105f, 1.067f, 0.044f, 1.442f, 0.465f)
                curveToRelative(0.376f, 0.421f, 0.466f, 0.977f, 0.316f, 1.473f)
                curveToRelative(-0.136f, 0.406f, 0.089f, 0.856f, 0.51f, 0.992f)
                curveToRelative(0.405f, 0.119f, 0.857f, -0.105f, 0.992f, -0.512f)
                curveToRelative(0.33f, -1.021f, 0.12f, -2.178f, -0.646f, -3.035f)
                lineToRelative(0.03f, 0.045f)
                close()
                moveTo(22.385f, 4.362f)
                curveToRelative(-1.576f, -1.757f, -3.905f, -2.419f, -6.054f, -1.968f)
                curveToRelative(-0.496f, 0.104f, -0.812f, 0.587f, -0.706f, 1.081f)
                curveToRelative(0.104f, 0.496f, 0.586f, 0.813f, 1.082f, 0.707f)
                curveToRelative(1.532f, -0.331f, 3.185f, 0.15f, 4.296f, 1.383f)
                curveToRelative(1.112f, 1.246f, 1.429f, 2.943f, 0.947f, 4.416f)
                curveToRelative(-0.165f, 0.48f, 0.106f, 1.007f, 0.586f, 1.157f)
                curveToRelative(0.479f, 0.165f, 0.991f, -0.104f, 1.157f, -0.586f)
                curveToRelative(0.675f, -2.088f, 0.241f, -4.478f, -1.338f, -6.235f)
                lineToRelative(0.03f, 0.045f)
                close()
            }
        }
        .build()
        return _sinaweibo!!
    }

private var _sinaweibo: ImageVector? = null
