package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Spacemacs: ImageVector
    get() {
        if (_spacemacs != null) {
            return _spacemacs!!
        }
        _spacemacs = Builder(name = "Spacemacs", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.997f, 0.011f)
                curveToRelative(-1.79f, 0.015f, -3.452f, 0.397f, -4.968f, 1.093f)
                lineToRelative(0.005f, -0.002f)
                curveToRelative(3.638f, 2.026f, 6.955f, 5.634f, 8.932f, 8.241f)
                curveToRelative(0.398f, 0.534f, 0.753f, 1.006f, 1.078f, 1.434f)
                lineToRelative(0.004f, -0.019f)
                curveToRelative(0.412f, -1.738f, -0.313f, -5.239f, -1.518f, -7.331f)
                curveToRelative(-0.117f, -0.203f, -0.201f, -0.379f, -0.187f, -0.392f)
                lineToRelative(0.006f, 0.002f)
                lineToRelative(0.002f, -0.007f)
                curveToRelative(0.098f, 0.024f, 1.031f, 0.995f, 1.373f, 1.433f)
                curveToRelative(0.599f, 0.767f, 0.832f, 1.213f, 1.162f, 2.23f)
                curveToRelative(0.858f, 2.645f, 1.424f, 4.801f, 1.901f, 7.249f)
                curveToRelative(0.239f, 1.228f, 0.675f, 3.458f, 0.731f, 3.884f)
                curveToRelative(0.007f, 0.057f, -0.009f, 0.128f, -0.01f, 0.143f)
                arcToRelative(5.164f, 5.164f, 0.0f, false, false, -0.29f, -0.264f)
                curveToRelative(-0.645f, -0.568f, -1.924f, -1.417f, -3.183f, -2.114f)
                curveToRelative(-1.57f, -0.87f, -3.118f, -1.614f, -6.575f, -3.162f)
                curveToRelative(-3.156f, -1.413f, -4.61f, -2.086f, -5.751f, -2.661f)
                lineToRelative(-1.024f, -0.51f)
                curveToRelative(0.12f, 0.301f, 0.249f, 0.624f, 0.399f, 1.005f)
                curveToRelative(0.0f, 0.0f, 1.933f, 1.08f, 2.174f, 1.408f)
                curveToRelative(0.0f, 0.0f, 2.322f, 4.367f, 3.353f, 6.955f)
                curveToRelative(0.767f, 1.949f, 1.634f, 4.264f, 2.155f, 4.904f)
                lineToRelative(0.06f, 0.069f)
                curveToRelative(-1.026f, -0.251f, -5.745f, -2.598f, -5.745f, -2.598f)
                curveToRelative(-0.518f, -4.399f, -1.969f, -9.61f, -3.855f, -14.94f)
                arcToRelative(7.259f, 7.259f, 0.0f, false, true, -0.125f, -0.271f)
                curveToRelative(0.001f, -0.015f, 0.141f, 0.121f, 0.311f, 0.303f)
                curveTo(4.313f, 8.13f, 8.368f, 9.98f, 12.675f, 10.775f)
                arcToRelative(16.48f, 16.48f, 0.0f, false, false, 3.533f, 0.223f)
                curveToRelative(-0.307f, -0.392f, -0.64f, -0.821f, -1.009f, -1.302f)
                curveToRelative(-3.418f, -4.455f, -6.774f, -6.326f, -9.78f, -7.469f)
                curveToRelative(-0.079f, -0.028f, -0.154f, -0.061f, -0.231f, -0.088f)
                arcTo(11.902f, 11.902f, 0.0f, false, false, 0.669f, 8.071f)
                arcToRelative(11.97f, 11.97f, 0.0f, false, false, -0.67f, 4.016f)
                lineToRelative(0.003f, -0.088f)
                curveToRelative(0.033f, 5.018f, 3.129f, 9.616f, 8.052f, 11.33f)
                curveToRelative(1.335f, 0.465f, 2.696f, 0.68f, 4.032f, 0.67f)
                lineToRelative(-0.088f, -0.003f)
                curveToRelative(5.018f, -0.033f, 9.616f, -3.129f, 11.33f, -8.052f)
                curveToRelative(0.465f, -1.335f, 0.68f, -2.696f, 0.67f, -4.032f)
                lineToRelative(-0.003f, 0.088f)
                curveToRelative(-0.033f, -5.018f, -3.129f, -9.616f, -8.052f, -11.33f)
                arcTo(11.966f, 11.966f, 0.0f, false, false, 11.911f, 0.0f)
                lineToRelative(0.088f, 0.003f)
                close()
                moveTo(18.13f, 6.121f)
                lineToRelative(-0.002f, 0.007f)
                curveToRelative(-0.001f, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f)
                lineToRelative(0.002f, -0.007f)
                curveToRelative(0.531f, 0.511f, 1.376f, 1.503f, 2.336f, 2.062f)
                curveToRelative(0.789f, 0.99f, 1.216f, 1.963f, 1.748f, 2.629f)
                curveToRelative(-0.219f, -0.188f, -1.111f, -0.972f, -1.111f, -0.972f)
                reflectiveCurveToRelative(-1.378f, -1.305f, -2.141f, -2.153f)
                curveToRelative(-0.293f, -0.326f, -0.32f, -0.38f, -0.478f, -0.628f)
                curveToRelative(-0.062f, -0.097f, -0.275f, -0.825f, -0.354f, -0.935f)
                horizontalLineToRelative(-0.001f)
                lineToRelative(0.002f, -0.007f)
                close()
            }
        }
        .build()
        return _spacemacs!!
    }

private var _spacemacs: ImageVector? = null
