package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Stackshare: ImageVector
    get() {
        if (_stackshare != null) {
            return _stackshare!!
        }
        _stackshare = Builder(name = "Stackshare", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.209f, 6.697f)
                curveToRelative(-0.035f, -0.274f, 0.0f, -0.594f, 0.0f, -0.594f)
                verticalLineToRelative(-0.01f)
                curveToRelative(0.141f, -0.714f, 0.771f, -1.254f, 1.525f, -1.254f)
                curveToRelative(0.005f, 0.0f, 0.009f, 0.001f, 0.014f, 0.001f)
                horizontalLineToRelative(0.002f)
                curveToRelative(0.859f, 0.0f, 1.557f, 0.698f, 1.557f, 1.556f)
                reflectiveCurveToRelative(-0.697f, 1.556f, -1.557f, 1.556f)
                curveToRelative(-0.003f, 0.0f, -0.006f, -0.001f, -0.009f, -0.001f)
                horizontalLineToRelative(-0.007f)
                curveToRelative(-0.742f, -0.001f, -1.38f, -0.526f, -1.525f, -1.254f)
                close()
                moveTo(24.0f, 1.54f)
                verticalLineToRelative(20.92f)
                curveToRelative(0.0f, 0.851f, -0.646f, 1.54f, -1.443f, 1.54f)
                lineTo(1.444f, 24.0f)
                curveTo(0.647f, 24.0f, 0.0f, 23.311f, 0.0f, 22.46f)
                lineTo(0.0f, 1.54f)
                curveTo(0.0f, 0.69f, 0.647f, 0.0f, 1.444f, 0.0f)
                horizontalLineToRelative(21.113f)
                curveTo(23.354f, 0.0f, 24.0f, 0.69f, 24.0f, 1.54f)
                close()
                moveTo(21.697f, 17.547f)
                curveToRelative(0.0f, -1.636f, -1.326f, -2.962f, -2.961f, -2.962f)
                curveToRelative(-1.317f, 0.0f, -2.477f, 0.87f, -2.844f, 2.134f)
                horizontalLineToRelative(-1.758f)
                lineToRelative(-2.74f, -4.717f)
                lineToRelative(-0.002f, -0.004f)
                lineToRelative(0.002f, -0.004f)
                lineToRelative(2.736f, -4.709f)
                horizontalLineToRelative(1.748f)
                curveToRelative(0.457f, 1.571f, 2.102f, 2.474f, 3.673f, 2.017f)
                curveToRelative(1.571f, -0.457f, 2.475f, -2.102f, 2.017f, -3.673f)
                curveToRelative(-0.457f, -1.571f, -2.102f, -2.474f, -3.672f, -2.017f)
                arcToRelative(2.9638f, 2.9638f, 0.0f, false, false, -2.018f, 2.017f)
                horizontalLineToRelative(-2.665f)
                lineToRelative(-0.026f, -0.016f)
                lineToRelative(-3.227f, 5.552f)
                lineToRelative(-0.025f, 0.042f)
                lineTo(8.018f, 11.207f)
                curveToRelative(-0.457f, -1.571f, -2.102f, -2.474f, -3.673f, -2.016f)
                curveToRelative(-1.571f, 0.458f, -2.474f, 2.102f, -2.017f, 3.673f)
                curveToRelative(0.458f, 1.571f, 2.103f, 2.474f, 3.673f, 2.017f)
                curveToRelative(0.973f, -0.283f, 1.733f, -1.045f, 2.017f, -2.017f)
                horizontalLineToRelative(1.961f)
                lineToRelative(3.208f, 5.52f)
                lineToRelative(0.015f, -0.009f)
                horizontalLineToRelative(2.69f)
                arcToRelative(2.9592f, 2.9592f, 0.0f, false, false, 2.842f, 2.134f)
                horizontalLineToRelative(0.002f)
                curveToRelative(1.636f, 0.0f, 2.961f, -1.326f, 2.961f, -2.962f)
                close()
                moveTo(18.764f, 15.928f)
                curveToRelative(-0.743f, 0.002f, -1.381f, 0.526f, -1.527f, 1.254f)
                curveToRelative(-0.004f, 0.029f, -0.004f, 0.057f, -0.007f, 0.085f)
                curveToRelative(-0.004f, 0.017f, -0.015f, 0.029f, -0.018f, 0.046f)
                curveToRelative(-0.041f, 0.301f, 0.0f, 0.602f, 0.0f, 0.602f)
                curveToRelative(0.173f, 0.842f, 0.995f, 1.383f, 1.837f, 1.209f)
                curveToRelative(0.573f, -0.118f, 1.005f, -0.548f, 1.164f, -1.088f)
                curveToRelative(0.065f, -0.172f, 0.105f, -0.356f, 0.105f, -0.551f)
                curveToRelative(0.0f, -0.859f, -0.697f, -1.557f, -1.554f, -1.557f)
                close()
                moveTo(5.2f, 10.417f)
                curveToRelative(-0.858f, 0.0f, -1.556f, 0.698f, -1.556f, 1.557f)
                curveToRelative(0.0f, 0.006f, 0.002f, 0.012f, 0.002f, 0.018f)
                curveToRelative(0.0f, 0.003f, -0.001f, 0.005f, -0.001f, 0.008f)
                curveToRelative(0.001f, 0.854f, 0.693f, 1.547f, 1.548f, 1.548f)
                curveToRelative(0.541f, -0.001f, 1.015f, -0.278f, 1.292f, -0.698f)
                curveToRelative(0.171f, -0.249f, 0.272f, -0.551f, 0.272f, -0.875f)
                curveToRelative(0.0f, -0.86f, -0.698f, -1.558f, -1.557f, -1.558f)
                close()
            }
        }
        .build()
        return _stackshare!!
    }

private var _stackshare: ImageVector? = null
