package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Suse: ImageVector
    get() {
        if (_suse != null) {
            return _suse!!
        }
        _suse = Builder(name = "Suse", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(22.6691f, 10.2274f)
                arcToRelative(0.392f, 0.392f, 0.0f, false, true, -0.4295f, 0.0f)
                curveToRelative(-0.2108f, -0.14f, -0.2311f, -0.4327f, -0.061f, -0.602f)
                arcToRelative(0.3828f, 0.3828f, 0.0f, false, true, 0.5515f, -2.0E-4f)
                curveToRelative(0.1698f, 0.1695f, 0.1492f, 0.4622f, -0.061f, 0.6022f)
                moveToRelative(-1.12f, 0.8819f)
                curveToRelative(-0.5308f, -0.1245f, -0.952f, -0.5457f, -1.0768f, -1.0762f)
                curveToRelative(-0.2444f, -1.0419f, 0.6924f, -1.9787f, 1.7346f, -1.7346f)
                curveToRelative(0.5305f, 0.1241f, 0.952f, 0.545f, 1.0768f, 1.0759f)
                curveToRelative(0.2451f, 1.0425f, -0.692f, 1.98f, -1.7346f, 1.7349f)
                close()
                moveTo(16.5377f, 15.4833f)
                curveToRelative(0.0394f, 0.1174f, 0.0898f, 0.2723f, 0.2057f, 0.3346f)
                curveToRelative(0.0064f, 0.0035f, 0.012f, 0.0066f, 0.019f, 0.0085f)
                curveToRelative(0.2128f, 0.0775f, 0.7598f, 0.0645f, 0.7598f, 0.0645f)
                horizontalLineToRelative(1.006f)
                curveToRelative(0.086f, 0.0013f, 0.8419f, -0.001f, 0.8228f, -0.0854f)
                curveToRelative(-0.091f, -0.4041f, -0.5584f, -0.4765f, -0.9142f, -0.688f)
                curveToRelative(-0.328f, -0.1955f, -0.6391f, -0.417f, -0.78f, -0.7984f)
                curveToRelative(-0.0737f, -0.1968f, -0.0302f, -0.6508f, 0.0965f, -0.8162f)
                curveToRelative(0.0923f, -0.1196f, 0.2285f, -0.199f, 0.3749f, -0.231f)
                curveToRelative(0.1622f, -0.0347f, 0.3305f, -0.0048f, 0.4927f, 0.0117f)
                curveToRelative(0.2f, 0.0203f, 0.3974f, 0.0565f, 0.5968f, 0.0813f)
                arcToRelative(7.4343f, 7.4343f, 0.0f, false, false, 1.1613f, 0.0596f)
                curveToRelative(0.6403f, -0.0177f, 1.2822f, -0.1197f, 1.8892f, -0.3266f)
                curveToRelative(0.4238f, -0.1423f, 0.8413f, -0.3346f, 1.2016f, -0.6023f)
                curveToRelative(0.4095f, -0.3044f, 0.3019f, -0.2758f, -0.1134f, -0.2333f)
                curveToRelative(-0.4971f, 0.0508f, -0.9987f, 0.0584f, -1.4974f, 0.0289f)
                curveToRelative(-0.4654f, -0.027f, -0.9245f, -0.082f, -1.3454f, -0.2981f)
                curveToRelative(-0.3314f, -0.1711f, -0.6162f, -0.3425f, -0.879f, -0.6076f)
                curveToRelative(-0.0394f, -0.04f, -0.0639f, -0.1568f, 0.0082f, -0.2314f)
                curveToRelative(0.0698f, -0.0724f, 0.2178f, -0.0305f, 0.2632f, 0.0082f)
                curveToRelative(0.4584f, 0.3832f, 1.1422f, 0.6987f, 1.8501f, 0.733f)
                curveToRelative(0.3829f, 0.019f, 0.7553f, 0.026f, 1.1384f, 0.0095f)
                curveToRelative(0.1915f, -0.0088f, 0.4804f, -0.0076f, 0.6724f, -0.0095f)
                curveToRelative(0.099f, -0.0012f, 0.3692f, 0.0273f, 0.4197f, -0.0778f)
                curveToRelative(0.0152f, -0.0304f, 0.014f, -0.0657f, 0.0127f, -0.1f)
                curveToRelative(-0.0562f, -1.532f, -0.1695f, -3.26f, -1.7727f, -3.9923f)
                curveToRelative(-1.1962f, -0.547f, -2.9895f, -1.3943f, -3.747f, -1.7458f)
                curveToRelative(-0.1755f, -0.0834f, -0.381f, 0.0486f, -0.381f, 0.2442f)
                curveToRelative(0.0f, 0.5117f, 0.026f, 1.247f, 0.0264f, 1.9162f)
                curveToRelative(-0.3629f, -0.3696f, -0.974f, -0.6029f, -1.4397f, -0.8169f)
                curveToRelative(-0.5289f, -0.2425f, -1.0749f, -0.4482f, -1.6305f, -0.6212f)
                curveToRelative(-1.1184f, -0.3464f, -2.2758f, -0.5597f, -3.44f, -0.6753f)
                curveToRelative(-1.3203f, -0.1317f, -2.6628f, -0.0685f, -3.9628f, 0.2f)
                curveToRelative(-2.141f, 0.4438f, -4.2454f, 1.4734f, -5.8429f, 2.979f)
                curveToRelative(-0.9806f, 0.924f, -1.7501f, 2.2373f, -1.8021f, 3.5703f)
                curveToRelative(-0.0743f, 1.8867f, 0.4543f, 2.8997f, 1.4257f, 3.9439f)
                curveToRelative(1.5492f, 1.664f, 4.8835f, 1.8971f, 6.234f, -0.0762f)
                curveToRelative(0.6076f, -0.8883f, 0.7394f, -2.093f, 0.2984f, -3.075f)
                curveToRelative(-0.441f, -0.9812f, -1.4546f, -1.6904f, -2.5292f, -1.7266f)
                curveToRelative(-0.834f, -0.0276f, -1.7225f, 0.3965f, -2.0422f, 1.1676f)
                curveToRelative(-0.2438f, 0.5889f, -0.1051f, 1.3165f, 0.339f, 1.7736f)
                curveToRelative(0.173f, 0.1785f, 0.4073f, 0.3245f, 0.6632f, 0.2673f)
                curveToRelative(0.1508f, -0.0336f, 0.2768f, -0.147f, 0.2997f, -0.3f)
                curveToRelative(0.0336f, -0.2257f, -0.1638f, -0.372f, -0.2854f, -0.5453f)
                curveToRelative(-0.2194f, -0.3127f, -0.175f, -0.7823f, 0.0997f, -1.048f)
                curveToRelative(0.2317f, -0.2244f, 0.5749f, -0.2908f, 0.8974f, -0.2898f)
                curveToRelative(0.3003f, 6.0E-4f, 0.6073f, 0.0543f, 0.8664f, 0.2057f)
                curveToRelative(0.3641f, 0.2143f, 0.606f, 0.6067f, 0.6898f, 1.0213f)
                curveToRelative(0.2499f, 1.239f, -0.7574f, 2.2457f, -2.1232f, 2.3247f)
                curveToRelative(-0.6987f, 0.0413f, -1.4098f, -0.1422f, -1.9552f, -0.5813f)
                curveToRelative(-1.3813f, -1.111f, -1.7197f, -3.3822f, -0.141f, -4.5946f)
                curveToRelative(1.4988f, -1.1508f, 3.3908f, -0.8542f, 4.5064f, -0.2561f)
                curveToRelative(0.8927f, 0.4784f, 1.558f, 1.2612f, 2.0622f, 2.1266f)
                curveToRelative(0.253f, 0.4353f, 0.4686f, 0.8902f, 0.6686f, 1.352f)
                curveToRelative(0.1924f, 0.4442f, 0.3724f, 0.8918f, 0.7575f, 1.2172f)
                curveToRelative(0.2549f, 0.2159f, 0.5695f, 0.2083f, 0.9034f, 0.2083f)
                horizontalLineToRelative(1.9064f)
                curveToRelative(0.259f, 0.0f, 0.1959f, -0.1727f, 0.0841f, -0.287f)
                curveToRelative(-0.2527f, -0.2584f, -0.6158f, -0.3168f, -0.952f, -0.4092f)
                curveToRelative(-0.7686f, -0.2114f, -0.6902f, -1.2289f, -0.4775f, -1.2289f)
                curveToRelative(0.687f, 0.0f, 0.7086f, 0.0206f, 1.3105f, 0.013f)
                curveToRelative(0.8685f, -0.012f, 1.1314f, -0.0625f, 1.8108f, 0.1886f)
                curveToRelative(0.3631f, 0.1346f, 0.712f, 0.4895f, 0.9397f, 0.814f)
                curveToRelative(0.119f, 0.171f, 0.218f, 0.3365f, 0.2736f, 0.5019f)
                close()
            }
        }
        .build()
        return _suse!!
    }

private var _suse: ImageVector? = null
