package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Symantec: ImageVector
    get() {
        if (_symantec != null) {
            return _symantec!!
        }
        _symantec = Builder(name = "Symantec", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(22.877f, 0.0f)
                verticalLineToRelative(0.738f)
                horizontalLineToRelative(0.738f)
                lineTo(23.615f, 0.0f)
                horizontalLineToRelative(-0.738f)
                close()
                moveTo(22.877f, 0.738f)
                horizontalLineToRelative(-0.738f)
                verticalLineToRelative(0.739f)
                horizontalLineToRelative(0.738f)
                lineTo(22.877f, 0.738f)
                close()
                moveTo(22.877f, 1.477f)
                verticalLineToRelative(0.738f)
                horizontalLineToRelative(0.738f)
                verticalLineToRelative(-0.738f)
                horizontalLineToRelative(-0.738f)
                close()
                moveTo(22.139f, 1.477f)
                horizontalLineToRelative(-1.477f)
                verticalLineToRelative(0.738f)
                horizontalLineToRelative(-0.738f)
                lineTo(19.924f, 3.69f)
                horizontalLineToRelative(-0.738f)
                verticalLineToRelative(0.74f)
                horizontalLineToRelative(-1.479f)
                verticalLineToRelative(0.725f)
                arcTo(10.572f, 10.572f, 0.0f, false, false, 11.0f, 2.77f)
                curveTo(5.136f, 2.77f, 0.385f, 7.52f, 0.385f, 13.385f)
                curveTo(0.385f, 19.248f, 5.136f, 24.0f, 11.0f, 24.0f)
                reflectiveCurveToRelative(10.615f, -4.752f, 10.615f, -10.615f)
                curveToRelative(0.0f, -2.56f, -0.904f, -4.906f, -2.412f, -6.739f)
                horizontalLineToRelative(0.72f)
                verticalLineToRelative(-0.738f)
                horizontalLineToRelative(0.74f)
                lineTo(20.663f, 4.43f)
                horizontalLineToRelative(0.737f)
                lineTo(21.4f, 3.69f)
                horizontalLineToRelative(0.739f)
                verticalLineToRelative(-0.738f)
                lineTo(21.4f, 2.952f)
                verticalLineToRelative(-0.738f)
                horizontalLineToRelative(0.739f)
                verticalLineToRelative(-0.738f)
                close()
                moveTo(19.186f, 3.69f)
                verticalLineToRelative(-0.738f)
                horizontalLineToRelative(-0.74f)
                verticalLineToRelative(0.738f)
                horizontalLineToRelative(0.74f)
                close()
                moveTo(11.0f, 6.154f)
                arcToRelative(7.193f, 7.193f, 0.0f, false, true, 4.033f, 1.23f)
                horizontalLineToRelative(-0.28f)
                verticalLineToRelative(0.739f)
                horizontalLineToRelative(-0.737f)
                curveToRelative(-1.927f, 2.409f, -2.414f, 3.466f, -3.182f, 5.414f)
                curveToRelative(-0.871f, -1.763f, -1.911f, -2.978f, -3.711f, -3.783f)
                lineToRelative(-0.02f, -0.006f)
                curveToRelative(-0.327f, -0.083f, -0.493f, -0.125f, -0.718f, 0.19f)
                curveToRelative(-0.23f, 0.322f, -0.092f, 0.613f, 0.183f, 0.955f)
                arcToRelative(35.212f, 35.212f, 0.0f, false, false, 0.586f, 0.703f)
                curveToRelative(0.547f, 0.646f, 1.095f, 1.289f, 1.508f, 2.035f)
                curveToRelative(0.408f, 0.738f, 0.877f, 1.772f, 1.242f, 2.574f)
                curveToRelative(0.223f, 0.49f, 0.406f, 0.894f, 0.51f, 1.088f)
                curveToRelative(0.22f, 0.406f, 0.752f, 0.584f, 0.955f, 0.584f)
                curveToRelative(0.985f, -0.117f, 1.08f, -0.582f, 1.242f, -1.379f)
                lineToRelative(0.057f, -0.264f)
                curveToRelative(0.336f, -1.574f, 0.771f, -3.203f, 2.824f, -5.158f)
                verticalLineToRelative(-0.736f)
                horizontalLineToRelative(0.738f)
                lineTo(16.23f, 9.6f)
                horizontalLineToRelative(0.74f)
                verticalLineToRelative(-0.295f)
                arcToRelative(7.193f, 7.193f, 0.0f, false, true, 1.26f, 4.08f)
                curveToRelative(0.0f, 3.99f, -3.24f, 7.23f, -7.23f, 7.23f)
                reflectiveCurveToRelative(-7.2f, -3.24f, -7.2f, -7.23f)
                reflectiveCurveToRelative(3.21f, -7.23f, 7.2f, -7.23f)
                close()
            }
        }
        .build()
        return _symantec!!
    }

private var _symantec: ImageVector? = null
