package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Turbosquid: ImageVector
    get() {
        if (_turbosquid != null) {
            return _turbosquid!!
        }
        _turbosquid = Builder(name = "Turbosquid", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.909f, 0.01f)
                curveTo(9.832f, 0.153f, 7.89f, 1.617f, 7.89f, 1.617f)
                reflectiveCurveToRelative(4.235f, -1.383f, 5.42f, 0.752f)
                curveToRelative(0.861f, 1.552f, -0.133f, 3.989f, -1.67f, 6.6f)
                curveToRelative(-1.418f, -1.212f, -5.21f, -4.035f, -8.73f, -3.038f)
                curveTo(-1.528f, 7.187f, 0.43f, 13.176f, 0.43f, 13.176f)
                reflectiveCurveTo(0.45f, 8.632f, 2.803f, 8.14f)
                curveToRelative(1.71f, -0.358f, 3.673f, 1.364f, 5.63f, 3.664f)
                curveToRelative(-1.567f, 1.005f, -5.368f, 3.815f, -5.526f, 7.545f)
                curveTo(2.705f, 24.048f, 8.883f, 24.0f, 8.883f, 24.0f)
                reflectiveCurveToRelative(-4.224f, -1.424f, -3.955f, -3.863f)
                curveToRelative(0.196f, -1.773f, 2.403f, -3.148f, 5.149f, -4.338f)
                curveToRelative(0.451f, 1.833f, 1.894f, 6.393f, 5.316f, 7.701f)
                curveToRelative(4.313f, 1.648f, 6.176f, -4.37f, 6.176f, -4.37f)
                reflectiveCurveToRelative(-2.627f, 3.662f, -4.816f, 2.647f)
                curveToRelative(-1.59f, -0.737f, -2.189f, -3.308f, -2.448f, -6.343f)
                curveToRelative(1.845f, 0.127f, 6.536f, 0.137f, 8.811f, -2.785f)
                curveToRelative(2.867f, -3.681f, -2.158f, -7.353f, -2.158f, -7.353f)
                reflectiveCurveToRelative(2.597f, 3.687f, 0.976f, 5.5f)
                curveToRelative(-1.178f, 1.317f, -3.755f, 1.103f, -6.66f, 0.417f)
                curveToRelative(0.689f, -1.753f, 2.146f, -6.31f, 0.129f, -9.423f)
                curveTo(14.45f, 0.32f, 13.155f, -0.074f, 11.909f, 0.01f)
                close()
                moveTo(10.643f, 2.497f)
                curveToRelative(-0.547f, 0.0f, -1.097f, 0.072f, -1.557f, 0.162f)
                curveToRelative(0.78f, 0.292f, 1.413f, 0.754f, 1.862f, 1.361f)
                arcToRelative(3.578f, 3.578f, 0.0f, false, true, 0.646f, 1.524f)
                curveToRelative(0.234f, -0.536f, 0.407f, -1.024f, 0.524f, -1.475f)
                arcToRelative(1.254f, 1.254f, 0.0f, false, false, -0.186f, -1.039f)
                arcToRelative(1.234f, 1.233f, 0.0f, false, false, -0.93f, -0.523f)
                curveToRelative(-0.119f, -0.008f, -0.24f, -0.01f, -0.359f, -0.01f)
                close()
                moveTo(20.356f, 6.78f)
                curveToRelative(-0.032f, 0.849f, -0.263f, 1.606f, -0.691f, 2.228f)
                arcToRelative(3.492f, 3.491f, 0.0f, false, true, -1.219f, 1.098f)
                arcToRelative(10.375f, 10.374f, 0.0f, false, false, 1.115f, 0.065f)
                curveToRelative(0.142f, 0.0f, 0.283f, -0.003f, 0.418f, -0.01f)
                arcToRelative(1.203f, 1.203f, 0.0f, false, false, 0.912f, -0.502f)
                arcToRelative(1.283f, 1.283f, 0.0f, false, false, 0.198f, -1.065f)
                curveToRelative(-0.164f, -0.657f, -0.459f, -1.302f, -0.733f, -1.814f)
                close()
                moveTo(3.362f, 9.626f)
                arcToRelative(1.23f, 1.23f, 0.0f, false, false, -1.143f, 0.802f)
                curveToRelative(-0.245f, 0.629f, -0.378f, 1.33f, -0.451f, 1.91f)
                curveToRelative(0.785f, -1.018f, 1.825f, -1.582f, 2.967f, -1.582f)
                arcToRelative(3.438f, 3.438f, 0.0f, false, true, 0.494f, 0.036f)
                arcToRelative(9.569f, 9.569f, 0.0f, false, false, -1.211f, -0.965f)
                arcToRelative(1.185f, 1.185f, 0.0f, false, false, -0.656f, -0.201f)
                close()
                moveTo(16.315f, 18.172f)
                curveToRelative(0.12f, 0.576f, 0.26f, 1.076f, 0.424f, 1.512f)
                arcToRelative(1.21f, 1.21f, 0.0f, false, false, 1.135f, 0.795f)
                arcToRelative(1.247f, 1.247f, 0.0f, false, false, 0.666f, -0.202f)
                curveToRelative(0.559f, -0.362f, 1.07f, -0.848f, 1.463f, -1.273f)
                arcToRelative(4.358f, 4.358f, 0.0f, false, true, -1.211f, 0.178f)
                arcToRelative(3.472f, 3.472f, 0.0f, false, true, -2.477f, -1.01f)
                close()
                moveTo(8.147f, 18.6f)
                arcToRelative(9.79f, 9.79f, 0.0f, false, false, -1.272f, 0.877f)
                arcToRelative(1.24f, 1.24f, 0.0f, false, false, -0.449f, 0.95f)
                arcToRelative(1.269f, 1.269f, 0.0f, false, false, 0.451f, 0.981f)
                curveToRelative(0.51f, 0.431f, 1.122f, 0.78f, 1.64f, 1.03f)
                curveToRelative(-0.465f, -0.707f, -0.711f, -1.46f, -0.724f, -2.221f)
                arcToRelative(3.605f, 3.604f, 0.0f, false, true, 0.354f, -1.617f)
                close()
            }
        }
        .build()
        return _turbosquid!!
    }

private var _turbosquid: ImageVector? = null
