package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Venmo: ImageVector
    get() {
        if (_venmo != null) {
            return _venmo!!
        }
        _venmo = Builder(name = "Venmo", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.94f, 9.72f)
                curveToRelative(0.17f, 0.27f, 0.24f, 0.54f, 0.24f, 0.89f)
                curveToRelative(0.0f, 1.11f, -0.95f, 2.55f, -1.72f, 3.57f)
                lineTo(0.71f, 14.18f)
                lineTo(0.0f, 9.96f)
                lineToRelative(1.54f, -0.15f)
                lineToRelative(0.37f, 3.0f)
                curveToRelative(0.35f, -0.56f, 0.78f, -1.45f, 0.78f, -2.06f)
                curveToRelative(0.0f, -0.33f, -0.06f, -0.56f, -0.15f, -0.75f)
                lineToRelative(1.4f, -0.28f)
                close()
                moveTo(5.94f, 11.57f)
                curveToRelative(0.28f, 0.0f, 1.0f, -0.13f, 1.0f, -0.53f)
                curveToRelative(0.0f, -0.2f, -0.14f, -0.3f, -0.3f, -0.3f)
                curveToRelative(-0.29f, 0.0f, -0.66f, 0.35f, -0.7f, 0.83f)
                close()
                moveTo(5.91f, 12.37f)
                curveToRelative(0.0f, 0.5f, 0.27f, 0.7f, 0.64f, 0.7f)
                curveToRelative(0.4f, 0.0f, 0.77f, -0.1f, 1.27f, -0.35f)
                lineToRelative(-0.19f, 1.26f)
                curveToRelative(-0.35f, 0.17f, -0.89f, 0.28f, -1.42f, 0.28f)
                curveToRelative(-1.33f, 0.0f, -1.81f, -0.8f, -1.81f, -1.82f)
                curveToRelative(0.0f, -1.31f, 0.78f, -2.7f, 2.38f, -2.7f)
                curveToRelative(0.88f, 0.0f, 1.38f, 0.49f, 1.38f, 1.18f)
                curveToRelative(0.0f, 1.1f, -1.43f, 1.45f, -2.25f, 1.46f)
                close()
                moveTo(12.6f, 10.7f)
                curveToRelative(0.0f, 0.17f, -0.03f, 0.4f, -0.05f, 0.56f)
                lineToRelative(-0.46f, 2.92f)
                horizontalLineToRelative(-1.5f)
                lineToRelative(0.42f, -2.68f)
                lineToRelative(0.03f, -0.3f)
                curveToRelative(0.0f, -0.2f, -0.12f, -0.24f, -0.26f, -0.24f)
                curveToRelative(-0.2f, 0.0f, -0.4f, 0.09f, -0.52f, 0.15f)
                lineToRelative(-0.48f, 3.07f)
                horizontalLineToRelative(-1.5f)
                lineToRelative(0.68f, -4.37f)
                horizontalLineToRelative(1.3f)
                lineToRelative(0.02f, 0.35f)
                curveToRelative(0.31f, -0.2f, 0.72f, -0.43f, 1.29f, -0.43f)
                curveToRelative(0.76f, 0.0f, 1.03f, 0.4f, 1.03f, 0.98f)
                close()
                moveTo(17.05f, 10.21f)
                curveToRelative(0.43f, -0.3f, 0.83f, -0.48f, 1.4f, -0.48f)
                curveToRelative(0.76f, 0.0f, 1.03f, 0.4f, 1.03f, 0.98f)
                arcToRelative(4.0f, 4.0f, 0.0f, false, true, -0.05f, 0.55f)
                lineToRelative(-0.46f, 2.92f)
                horizontalLineToRelative(-1.5f)
                lineToRelative(0.43f, -2.73f)
                lineToRelative(0.02f, -0.22f)
                curveToRelative(0.0f, -0.22f, -0.12f, -0.27f, -0.27f, -0.27f)
                curveToRelative(-0.18f, 0.0f, -0.37f, 0.08f, -0.5f, 0.15f)
                lineToRelative(-0.48f, 3.07f)
                horizontalLineToRelative(-1.5f)
                lineToRelative(0.43f, -2.74f)
                lineToRelative(0.02f, -0.21f)
                curveToRelative(0.0f, -0.22f, -0.12f, -0.27f, -0.27f, -0.27f)
                curveToRelative(-0.2f, 0.0f, -0.39f, 0.09f, -0.52f, 0.15f)
                lineToRelative(-0.47f, 3.06f)
                horizontalLineToRelative(-1.51f)
                lineToRelative(0.69f, -4.36f)
                horizontalLineToRelative(1.28f)
                lineToRelative(0.05f, 0.36f)
                curveToRelative(0.3f, -0.22f, 0.7f, -0.44f, 1.24f, -0.44f)
                curveToRelative(0.48f, 0.0f, 0.78f, 0.2f, 0.94f, 0.48f)
                close()
                moveTo(22.46f, 11.48f)
                curveToRelative(0.0f, -0.35f, -0.09f, -0.6f, -0.35f, -0.6f)
                curveToRelative(-0.6f, 0.0f, -0.72f, 1.05f, -0.72f, 1.58f)
                curveToRelative(0.0f, 0.41f, 0.11f, 0.66f, 0.38f, 0.66f)
                curveToRelative(0.56f, 0.0f, 0.69f, -1.1f, 0.69f, -1.64f)
                close()
                moveTo(19.86f, 12.4f)
                curveToRelative(0.0f, -1.38f, 0.74f, -2.67f, 2.41f, -2.67f)
                curveToRelative(1.27f, 0.0f, 1.73f, 0.75f, 1.73f, 1.78f)
                curveToRelative(0.0f, 1.36f, -0.72f, 2.77f, -2.44f, 2.77f)
                curveToRelative(-1.27f, 0.0f, -1.7f, -0.83f, -1.7f, -1.88f)
                close()
            }
        }
        .build()
        return _venmo!!
    }

private var _venmo: ImageVector? = null
