package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Wagtail: ImageVector
    get() {
        if (_wagtail != null) {
            return _wagtail!!
        }
        _wagtail = Builder(name = "Wagtail", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.1812f, 0.0f)
                curveToRelative(-2.641f, 0.0f, -4.11f, 1.969f, -4.732f, 3.313f)
                lineTo(4.0175f, 16.9734f)
                lineToRelative(2.0979f, -0.3927f)
                lineTo(2.2627f, 24.0f)
                lineToRelative(2.688f, -0.4822f)
                lineToRelative(2.0433f, -5.8379f)
                curveToRelative(5.8146f, 0.0f, 13.279f, -2.0877f, 12.2382f, -9.9063f)
                curveToRelative(0.0f, 0.0f, -0.634f, -3.151f, -4.7436f, -2.3013f)
                curveToRelative(-0.4163f, -1.4205f, -0.3419f, -2.4749f, 0.5662f, -3.4343f)
                curveToRelative(1.2487f, -1.3192f, 3.1822f, -0.5958f, 3.1822f, -0.5958f)
                lineToRelative(0.002f, -1.0877f)
                curveTo(17.5596f, 0.0565f, 16.9059f, 0.0f, 16.1813f, 0.0f)
                close()
                moveTo(18.5982f, 2.5229f)
                arcToRelative(0.4955f, 0.4955f, 0.0f, true, false, 0.0f, 0.991f)
                arcToRelative(0.4955f, 0.4955f, 0.0f, false, false, 0.0f, -0.991f)
                close()
                moveTo(20.1002f, 3.5519f)
                lineToRelative(-1.2918f, 1.5742f)
                horizontalLineToRelative(2.9289f)
                close()
                moveTo(16.374f, 8.3422f)
                lineToRelative(0.3033f, 0.0105f)
                lineToRelative(-0.0407f, 0.5502f)
                lineToRelative(-0.0374f, 0.2886f)
                curveToRelative(-0.0144f, 0.1048f, -0.0252f, 0.2188f, -0.051f, 0.3388f)
                lineToRelative(-0.0737f, 0.383f)
                lineToRelative(-0.1068f, 0.4193f)
                curveToRelative(-0.0422f, 0.1448f, -0.0937f, 0.2935f, -0.1428f, 0.4484f)
                arcToRelative(14.128f, 14.128f, 0.0f, false, true, -0.1863f, 0.4678f)
                lineToRelative(-0.1128f, 0.2374f)
                lineToRelative(-0.0574f, 0.1207f)
                lineToRelative(-0.066f, 0.1184f)
                lineToRelative(-0.1343f, 0.2399f)
                curveToRelative(-0.0502f, 0.0778f, -0.1008f, 0.1563f, -0.152f, 0.2354f)
                lineToRelative(-0.0772f, 0.119f)
                lineToRelative(-0.0853f, 0.1146f)
                curveToRelative(-0.0578f, 0.0762f, -0.1137f, 0.1546f, -0.1741f, 0.2303f)
                curveToRelative(-0.1258f, 0.1472f, -0.2494f, 0.2993f, -0.3902f, 0.438f)
                curveToRelative(-0.1335f, 0.1453f, -0.2843f, 0.2754f, -0.4312f, 0.4097f)
                lineToRelative(-0.231f, 0.19f)
                curveToRelative(-0.0764f, 0.0644f, -0.1598f, 0.12f, -0.2393f, 0.1803f)
                curveToRelative(-0.3235f, 0.2336f, -0.6618f, 0.4464f, -1.01f, 0.626f)
                curveToRelative(-0.3473f, 0.1805f, -0.697f, 0.3432f, -1.0442f, 0.4767f)
                curveToRelative(-0.3467f, 0.1351f, -0.686f, 0.2538f, -1.0122f, 0.3513f)
                curveToRelative(-0.3253f, 0.1004f, -0.6363f, 0.1829f, -0.9243f, 0.2547f)
                curveToRelative(-0.5762f, 0.1422f, -1.061f, 0.2393f, -1.4002f, 0.3065f)
                lineToRelative(-0.5337f, 0.1026f)
                lineToRelative(0.531f, -0.1155f)
                curveToRelative(0.3374f, -0.0754f, 0.8196f, -0.184f, 1.391f, -0.3397f)
                curveToRelative(0.2855f, -0.0785f, 0.5935f, -0.1682f, 0.9148f, -0.276f)
                curveToRelative(0.3223f, -0.1047f, 0.6567f, -0.2308f, 0.9972f, -0.373f)
                curveToRelative(0.3413f, -0.1407f, 0.6833f, -0.31f, 1.0217f, -0.4962f)
                curveToRelative(0.3392f, -0.1853f, 0.6668f, -0.4028f, 0.9782f, -0.6391f)
                curveToRelative(0.0764f, -0.0611f, 0.1567f, -0.1172f, 0.2298f, -0.182f)
                lineToRelative(0.2212f, -0.191f)
                curveToRelative(0.1401f, -0.1346f, 0.2841f, -0.2646f, 0.4104f, -0.4091f)
                curveToRelative(0.1337f, -0.138f, 0.2499f, -0.2887f, 0.3685f, -0.4341f)
                curveToRelative(0.0567f, -0.0747f, 0.109f, -0.1521f, 0.1632f, -0.2271f)
                lineToRelative(0.08f, -0.1128f)
                lineToRelative(0.0719f, -0.1168f)
                lineToRelative(0.1413f, -0.231f)
                lineToRelative(0.1241f, -0.2348f)
                lineToRelative(0.0609f, -0.1155f)
                lineToRelative(0.0526f, -0.118f)
                lineToRelative(0.1033f, -0.2314f)
                curveToRelative(0.061f, -0.1552f, 0.1165f, -0.3078f, 0.1688f, -0.4556f)
                curveToRelative(0.0438f, -0.1509f, 0.09f, -0.2953f, 0.1274f, -0.436f)
                lineToRelative(0.0934f, -0.4074f)
                lineToRelative(0.0623f, -0.3721f)
                curveToRelative(0.0223f, -0.1163f, 0.03f, -0.2273f, 0.0415f, -0.3291f)
                curveToRelative(0.0108f, -0.102f, 0.0208f, -0.1956f, 0.0296f, -0.2803f)
                lineToRelative(0.0267f, -0.5345f)
                close()
            }
        }
        .build()
        return _wagtail!!
    }

private var _wagtail: ImageVector? = null
