package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Windows95: ImageVector
    get() {
        if (_windows95 != null) {
            return _windows95!!
        }
        _windows95 = Builder(name = "Windows95", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.712f, 1.596f)
                lineToRelative(-0.756f, 0.068f)
                lineToRelative(-0.238f, 0.55f)
                lineToRelative(0.734f, -0.017f)
                close()
                moveTo(7.102f, 2.523f)
                lineToRelative(-0.978f, 0.137f)
                lineToRelative(-0.326f, 0.807f)
                lineToRelative(0.96f, -0.12f)
                lineToRelative(0.345f, -0.824f)
                close()
                moveTo(4.89f, 3.535f)
                lineToRelative(-0.72f, 0.05f)
                lineToRelative(-0.24f, 0.567f)
                lineToRelative(0.721f, -0.017f)
                close()
                moveTo(8.614f, 3.844f)
                lineToRelative(-1.287f, 0.068f)
                lineToRelative(-0.394f, 0.96f)
                lineToRelative(1.27f, -0.052f)
                close()
                moveTo(10.484f, 4.41f)
                lineToRelative(-1.579f, 0.069f)
                lineToRelative(-0.566f, 1.357f)
                lineToRelative(1.596f, -0.088f)
                lineToRelative(0.548f, -1.338f)
                close()
                moveTo(6.296f, 4.447f)
                lineToRelative(-0.977f, 0.153f)
                lineToRelative(-0.343f, 0.806f)
                lineToRelative(0.976f, -0.12f)
                close()
                moveTo(12.44f, 5.115f)
                lineToRelative(-1.87f, 0.135f)
                lineToRelative(-0.637f, 1.527f)
                lineToRelative(1.87f, -0.154f)
                close()
                moveTo(15.365f, 5.334f)
                curveToRelative(-0.11f, 0.0f, -0.222f, 0.0f, -0.334f, 0.002f)
                lineToRelative(-0.767f, 1.85f)
                curveToRelative(1.394f, -0.03f, 2.52f, 0.089f, 3.373f, 0.38f)
                lineToRelative(-1.748f, 4.201f)
                curveToRelative(-0.955f, -0.304f, -2.082f, -0.444f, -3.36f, -0.394f)
                lineToRelative(-0.54f, 1.305f)
                arcToRelative(8.762f, 8.762f, 0.0f, false, true, 3.365f, 0.396f)
                lineToRelative(-1.663f, 4.014f)
                curveToRelative(-1.257f, -0.27f, -2.382f, -0.395f, -3.387f, -0.344f)
                lineToRelative(-0.782f, 1.887f)
                curveToRelative(3.363f, -0.446f, 6.348f, 0.822f, 9.009f, 3.773f)
                lineTo(24.0f, 9.23f)
                curveToRelative(-2.325f, -2.575f, -5.2f, -3.88f, -8.637f, -3.896f)
                close()
                moveTo(14.721f, 5.336f)
                lineToRelative(-2.024f, 0.12f)
                lineToRelative(-0.687f, 1.68f)
                lineToRelative(2.025f, -0.19f)
                close()
                moveTo(4.118f, 5.386f)
                lineToRelative(-0.719f, 0.036f)
                lineToRelative(-0.224f, 0.566f)
                horizontalLineToRelative(0.703f)
                lineToRelative(0.24f, -0.601f)
                close()
                moveTo(7.808f, 5.783f)
                lineToRelative(-1.287f, 0.069f)
                lineToRelative(-0.395f, 0.959f)
                lineToRelative(1.27f, -0.05f)
                close()
                moveTo(5.54f, 6.3f)
                lineToRelative(-0.994f, 0.154f)
                lineToRelative(-0.344f, 0.807f)
                lineToRelative(0.98f, -0.121f)
                close()
                moveTo(9.677f, 6.366f)
                lineToRelative(-1.58f, 0.069f)
                lineTo(7.53f, 7.77f)
                lineToRelative(1.596f, -0.085f)
                lineToRelative(0.55f, -1.32f)
                close()
                moveTo(11.632f, 7.054f)
                lineToRelative(-1.87f, 0.135f)
                lineToRelative(-0.636f, 1.527f)
                lineToRelative(1.887f, -0.154f)
                close()
                moveTo(13.914f, 7.244f)
                lineToRelative(-2.01f, 0.136f)
                lineToRelative(-0.7f, 1.682f)
                lineToRelative(2.04f, -0.19f)
                lineToRelative(0.67f, -1.63f)
                close()
                moveTo(3.344f, 7.31f)
                lineToRelative(-0.739f, 0.035f)
                lineToRelative(-0.238f, 0.564f)
                horizontalLineToRelative(0.72f)
                lineToRelative(0.257f, -0.6f)
                close()
                moveTo(7.049f, 7.603f)
                lineToRelative(-1.303f, 0.085f)
                lineToRelative(-0.394f, 0.96f)
                lineToRelative(1.287f, -0.034f)
                close()
                moveTo(18.888f, 7.858f)
                arcToRelative(6.718f, 6.718f, 0.0f, false, true, 2.777f, 1.717f)
                lineToRelative(-1.75f, 4.237f)
                curveToRelative(-0.617f, -0.584f, -1.15f, -0.961f, -1.611f, -1.149f)
                lineToRelative(-1.201f, -0.498f)
                close()
                moveTo(4.733f, 8.22f)
                lineToRelative(-0.976f, 0.154f)
                lineToRelative(-0.344f, 0.807f)
                lineToRelative(0.961f, -0.12f)
                lineToRelative(0.36f, -0.841f)
                close()
                moveTo(8.919f, 8.22f)
                lineToRelative(-1.594f, 0.052f)
                lineToRelative(-0.549f, 1.354f)
                lineTo(8.37f, 9.54f)
                close()
                moveTo(10.876f, 8.888f)
                lineTo(8.99f, 9.04f)
                lineToRelative(-0.619f, 1.508f)
                lineToRelative(1.87f, -0.135f)
                lineToRelative(0.636f, -1.527f)
                close()
                moveTo(13.123f, 9.163f)
                lineToRelative(-2.007f, 0.12f)
                lineToRelative(-0.703f, 1.665f)
                lineToRelative(2.042f, -0.156f)
                close()
                moveTo(2.52f, 9.267f)
                lineToRelative(-0.718f, 0.033f)
                lineToRelative(-0.24f, 0.549f)
                lineToRelative(0.718f, -0.016f)
                close()
                moveTo(6.245f, 9.54f)
                lineToRelative(-1.289f, 0.07f)
                lineToRelative(-0.41f, 0.96f)
                lineToRelative(1.287f, -0.03f)
                lineToRelative(0.412f, -1.0f)
                close()
                moveTo(8.115f, 10.14f)
                lineToRelative(-1.596f, 0.05f)
                lineToRelative(-0.55f, 1.356f)
                lineToRelative(1.598f, -0.084f)
                lineToRelative(0.547f, -1.322f)
                close()
                moveTo(3.929f, 10.177f)
                lineToRelative(-0.979f, 0.136f)
                lineToRelative(-0.324f, 0.805f)
                lineToRelative(0.96f, -0.119f)
                close()
                moveTo(10.069f, 10.81f)
                lineToRelative(-1.87f, 0.154f)
                lineToRelative(-0.653f, 1.527f)
                lineToRelative(1.906f, -0.154f)
                close()
                moveTo(12.336f, 11.085f)
                lineToRelative(-2.026f, 0.12f)
                lineToRelative(-0.686f, 1.663f)
                lineToRelative(2.025f, -0.172f)
                close()
                moveTo(1.767f, 11.116f)
                lineToRelative(-0.739f, 0.037f)
                lineToRelative(-0.238f, 0.565f)
                lineToRelative(0.72f, -0.016f)
                close()
                moveTo(5.44f, 11.478f)
                lineToRelative(-1.289f, 0.068f)
                lineToRelative(-0.41f, 0.978f)
                lineToRelative(1.305f, -0.05f)
                close()
                moveTo(3.155f, 12.011f)
                lineToRelative(-0.976f, 0.154f)
                lineToRelative(-0.326f, 0.805f)
                lineToRelative(0.96f, -0.12f)
                lineToRelative(0.342f, -0.84f)
                close()
                moveTo(7.308f, 12.081f)
                lineToRelative(-1.596f, 0.066f)
                lineToRelative(-0.565f, 1.356f)
                lineToRelative(1.612f, -0.084f)
                close()
                moveTo(9.265f, 12.747f)
                lineToRelative(-1.889f, 0.154f)
                lineToRelative(-0.617f, 1.526f)
                lineToRelative(1.886f, -0.15f)
                close()
                moveTo(11.545f, 12.97f)
                lineToRelative(-2.025f, 0.12f)
                lineToRelative(-0.685f, 1.665f)
                lineToRelative(2.041f, -0.172f)
                lineToRelative(0.67f, -1.613f)
                close()
                moveTo(0.961f, 13.02f)
                lineToRelative(-0.738f, 0.053f)
                lineTo(0.0f, 13.64f)
                lineToRelative(0.72f, -0.02f)
                lineToRelative(0.24f, -0.6f)
                close()
                moveTo(4.666f, 13.33f)
                lineToRelative(-1.285f, 0.07f)
                lineToRelative(-0.395f, 0.976f)
                lineToRelative(1.287f, -0.05f)
                lineToRelative(0.393f, -0.997f)
                close()
                moveTo(16.589f, 13.4f)
                curveToRelative(1.08f, 0.29f, 2.024f, 0.821f, 2.814f, 1.613f)
                lineToRelative(-1.715f, 4.183f)
                curveToRelative(-0.892f, -0.754f, -1.82f, -1.32f, -2.814f, -1.664f)
                lineToRelative(1.715f, -4.133f)
                close()
                moveTo(6.553f, 13.915f)
                lineTo(4.956f, 14.0f)
                lineToRelative(-0.549f, 1.32f)
                lineToRelative(1.578f, -0.066f)
                lineToRelative(0.567f, -1.338f)
                close()
                moveTo(2.369f, 13.929f)
                lineToRelative(-0.996f, 0.156f)
                lineToRelative(-0.309f, 0.79f)
                lineToRelative(0.961f, -0.106f)
                close()
                moveTo(8.509f, 14.599f)
                lineToRelative(-1.904f, 0.154f)
                lineToRelative(-0.617f, 1.527f)
                lineToRelative(1.89f, -0.154f)
                lineToRelative(0.632f, -1.527f)
                close()
                moveTo(10.74f, 14.923f)
                lineToRelative(-2.025f, 0.123f)
                lineToRelative(-0.686f, 1.682f)
                lineToRelative(2.026f, -0.174f)
                close()
                moveTo(3.877f, 15.251f)
                lineToRelative(-1.3f, 0.068f)
                lineToRelative(-0.397f, 0.98f)
                lineToRelative(1.285f, -0.054f)
                close()
                moveTo(5.748f, 15.835f)
                lineToRelative(-1.578f, 0.068f)
                lineToRelative(-0.566f, 1.334f)
                lineToRelative(1.595f, -0.064f)
                close()
                moveTo(7.701f, 16.536f)
                lineToRelative(-1.867f, 0.137f)
                lineToRelative(-0.635f, 1.51f)
                lineToRelative(1.87f, -0.137f)
                close()
                moveTo(9.931f, 16.846f)
                lineToRelative(-2.005f, 0.122f)
                lineToRelative(-0.703f, 1.68f)
                lineToRelative(2.04f, -0.19f)
                lineToRelative(0.67f, -1.61f)
                close()
            }
        }
        .build()
        return _windows95!!
    }

private var _windows95: ImageVector? = null
